import * as React from 'react';
import type { ScreenBaseDefinition } from '../../../../service/screen-base-definition';
import type { CustomDialogContentType, CustomDialogOptions, DialogBodyContentProps } from '../../../../types/dialogs';
export interface DialogCustomContentProps extends DialogBodyContentProps<CustomDialogOptions> {
    content: CustomDialogContentType;
    screenId: string;
    availableColumns: number;
    screenDefinition?: ScreenBaseDefinition;
}
export declare function DialogBodyCustomContent(props: DialogCustomContentProps): React.ReactElement;
export declare const ConnectedDialogBodyCustomContent: import("react-redux").ConnectedComponent<typeof DialogBodyCustomContent, import("react-redux").Omit<DialogCustomContentProps, never>>;
//# sourceMappingURL=custom-content.d.ts.map