import * as React from 'react';
import type { PageComponentExternalProps, PageComponentProps } from './page-types';
declare class PageComponent extends React.Component<PageComponentProps> {
    private readonly pageBodyRef;
    private shortcutSubscriptions;
    constructor(props: PageComponentProps);
    componentDidMount(): void;
    componentDidCatch(error: Error): void;
    componentWillUnmount(): void;
    getActiveSectionId: () => string | undefined;
    getVisibleSections: () => HTMLDivElement[];
    getActiveSectionIndex(): number;
    onBodyScroll: () => void;
    getPageClassName(): string;
    hasPageFooter: () => boolean;
    renderDetailPanel(): React.ReactNode;
    renderSections(availableColumns: number): React.ReactNode;
    render(): React.ReactNode;
}
declare const _default: import("react-redux").ConnectedComponent<typeof PageComponent, import("react-redux").Omit<React.ClassAttributes<PageComponent> & PageComponentProps, "contextType" | "availableColumns" | "recordId" | "pageDefinition" | "areNavigationTabsHidden" | "hasNavigationPanel" | "headerCard" | "isNavigationPanelHidden" | "isNavigationPanelOpened" | "sections" | "pageMode" | "elementsWithShortcut" | "activeSection" | "setActiveSection" | "selectedSection" | "noHeader"> & PageComponentExternalProps>;
export default _default;
//# sourceMappingURL=page-component.d.ts.map