import * as React from 'react';
import { ReadonlyFieldBaseComponent } from '../field-base-component';
import type { AggregateDecoratorProperties } from './aggregate-types';
import type { NestedFieldsAdditionalProperties } from '../field-base-component-types';
export interface AggregateComponentState {
    value: string;
}
export declare class AggregateComponent extends ReadonlyFieldBaseComponent<AggregateDecoratorProperties, number, NestedFieldsAdditionalProperties> {
    render(): React.ReactNode;
}
export declare const ConnectedAggregateComponent: import("react-redux").ConnectedComponent<typeof AggregateComponent, import("react-redux").Omit<React.ClassAttributes<AggregateComponent> & import("../field-base-component-types").FieldComponentExternalProperties & import("../field-base-component-types").ReadonlyFieldComponentProperties<AggregateDecoratorProperties<import("../../../service/screen-base").ScreenBase<any, any>, any>, number> & NestedFieldsAdditionalProperties, "locale" | "value" | "onFocus" | "nodeTypes" | "fieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus"> & import("../field-base-component-types").FieldComponentExternalProperties>;
export default ConnectedAggregateComponent;
//# sourceMappingURL=aggregate-component.d.ts.map