/// <reference types="@sage/xtrem-shared" />
import * as React from 'react';
import type { ContentTableComponentProps } from './content-table-types';
export declare const changeEventHandler: (screenId: string, elementId: string) => () => Promise<void>;
export declare function ContentTableComponent(props: ContentTableComponentProps): React.ReactElement;
export declare const ConnectedContentTableComponent: import("react-redux").ConnectedComponent<typeof ContentTableComponent, import("react-redux").Omit<import("../field-base-component-types").FieldComponentExternalProperties & import("../field-base-component-types").EditableFieldComponentProperties<import("./content-table-types").ContentTableProperties<any, any>, Omit<{
    title: string | undefined;
    path: string;
    property: import("@sage/xtrem-ui-components").DefaultPropertyType | undefined;
    group: number;
    _id: string;
    presentation: import("@sage/xtrem-shared/lib/ui-shared-types").GridNestedFieldTypes | undefined;
    formatting: string | undefined;
    divisor: string | undefined;
    labelPath: string | undefined;
    operation: import("@sage/xtrem-shared/lib/ui-shared-types").Aggregations | "NONE" | undefined;
    sorting: import("@sage/xtrem-shared/lib/ui-shared-types").Sortings | undefined;
}, "_id">[]>, "locale" | "value" | "onFocus" | "nodeTypes" | "fieldProperties" | "validationErrors" | "setFieldValue" | "validate" | "removeNonNestedErrors" | "setFieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus"> & import("../field-base-component-types").FieldComponentExternalProperties>;
export default ConnectedContentTableComponent;
//# sourceMappingURL=content-table-component.d.ts.map