import React from 'react';
import type { ScreenBase } from '../../../service/screen-base';
import type { GraphqlCollection } from '../../types';
import type { FieldComponentExternalProperties } from '../field-base-component-types';
import type { DetailListComponentProps, DetailListProperties } from './detail-list-types';
export declare function DetailListComponent(props: DetailListComponentProps): React.ReactElement;
export declare const ConnectedDetailListComponent: import("react-redux").ConnectedComponent<typeof DetailListComponent, import("react-redux").Omit<FieldComponentExternalProperties & import("../field-base-component-types").EditableFieldComponentProperties<DetailListProperties<ScreenBase<any, any>, any>, GraphqlCollection<import("../../types").CollectionItem>> & import("./detail-list-types").InternalDetailListProperties, "locale" | "contextType" | "value" | "onFocus" | "fixedHeight" | "item" | "screenId" | "nestedReadOnlyField" | "shouldRenderLabelInNestedReadOnlyMode" | "availableColumns" | "isParentDisabled" | "isParentHidden" | "bind" | "elementId" | "nodeTypes" | "fieldProperties" | "validationErrors" | "setFieldValue" | "validate" | "removeNonNestedErrors" | "setFieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus" | "isLoading" | "loadDetailListData"> & FieldComponentExternalProperties>;
export default ConnectedDetailListComponent;
//# sourceMappingURL=detail-list-component.d.ts.map