import * as React from 'react';
import { EditableFieldBaseComponent } from '../field-base-component';
import type { EditableFieldComponentProperties, FieldComponentExternalProperties } from '../field-base-component-types';
import type { PluginDecoratorProperties, PluginAdditionalProps, PluginComponentFieldProps } from './plugin-types';
export declare class PluginComponent extends EditableFieldBaseComponent<any, PluginDecoratorProperties, any, PluginAdditionalProps> {
    private readonly router;
    constructor(props: PluginComponentFieldProps);
    setFieldValue: (value: any) => void;
    setFieldProperties: (propertyName: string, propertyValue: any) => void;
    componentDidCatch(error: Error): void;
    render(): React.ReactNode;
}
export declare const ConnectedPluginComponent: import("react-redux").ConnectedComponent<typeof PluginComponent, import("react-redux").Omit<FieldComponentExternalProperties & EditableFieldComponentProperties<PluginDecoratorProperties<import("../../../service/screen-base").ScreenBase<any, any>>, any> & PluginAdditionalProps, "locale" | "username" | "contextType" | "value" | "onFocus" | "fixedHeight" | "item" | "screenId" | "nestedReadOnlyField" | "shouldRenderLabelInNestedReadOnlyMode" | "availableColumns" | "isParentDisabled" | "isParentHidden" | "bind" | "elementId" | "nodeTypes" | "fieldProperties" | "validationErrors" | "setFieldValue" | "validate" | "removeNonNestedErrors" | "setFieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus" | "queryParameters" | "pluginImplementation"> & FieldComponentExternalProperties>;
export default ConnectedPluginComponent;
//# sourceMappingURL=plugin-component.d.ts.map