import React from 'react';
import type { NestedReferenceProperties } from '../../decorators';
import type { SelectItem } from '../../ui/select/select-component';
import type { CellParams } from '../../../utils/ag-grid/ag-grid-column-config';
export default class ReferenceRenderer extends React.Component<CellParams<NestedReferenceProperties>> {
    shouldComponentUpdate(nextProps: CellParams<NestedReferenceProperties>): boolean;
    /**
     * Searches for the reference field image from the row using the the dot path, first using the bind path of the reference column, then the path of the `imageField`;
     * @returns
     */
    getImageFromProps: () => SelectItem['image'];
    render(): React.ReactNode;
}
//# sourceMappingURL=reference-cell-renderer.d.ts.map