import * as React from 'react';
import { ReadonlyFieldBaseComponent } from '../field-base-component';
import type { NestedFieldsAdditionalProperties } from '../field-base-component-types';
import type { RelativeDateDecoratorProperties } from './relative-date-types';
import type { DatePropertyValue } from '../../../utils/types';
export declare class RelativeDateComponent extends ReadonlyFieldBaseComponent<RelativeDateDecoratorProperties, DatePropertyValue, NestedFieldsAdditionalProperties> {
    render(): React.ReactNode;
}
export declare const ConnectedRelativeDateComponent: import("react-redux").ConnectedComponent<typeof RelativeDateComponent, import("react-redux").Omit<React.ClassAttributes<RelativeDateComponent> & import("../field-base-component-types").FieldComponentExternalProperties & import("../field-base-component-types").ReadonlyFieldComponentProperties<RelativeDateDecoratorProperties<import("../../../service/screen-base").ScreenBase<any, any>>, DatePropertyValue> & NestedFieldsAdditionalProperties, "locale" | "value" | "onFocus" | "nodeTypes" | "fieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus"> & import("../field-base-component-types").FieldComponentExternalProperties>;
export default ConnectedRelativeDateComponent;
//# sourceMappingURL=relative-date-component.d.ts.map