import * as React from 'react';
import type { SelectItem } from '../../ui/select/select-component';
import { EditableFieldBaseComponent } from '../field-base-component';
import type { FieldComponentExternalProperties } from '../field-base-component-types';
import type { SelectComponentProps, SelectDecoratorProperties, SelectAdditionalProperties } from './select-types';
export declare class SelectComponent extends EditableFieldBaseComponent<SelectDecoratorProperties, string, SelectAdditionalProperties, {}> {
    static resolveDisplayValueFromProps(props: SelectComponentProps, value?: string): string;
    private readonly onInputValueChanged;
    onChange: (selectedItem: SelectItem | undefined, isOrganicChange: boolean) => void;
    getItems: (searchText: string) => Promise<SelectItem[]>;
    render(): React.ReactNode;
}
export declare const ConnectedSelectComponent: import("react-redux").ConnectedComponent<typeof SelectComponent, import("react-redux").Omit<React.ClassAttributes<SelectComponent> & FieldComponentExternalProperties & import("../field-base-component-types").EditableFieldComponentProperties<SelectDecoratorProperties<import("../../../service/screen-base").ScreenBase<any, any>>, string> & import("../field-base-component-types").NestedFieldsAdditionalProperties & import("./select-types").SelectInternalProps, "locale" | "contextType" | "value" | "onFocus" | "fixedHeight" | "item" | "screenId" | "nestedReadOnlyField" | "shouldRenderLabelInNestedReadOnlyMode" | "availableColumns" | "isParentDisabled" | "isParentHidden" | "bind" | "elementId" | "nodeTypes" | "contextNode" | "fieldProperties" | "parentElementId" | "recordContext" | "validationErrors" | "setFieldValue" | "validate" | "removeNonNestedErrors" | "setFieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus" | "handlersArguments" | "isNested" | "columnDefinition" | "enumOptions" | "localizedOptions"> & FieldComponentExternalProperties>;
export default ConnectedSelectComponent;
//# sourceMappingURL=select-component.d.ts.map