import type { Dict } from '@sage/xtrem-shared';
import React from 'react';
import type { FieldComponentExternalProperties } from '../field-base-component-types';
import type { SelectionCardComponentProps } from './selection-card-types';
type SelectionCardAdditionalProps = SelectionCardComponentProps & {
    localizedOptions?: Dict<string>;
    enumOptions?: string[];
};
export declare function SelectionCardComponent(props: SelectionCardAdditionalProps): React.ReactElement;
export declare const ConnectedSelectionCardComponent: import("react-redux").ConnectedComponent<typeof SelectionCardComponent, import("react-redux").Omit<FieldComponentExternalProperties & import("../field-base-component-types").EditableFieldComponentProperties<import("./selection-card-types").SelectionCardProperties<import("../../../service/screen-base").ScreenBase<any, any>>, string> & {
    localizedOptions?: Dict<string> | undefined;
    enumOptions?: string[] | undefined;
}, "locale" | "contextType" | "value" | "onFocus" | "fixedHeight" | "item" | "screenId" | "nestedReadOnlyField" | "shouldRenderLabelInNestedReadOnlyMode" | "availableColumns" | "isParentDisabled" | "isParentHidden" | "bind" | "elementId" | "nodeTypes" | "fieldProperties" | "validationErrors" | "setFieldValue" | "validate" | "removeNonNestedErrors" | "setFieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus" | "enumOptions" | "localizedOptions"> & FieldComponentExternalProperties>;
export default ConnectedSelectionCardComponent;
//# sourceMappingURL=selection-card-component.d.ts.map