import type { Dict } from '@sage/xtrem-shared';
import React from 'react';
import type { FieldComponentExternalProperties, NestedFieldsAdditionalProperties } from '../field-base-component-types';
import type { ToggleComponentProps } from './toggle-types';
type ToggleAdditionalProps = ToggleComponentProps & {
    localizedOptions?: Dict<string>;
    enumOptions?: string[];
} & NestedFieldsAdditionalProperties;
export declare function ToggleComponent(props: ToggleAdditionalProps): React.ReactElement;
export declare const ConnectedToggleComponent: import("react-redux").ConnectedComponent<typeof ToggleComponent, import("react-redux").Omit<FieldComponentExternalProperties & import("../field-base-component-types").EditableFieldComponentProperties<import("./toggle-types").ToggleProperties<any>, string> & {
    localizedOptions?: Dict<string> | undefined;
    enumOptions?: string[] | undefined;
} & NestedFieldsAdditionalProperties, "locale" | "contextType" | "value" | "onFocus" | "fixedHeight" | "item" | "screenId" | "nestedReadOnlyField" | "shouldRenderLabelInNestedReadOnlyMode" | "availableColumns" | "isParentDisabled" | "isParentHidden" | "bind" | "elementId" | "nodeTypes" | "fieldProperties" | "validationErrors" | "setFieldValue" | "validate" | "removeNonNestedErrors" | "setFieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus" | "enumOptions" | "localizedOptions"> & FieldComponentExternalProperties>;
export default ConnectedToggleComponent;
//# sourceMappingURL=toggle-component.d.ts.map