import * as React from 'react';
import type { TreeComponentExternalProps, TreeComponentProps } from './tree-types';
import type { NestedRecordId } from '../../../types';
export declare class TreeComponent extends React.Component<TreeComponentProps> {
    getComponentClass: () => string;
    onRowClick: (recordId: NestedRecordId) => () => void;
    render(): React.ReactNode;
}
export declare const ConnectedTreeComponent: import("react-redux").ConnectedComponent<typeof TreeComponent, import("react-redux").Omit<React.ClassAttributes<TreeComponent> & TreeComponentProps, "locale" | "contextType" | "value" | "fixedHeight" | "item" | "screenId" | "nestedReadOnlyField" | "shouldRenderLabelInNestedReadOnlyMode" | "availableColumns" | "isParentDisabled" | "isParentHidden" | "bind" | "elementId" | "nodeTypes" | "fieldProperties" | "onRowClick" | "validate" | "setFieldProperties" | "browser" | "searchText" | "enumTypes" | "isLoading" | "accessBindings" | "enableMobileLoadMore" | "tableViews" | "createSearchTextFilter" | "mobilePerformInitialLoadTreeData"> & TreeComponentExternalProps>;
export default ConnectedTreeComponent;
//# sourceMappingURL=tree-component.d.ts.map