import type { ConsumerDataRequestResult } from '@sage/visual-process-editor';
import * as React from 'react';
import type { VisualProcessProperties } from '../../control-objects';
import { EditableFieldBaseComponent } from '../field-base-component';
import type { CollectionValue } from '../../../service/collection-data-service';
export interface VisualProcessComponentState {
    lookupDialogPageResultCallback?: (result: ConsumerDataRequestResult) => void;
    lookupDialogPageValue?: CollectionValue;
}
export declare class VisualProcessComponent extends EditableFieldBaseComponent<VisualProcessProperties, {
    value: string;
}, {}, VisualProcessComponentState> {
    private readonly onChange;
    private readonly onLinkClick;
    private readonly onGetData;
    private readonly onPageLookupDialogSelected;
    readonly closeLookupDialog: () => void;
    render(): React.ReactNode;
}
export declare const ConnectedVisualProcessComponent: import("react-redux").ConnectedComponent<typeof VisualProcessComponent, import("react-redux").Omit<React.ClassAttributes<VisualProcessComponent> & import("../field-base-component-types").FieldComponentExternalProperties & import("../field-base-component-types").EditableFieldComponentProperties<VisualProcessProperties<import("../../../service/screen-base").ScreenBase<any, any>>, {
    value: string;
}> & import("../field-base-component-types").NestedFieldsAdditionalProperties, "locale" | "value" | "onFocus" | "nodeTypes" | "fieldProperties" | "validationErrors" | "setFieldValue" | "validate" | "removeNonNestedErrors" | "setFieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus"> & import("../field-base-component-types").FieldComponentExternalProperties>;
export default ConnectedVisualProcessComponent;
//# sourceMappingURL=visual-process-component.d.ts.map