import * as React from 'react';
import type { ScreenBase } from '../../../service/screen-base';
import { EditableFieldBaseComponent } from '../field-base-component';
import type { EditableFieldComponentProperties, FieldComponentExternalProperties, NestedFieldsAdditionalProperties } from '../field-base-component-types';
import type { VitalPodDecoratorProperties } from './vital-pod-types';
export declare class VitalPodComponent extends EditableFieldBaseComponent<VitalPodDecoratorProperties<ScreenBase, any>, any, NestedFieldsAdditionalProperties> {
    onChange: (bind: string, value: any) => Promise<void>;
    onRemove: () => void;
    onNewPod: () => Promise<void>;
    render(): React.ReactNode;
}
export declare const ConnectedVitalPodComponent: import("react-redux").ConnectedComponent<typeof VitalPodComponent, import("react-redux").Omit<React.ClassAttributes<VitalPodComponent> & FieldComponentExternalProperties & EditableFieldComponentProperties<VitalPodDecoratorProperties<ScreenBase<any, any>, any>, any> & NestedFieldsAdditionalProperties, "locale" | "value" | "onFocus" | "nodeTypes" | "fieldProperties" | "validationErrors" | "setFieldValue" | "validate" | "removeNonNestedErrors" | "setFieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus"> & FieldComponentExternalProperties>;
export default ConnectedVitalPodComponent;
//# sourceMappingURL=vital-pod-component.d.ts.map