import type { BaseControlObject } from '../base-control-object';
import type { ReadonlyFieldProperties } from '../readonly-field-control-object';
export interface FieldControlObjectResolvedPropertyHooks {
    onSet?: (screenId: string, elementId: string) => void;
    onGet?: (screenId: string, elementId: string) => void;
}
export declare const FieldControlObjectResolvedProperty: <PropertiesType extends Object, ConstructorType extends BaseControlObject<any, PropertiesType & ReadonlyFieldProperties<any>>>(hooks?: FieldControlObjectResolvedPropertyHooks) => (controlObjectConstructor: ConstructorType, name: keyof PropertiesType) => void;
export declare const ContainerControlObjectResolvedProperty: <PropertiesType extends Object, ConstructorType extends BaseControlObject<any, any>>() => (controlObjectConstructor: ConstructorType, name: keyof PropertiesType) => void;
//# sourceMappingURL=control-object-resolved-property-decorator.d.ts.map