import type { SitemapEntry } from '@sage/xtrem-shared';
import * as React from 'react';
import type { Profile } from '../service/profile-schema';
export interface SitemapProps {
    profile: Profile | null;
    onInternalNavigationChange: (path: string) => void;
}
export interface XtremNavigationState {
    openSitemapRootMenuItem?: SitemapEntry;
    oldSecondaryOpenGroup?: string;
}
export declare class SitemapPage extends React.Component<SitemapProps> {
    onSelectItemFromNavigation: (id?: string) => void;
    getSitemapEntries: () => SitemapEntry[];
    render(): React.ReactNode;
}
declare const _default: import("react-redux").ConnectedComponent<typeof SitemapPage, import("react-redux").Omit<React.ClassAttributes<SitemapPage> & SitemapProps, "profile" | "onInternalNavigationChange">>;
export default _default;
//# sourceMappingURL=sitemap-page.d.ts.map