import type * as xtremRedux from '../../redux';
import React from 'react';
import type { SidebarFieldBinding } from './table-sidebar-types';
import type { ReduxResponsive } from '../../redux/state';
export interface TableSidebarBlockExternalProps {
    section: string;
    block: string;
}
export interface TableSidebarBlockProps extends TableSidebarBlockExternalProps {
    title?: string;
    browser: ReduxResponsive;
    fields: SidebarFieldBinding[];
}
export declare function TableSidebarBlock({ title, browser, fields }: TableSidebarBlockProps): React.ReactElement;
export declare const mapStateToProps: (state: xtremRedux.XtremAppState, props: TableSidebarBlockExternalProps) => TableSidebarBlockProps;
export declare const ConnectedTableSidebarBlock: import("react-redux").ConnectedComponent<typeof TableSidebarBlock, import("react-redux").Omit<TableSidebarBlockProps, "title" | "section" | "browser" | "fields" | "block"> & TableSidebarBlockExternalProps>;
//# sourceMappingURL=table-sidebar-block.d.ts.map