import type * as xtremRedux from '../../redux';
import React from 'react';
import type { ReadonlyFieldProperties } from '../readonly-field-control-object';
export interface TableSidebarNormalFieldExternalProps {
    fieldId: string;
    availableColumns: number;
}
export interface TableSidebarNormalFieldProps extends TableSidebarNormalFieldExternalProps {
    fieldProperties: ReadonlyFieldProperties;
    screenId: string;
}
export declare function TableSidebarNormalField({ fieldProperties, availableColumns, fieldId, screenId, }: TableSidebarNormalFieldProps): React.ReactElement;
export declare const mapStateToProps: (state: xtremRedux.XtremAppState, props: TableSidebarNormalFieldExternalProps) => Partial<TableSidebarNormalFieldProps>;
export declare const ConnectedTableSidebarNormalField: import("react-redux").ConnectedComponent<typeof TableSidebarNormalField, import("react-redux").Omit<TableSidebarNormalFieldProps, "screenId" | "availableColumns" | "fieldId" | "fieldProperties"> & TableSidebarNormalFieldExternalProps>;
//# sourceMappingURL=table-sidebar-normal-field.d.ts.map