import * as React from 'react';
import type { Toast } from '../../service/toast-service';
export interface ToastComponentExternalProps {
    toast: Toast;
}
export interface ToastComponentState {
    open: boolean;
}
export interface ToastComponentProps extends ToastComponentExternalProps {
    removeToast: () => void;
}
export declare class ToastComponent extends React.Component<ToastComponentProps, ToastComponentState> {
    timeout?: number;
    constructor(props: ToastComponentProps);
    componentDidMount(): void;
    onDismiss: () => void;
    render(): React.ReactNode;
}
export declare const ConnectedToastComponent: import("react-redux").ConnectedComponent<typeof ToastComponent, import("react-redux").Omit<React.ClassAttributes<ToastComponent> & ToastComponentProps, "toast" | "removeToast"> & ToastComponentExternalProps>;
//# sourceMappingURL=toast-component.d.ts.map