import * as React from 'react';
import type { PageActionControlObject } from '../../page-action/page-action-control-object';
export interface DesktopTableAddNewRowButtonExternalProps {
    isDisabled?: boolean;
    onFocusPhantomRow?: () => void;
    hasSidebar?: boolean;
    screenId: string;
    elementId: string;
    addItemActions?: PageActionControlObject[];
}
export interface DesktopTableAddNewRowButtonProps extends DesktopTableAddNewRowButtonExternalProps {
    openSidebar: (screenId: string, elementId: string) => void;
}
export declare const DesktopTableAddNewRowButton: React.NamedExoticComponent<DesktopTableAddNewRowButtonProps>;
export declare const ConnectedDesktopTableAddNewRowButton: import("react-redux").ConnectedComponent<React.NamedExoticComponent<DesktopTableAddNewRowButtonProps>, import("react-redux").Omit<DesktopTableAddNewRowButtonProps, "screenId" | "elementId" | "isDisabled" | "addItemActions" | "onFocusPhantomRow" | "openSidebar" | "hasSidebar"> & DesktopTableAddNewRowButtonExternalProps>;
//# sourceMappingURL=desktop-table-add-new-row-button.d.ts.map