import React from 'react';
import type { InlineCollectionItemAction } from './table-dropdown-actions/table-dropdown-action-types';
import type { TableDropdownActionExternalProps } from './table-dropdown-actions/table-dropdown-actions';
interface ResolvedInlineCollectionItemAction extends Omit<InlineCollectionItemAction<any, any>, 'isDisabled' | 'isHidden'> {
    key: string;
    isHidden?: boolean;
    isDisabled?: boolean;
}
interface TableInlineActionsProps {
    inlineActions: Array<ResolvedInlineCollectionItemAction>;
}
declare function TableInlineActions({ inlineActions }: TableInlineActionsProps): React.ReactElement;
declare const _default: import("react-redux").ConnectedComponent<typeof TableInlineActions, import("react-redux").Omit<TableInlineActionsProps, "inlineActions"> & TableDropdownActionExternalProps>;
export default _default;
//# sourceMappingURL=table-inline-actions.d.ts.map