import React from 'react';
import type { OptionsMenuItem, TableOptionsMenuType } from '../../container/page/page-types';
export interface TableOptionsMenuExternalProps {
    elementId: string;
    onSelectionChange: (selectedItem: OptionsMenuItem) => void;
    optionsMenuItems: OptionsMenuItem[];
    optionsMenuType?: TableOptionsMenuType;
    screenId: string;
    selectedOptionsMenuItem?: OptionsMenuItem;
}
export interface TableOptionsMenuProps extends TableOptionsMenuExternalProps {
    setTableViewOptionsMenuItem: (optionsMenuItem: OptionsMenuItem) => void;
}
export declare function TableOptionsMenu({ elementId, onSelectionChange, optionsMenuItems, optionsMenuType, screenId, selectedOptionsMenuItem, setTableViewOptionsMenuItem, }: TableOptionsMenuProps): React.ReactElement | null;
export declare const ConnectedTableOptionsMenu: import("react-redux").ConnectedComponent<typeof TableOptionsMenu, import("react-redux").Omit<TableOptionsMenuProps, "screenId" | "elementId" | "optionsMenuType" | "selectedOptionsMenuItem" | "setTableViewOptionsMenuItem" | "onSelectionChange" | "optionsMenuItems"> & TableOptionsMenuExternalProps>;
//# sourceMappingURL=table-options-menu.d.ts.map