import * as React from 'react';
import type { MultiRootEditor } from '@ckeditor/ckeditor5-editor-multi-root';
import type { LocalizeEnumFunction, LocalizeFunction, LocalizeLocale } from '@sage/xtrem-shared';
import type { DocumentContextProvider } from '../../context-provider';
export interface RightPanelProps {
    contextProvider: DocumentContextProvider;
    editorRef: MultiRootEditor | null;
    isOpen: boolean;
    locale: LocalizeLocale;
    localize: LocalizeFunction;
    localizeEnumMember: LocalizeEnumFunction;
}
export declare function RightPanel({ contextProvider, editorRef, isOpen, locale, localize, localizeEnumMember, }: RightPanelProps): React.ReactElement | null;
//# sourceMappingURL=right-panel.d.ts.map