import * as React from 'react';
import Preview from 'carbon-react/esm/components/preview';
export function DashboardPlaceholder({ isTitlePlaceholderHidden }) {
    return (React.createElement("div", { className: "e-dashboard-placeholder", "data-testid": "e-dashboard-placeholder" },
        !isTitlePlaceholderHidden && (React.createElement("div", { className: "e-dashboard-placeholder-title" },
            React.createElement(Preview, { loading: true, width: "256px" }))),
        React.createElement("div", { className: "e-dashboard-placeholder-body" },
            React.createElement("div", { className: "e-dashboard-placeholder-item", style: { gridColumn: 'span 4 / auto' } },
                React.createElement(Preview, { height: "200px" })),
            React.createElement("div", { className: "e-dashboard-placeholder-item", style: { gridColumn: 'span 8 / auto' } },
                React.createElement(Preview, { height: "200px" })),
            React.createElement("div", { className: "e-dashboard-placeholder-item", style: { gridColumn: 'span 2 / auto' } },
                React.createElement(Preview, { height: "200px" })),
            React.createElement("div", { className: "e-dashboard-placeholder-item", style: { gridColumn: 'span 6 / auto' } },
                React.createElement(Preview, { height: "200px" })),
            React.createElement("div", { className: "e-dashboard-placeholder-item", style: { gridColumn: 'span 4 / auto' } },
                React.createElement(Preview, { height: "200px" })),
            React.createElement("div", { className: "e-dashboard-placeholder-item", style: { gridColumn: 'span 6 / auto' } },
                React.createElement(Preview, { height: "200px" })),
            React.createElement("div", { className: "e-dashboard-placeholder-item", style: { gridColumn: 'span 3 / auto' } },
                React.createElement(Preview, { height: "200px" })),
            React.createElement("div", { className: "e-dashboard-placeholder-item", style: { gridColumn: 'span 3 / auto' } },
                React.createElement(Preview, { height: "200px" })))));
}
//# sourceMappingURL=dashboard-placeholder.js.map