import * as React from 'react';
import type { DashboardListItem } from '../redux/state';
export interface DashboardSelectionTabsExternalProps {
    canChangeTabs?: () => Promise<void>;
    onCreateDialogOpen?: () => void;
}
export interface DashboardSelectionTabsProps extends DashboardSelectionTabsExternalProps {
    availableDashboards: DashboardListItem[];
    selectedDashboardId?: string;
    setSelectedDashboard: (dashboardId: string) => void;
}
export declare function DashboardSelectionTabs({ availableDashboards, onCreateDialogOpen, selectedDashboardId, setSelectedDashboard, canChangeTabs, }: DashboardSelectionTabsProps): React.ReactElement | null;
export declare const ConnectedDashboardSelectionTabs: import("react-redux").ConnectedComponent<typeof DashboardSelectionTabs, import("react-redux").Omit<DashboardSelectionTabsProps, "availableDashboards" | "selectedDashboardId" | "setSelectedDashboard" | "canChangeTabs" | "onCreateDialogOpen"> & DashboardSelectionTabsExternalProps>;
//# sourceMappingURL=dashboard-selection-tabs.d.ts.map