import * as React from 'react';
import type { Dict } from '@sage/xtrem-shared';
import type { WidgetEditorStepProps } from './widget-editor-utils';
import type { ResponsiveTypes } from '../../redux/state';
export interface BasicsStepProps extends WidgetEditorStepProps {
    widgetCategories: Dict<string>;
    browserIs: ResponsiveTypes;
    isNewWidget: boolean;
}
export declare function BasicsStep({ nodeNames, widgetCategories, onWidgetDefinitionUpdated, widgetDefinition, browserIs, isNewWidget, stepIndex, }: BasicsStepProps): React.ReactElement;
export declare const ConnectedBasicsStep: import("react-redux").ConnectedComponent<typeof BasicsStep, import("react-redux").Omit<BasicsStepProps, "browserIs" | "widgetDefinition" | "nodeNames" | "isNewWidget" | "onWidgetDefinitionUpdated" | "widgetCategories" | "stepIndex"> & WidgetEditorStepProps>;
//# sourceMappingURL=basics-step.d.ts.map