"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterableGraphqlTypes = exports.filterTranslations = void 0;
const xtrem_shared_1 = require("@sage/xtrem-shared");
const lodash_1 = require("lodash");
exports.filterTranslations = (0, lodash_1.memoize)((localize) => ({
    contains: localize('@sage/xtrem-ui-components/contains', 'Contains'),
    endsWith: localize('@sage/xtrem-ui-components/endsWith', 'Ends with'),
    greaterThan: localize('@sage/xtrem-ui-components/greaterThan', 'Greater than'),
    greaterThanOrEqual: localize('@sage/xtrem-ui-components/greaterThanOrEqual', 'Greater than or equal to'),
    lessThan: localize('@sage/xtrem-ui-components/lessThan', 'Less than'),
    lessThanOrEqual: localize('@sage/xtrem-ui-components/lessThanOrEqual', 'Less than or equal to'),
    startsWith: localize('@sage/xtrem-ui-components/startsWith', 'Starts with'),
    set: localize('@sage/xtrem-ui-components/set', 'Equals'),
    inRange: localize('@sage/xtrem-ui-components/between', 'Between'),
    equals: localize('@sage/xtrem-ui-components/multipleRange', 'Equals'),
    notEqual: localize('@sage/xtrem-ui-components/notEqual', 'Does not equal'),
    multiNotEqual: localize('@sage/xtrem-ui-components/notEqual', 'Does not equal'),
    matches: localize('@sage/xtrem-ui-components/matches', 'Matches'),
    timeFrame: localize('@sage/xtrem-ui-components/timeframe', 'Time frame'),
}));
exports.filterableGraphqlTypes = Object.entries(xtrem_shared_1.filterGraphqlMapping).reduce((acc, [k, v]) => {
    if (v !== undefined) {
        acc.push(k);
    }
    return acc;
}, []);
//# sourceMappingURL=filter-table-types.js.map