import { ExecutionMode } from '@sage/xtrem-cli-lib';
import { StartServicesOptions } from '@sage/xtrem-cli-main';
import { DeployedXtremApp } from '@sage/xtrem-service';
export interface StartServerInput {
    dir: string;
    startScriptSource: string;
    startScriptTarget: string;
    debugging: boolean;
    detached: boolean;
}
export interface TypescriptObserverInput extends StartServicesOptions {
    dir: string;
    deployedApp: {
        app: DeployedXtremApp | null;
    };
    executionMode: ExecutionMode;
    autoReload: boolean;
}
export declare const unloadApplication: (dir: string, deployedApp: DeployedXtremApp) => Promise<void>;
export declare const reloadApplication: (deployedApp: {
    app: DeployedXtremApp | null;
}, dir: string, options: StartServicesOptions, reload?: boolean) => Promise<void>;
//# sourceMappingURL=service.d.ts.map