"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonDataType = void 0;
const data_type_1 = require("./data-type");
class JsonDataType extends data_type_1.DataType {
    constructor(options = {}) {
        super('json', options);
    }
    async controlValue(node, cx, val) {
        await super.controlValue(node, cx, val);
    }
    getMetaData(options) {
        const commonDataTypeMetaData = super.getMetaData(options);
        return {
            ...commonDataTypeMetaData,
            type: 'json',
            isDefault: false,
        };
    }
}
exports.JsonDataType = JsonDataType;
//# sourceMappingURL=json-data-type.js.map