import * as sageX3MasterData from '@sage/x3-master-data';
import { NodeExtension, Reference } from '@sage/xtrem-core';
import * as sageX3FinanceData from '..';
export declare class BusinessPartnerExtension extends NodeExtension<sageX3MasterData.nodes.BusinessPartner> {
    readonly accountingCode: Promise<string>;
    readonly expenseEntryType: Reference<sageX3FinanceData.nodes.EntryType | null>;
}
declare module '@sage/x3-master-data/lib/nodes/business-partner' {
    interface BusinessPartner extends BusinessPartnerExtension {
    }
}
//# sourceMappingURL=business-partner-extension.d.ts.map