"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductSiteExtension = void 0;
const sageX3MasterData = require("@sage/x3-master-data");
const sageX3System = require("@sage/x3-system");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageX3StockData = require("..");
const joins = {
    referenceJoins: {
        defaultInternalContainer: {
            code: 'defaultInternalContainer',
        },
    },
};
let ProductSiteExtension = class ProductSiteExtension extends xtrem_core_1.NodeExtension {
};
exports.ProductSiteExtension = ProductSiteExtension;
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'REOMGTCOD',
        dataType: () => sageX3StockData.enums.reorderingManagementModeDatatype,
    })
], ProductSiteExtension.prototype, "reorderingManagementMode", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'SHLLTIUOM',
        dataType: () => sageX3StockData.enums.expirationLeadTimeUnitsDatatype,
    })
], ProductSiteExtension.prototype, "recontrolTimeUnit", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'TCTRDEF',
        columnType: 'string',
        node: () => sageX3StockData.nodes.Container,
        serviceOptions: () => [sageX3System.serviceOptions.LpnActivityCode],
    })
], ProductSiteExtension.prototype, "defaultInternalContainer", void 0);
__decorate([
    xtrem_core_1.decorators.collectionProperty({
        isPublished: true,
        isVital: true,
        reverseReference: '_denormalizedParent',
        node: () => sageX3StockData.nodes.ProductSiteDefaultLocations,
    })
], ProductSiteExtension.prototype, "defaultLocations", void 0);
__decorate([
    xtrem_core_1.decorators.collectionProperty({
        isPublished: true,
        isVital: true,
        reverseReference: '_denormalizedParent',
        node: () => sageX3StockData.nodes.ProductSiteInternalContainers,
    })
], ProductSiteExtension.prototype, "internalContainers", void 0);
exports.ProductSiteExtension = ProductSiteExtension = __decorate([
    xtrem_core_1.decorators.nodeExtension({
        extends: () => sageX3MasterData.nodes.ProductSite,
        externalStorageManagerExtension: new xtrem_x3_gateway_1.X3StorageManagerExtension({
            joins,
        }),
    })
], ProductSiteExtension);
//# sourceMappingURL=product-site-extension.js.map