"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SalesInvoiceLineExtension = void 0;
const sageX3Sales = require("@sage/x3-sales");
const sageX3System = require("@sage/x3-system");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageX3SalesProjectManagement = require("..");
const joins = {
    referenceJoins: {
        projectSalesDocument: {
            id: 'projectSalesDocument',
        },
    },
};
let SalesInvoiceLineExtension = class SalesInvoiceLineExtension extends xtrem_core_1.NodeExtension {
};
exports.SalesInvoiceLineExtension = SalesInvoiceLineExtension;
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'SIDPSONUM',
        columnType: 'string',
        node: () => sageX3SalesProjectManagement.nodes.SalesDocument,
        serviceOptions: () => [sageX3System.serviceOptions.PjmActivityCode],
    })
], SalesInvoiceLineExtension.prototype, "projectSalesDocument", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'SIDSEQNUM',
        serviceOptions: () => [sageX3System.serviceOptions.PjmActivityCode],
    })
], SalesInvoiceLineExtension.prototype, "projectSalesDocumentLineNumber", void 0);
exports.SalesInvoiceLineExtension = SalesInvoiceLineExtension = __decorate([
    xtrem_core_1.decorators.nodeExtension({
        extends: () => sageX3Sales.nodes.SalesInvoiceLine,
        externalStorageManagerExtension: new xtrem_x3_gateway_1.X3StorageManagerExtension({
            joins,
        }),
    })
], SalesInvoiceLineExtension);
//# sourceMappingURL=sales-invoice-line-extension.js.map