import * as sageX3Structure from '@sage/x3-structure';
import { Node, Reference } from '@sage/xtrem-core';
import * as sageX3MasterData from '..';
export declare class BusinessPartnerBankDetail extends Node {
    readonly entityType: Promise<sageX3Structure.enums.EntityType | null>;
    readonly businessPartner: Reference<sageX3MasterData.nodes.BusinessPartner | null>;
    readonly bankId: Promise<string>;
    readonly address: Reference<sageX3MasterData.nodes.BusinessPartnerAddress | null>;
    readonly byDefault: Promise<boolean>;
    readonly beneficiary: Promise<string>;
    readonly payingBank1: Promise<string>;
    readonly ibanPrefix: Promise<string>;
    readonly country: Reference<sageX3Structure.nodes.Country>;
    readonly currency: Reference<sageX3MasterData.nodes.Currency | null>;
    readonly nonResidentAccount: Promise<boolean>;
}
//# sourceMappingURL=business-partner-bank-detail.d.ts.map