import * as sageX3MasterData from '@sage/x3-master-data';
import * as sageX3System from '@sage/x3-system';
import { Node, Reference, integer, date, Collection } from '@sage/xtrem-core';
import * as sageX3FinanceData from '..';
export declare class FiscalYear extends Node {
    readonly company: Reference<sageX3System.nodes.Company>;
    readonly ledgerTypeNumber: Promise<sageX3MasterData.enums.GeneralLedgerTypes>;
    readonly code: Promise<integer | null>;
    readonly description: Promise<string>;
    readonly shortDescription: Promise<string>;
    readonly startDate: Promise<date | null>;
    readonly endDate: Promise<date | null>;
    readonly closingDate: Promise<date | null>;
    readonly isAutoLedger: Promise<boolean>;
    readonly periods: Collection<sageX3FinanceData.nodes.Period>;
}
//# sourceMappingURL=fiscal-year.d.ts.map