import * as sageX3MasterData from '@sage/x3-master-data';
import * as sageX3System from '@sage/x3-system';
import { Node, Reference, integer, date } from '@sage/xtrem-core';
export declare class Period extends Node {
    readonly company: Reference<sageX3System.nodes.Company>;
    readonly ledgerTypeNumber: Promise<sageX3MasterData.enums.GeneralLedgerTypes>;
    readonly fiscalYear: Promise<integer>;
    readonly code: Promise<integer>;
    readonly startDate: Promise<date | null>;
    readonly endDate: Promise<date | null>;
    readonly status: Promise<sageX3MasterData.enums.FiscalYearPeriodStatus | null>;
    readonly closingDate: Promise<date | null>;
    readonly isAutoLedger: Promise<boolean>;
}
//# sourceMappingURL=period.d.ts.map