import * as sageX3MasterData from '@sage/x3-master-data';
import * as sageX3System from '@sage/x3-system';
import { Node, Reference, integer, decimal } from '@sage/xtrem-core';
import * as sageX3Manufacturing from '..';
export declare class RoutingScheduling extends Node {
    readonly site: Reference<sageX3System.nodes.Site>;
    readonly routing: Reference<sageX3MasterData.nodes.Product>;
    readonly routingCode: Promise<integer | null>;
    readonly operationNumber: Promise<integer | null>;
    readonly downstreamOperation: Promise<integer | null>;
    readonly milestone: Promise<sageX3Manufacturing.enums.ScheduleType | null>;
    readonly isProductionStep: Promise<boolean>;
    readonly schedulingCode: Promise<sageX3Manufacturing.enums.SchedulingCode | null>;
    readonly overlappingTime: Promise<decimal | null>;
    readonly overlappingQuantity: Promise<decimal | null>;
    readonly numberOfOverlappingLots: Promise<decimal | null>;
    readonly exportNumber: Promise<integer | null>;
}
//# sourceMappingURL=routing-scheduling.d.ts.map