import { GraphApi } from '@sage/x3-stock-api';
import * as ui from '@sage/xtrem-ui';
export declare class MobilePickTicket extends ui.Page<GraphApi> {
    private static readonly TRANSACTION_KEY;
    private static readonly DESTINATION_KEY;
    private static readonly DESTINATION_DISPLAY_KEY;
    private static readonly PICK_LIST_KEY;
    private static readonly PICK_TICKET_KEY;
    private _entryTransactions;
    nextButton: ui.PageAction;
    mainSection: ui.containers.Section;
    dataInputBlock: ui.containers.Block;
    transaction: ui.fields.DropdownList;
    stockSite: ui.fields.Label;
    pickList: ui.fields.Select;
    pickTicket: ui.fields.Reference;
    destinationLocation: ui.fields.Reference;
    private _init;
    private _initSite;
    private _getEntryTransactionOptions;
    private _disablePage;
    private _gotoPageTwo;
    private _getPickLists;
}
//# sourceMappingURL=mobile-pick-ticket.d.ts.map