import { AnyValue, JsonDataType } from '@sage/xtrem-shared';
import { Package } from '../application';
import { JsonPropertyDecorator } from '../decorators';
import { NodeFactory } from '../runtime/node-factory';
import { Property } from './property';
export declare class JsonProperty extends Property {
    protected _decorator: JsonPropertyDecorator;
    constructor(factory: NodeFactory, _decorator: JsonPropertyDecorator, definingPackage: Package);
    get dataType(): JsonDataType;
    isValueTypeValid(value: AnyValue): boolean;
    needsTypeConversion(value: AnyValue): boolean;
    mapInputValue(value: AnyValue): AnyValue;
}
//# sourceMappingURL=json-property.d.ts.map