import { Application, Context, Package, PackageManager } from '@sage/xtrem-core';
export declare class X3PackageManager extends PackageManager {
    readonly application: Application;
    constructor(application: Application);
    getActivePackageNames(context: Context): Promise<string[]>;
    getCurrentVersion(pack: Package, _context?: Context): Promise<string | undefined>;
    validatePackageVersions(): Promise<void>;
    createSqlSchemaAndTables(): Promise<boolean>;
    ensureSchemaExists(): Promise<void>;
    createOrUpgradePackageAllocations(_context: Context, _activePackageNames?: string[]): Promise<void>;
}
//# sourceMappingURL=x3-package-manager.d.ts.map