/**
Use http://mikemcl.github.io/decimal.js/
https://github.com/MikeMcl/decimal.js
*/
import { Decimal as _Decimal } from 'decimal.js';
export declare class Decimal extends _Decimal {
    static make(v: Decimal | string | number): Decimal;
    static toNumber(v: Decimal | number): number;
}
export type Value = string | number | Decimal;
export declare function decimal(s: string): Decimal;
export declare function add(a: any, b: any): any;
export declare function sub(a: any, b: any): number | _Decimal;
export declare function mul(a: any, b: any): number | _Decimal;
export declare function div(a: any, b: any): number | _Decimal;
export declare function compare(a: any, b: any): number | undefined;
export declare function eq(a: any, b: any): boolean;
export declare function strictEq(a: any, b: any): boolean;
export declare function ne(a: any, b: any): boolean;
export declare function strictNe(a: any, b: any): boolean;
export declare function lt(a: any, b: any): boolean;
export declare function lte(a: any, b: any): boolean;
export declare function gt(a: any, b: any): boolean;
export declare function gte(a: any, b: any): boolean;
export declare function negated(a: any): number | _Decimal;
export declare function plus(a: any): any;
export declare function abs(value: Value): Decimal | number;
export declare function ceil(value: Value): number;
export declare function floor(value: Value): number;
export declare function pow(base: Value, exponent: Value): Decimal | number;
export declare function max(...values: Value[]): Decimal | number;
export declare function min(...values: Value[]): Decimal | number;
export declare function round(value: Value): number;
export declare function sum(...values: Value[]): Decimal | number;
export declare function uselessFunctionV3(): void;
//# sourceMappingURL=types-lib.d.ts.map