/// <reference types="node" />
import * as fs from 'fs';
export declare enum PackagingMode {
    DEV = "DEV",
    PROD = "PROD"
}
export declare enum ArtifactTypes {
    Pages = "pages",
    Stickers = "stickers",
    PageExtensions = "page-extensions"
}
export declare const getNpmCommandName: () => "npm.cmd" | "npm";
export declare function mkdirp(p: string): void;
export declare function safeRmSync(fileOrDir: string, options?: fs.RmOptions): void;
export declare function copyFile(source: string, target: string): void;
export declare function copyFolderRecursive(source: string, target: string, noPreserve?: boolean): void;
export declare function getMetadataFilePathForClientFile(dir: string, filePath: string): string;
export declare function hashFile(filePath: string): string;
//# sourceMappingURL=file.d.ts.map