import { NewRelicConfig } from '@sage/xtrem-shared';
import { Response } from 'express';
import { RequestWithNonce } from '.';
export interface TemplateConfig extends Partial<NewRelicConfig> {
    nonce?: string;
    version?: string;
    preferences: {
        loadPendo: boolean;
        loadNewRelic: boolean;
    };
}
export declare const serveStaticXtremUi: (isProd?: boolean, newRelicConfig?: NewRelicConfig, xtremStandaloneVersion?: string, isTemplateCacheDisabled?: boolean) => (req: RequestWithNonce, res: Response) => void;
//# sourceMappingURL=xtrem-ui-app.d.ts.map