import { type Dict } from '@sage/xtrem-shared';
import type { AppAction } from '../action-types';
import type { UiDashboard } from '../../dashboard/dashboard-types';
import type { WidgetDefinition } from '../../dashboard/widgets/abstract-widget';
import type { DashboardState, DashboardListItem } from '../state';
import type { Reducer } from 'redux';
export declare const dashboards: (state: Dict<UiDashboard> | undefined, action: AppAction) => Dict<UiDashboard>;
export declare const widgets: (state: Dict<WidgetDefinition> | undefined, action: AppAction) => Dict<WidgetDefinition>;
export declare const availableDashboards: (state: DashboardListItem[] | undefined, action: AppAction) => DashboardListItem[];
export declare const dashboard: Reducer<DashboardState, AppAction>;
//# sourceMappingURL=dashboard.d.ts.map