import { combineReducers } from 'redux';
import { activeDialogs } from './active-dialogs';
import { applicationContext } from './application-context';
import { applicationPackages } from './application-packages';
import { browser } from './browser';
import { customizationWizardPage } from './customization-wizard-page';
import { dashboard } from './dashboard';
import { enumTypes } from './enum-types';
import { focusPosition } from './focus-position';
import { isKeyboardShortcutsEnabled } from './is-keyboard-shortcuts-enabled';
import { loading } from './loading';
import { menuItems } from './menu-items';
import { nodeTypes } from './node-type';
import { toasts } from './toasts';
import { path } from './path';
import { plugins } from './plugins';
import { screenDefinitions } from './screen-definitions';
import { sidebar } from './sidebar';
import { translations } from './translations';
import { userCustomizations } from './user-customizations';
import { exportConfigurationPage } from './export-configuration-page';
import { activeLookupDialog } from './current-lookup-dialog';
const rootReducer = combineReducers({
    activeDialogs,
    activeLookupDialog,
    applicationContext,
    applicationPackages,
    browser,
    customizationWizardPage,
    dashboard,
    enumTypes,
    exportConfigurationPage,
    focusPosition,
    isKeyboardShortcutsEnabled,
    loading,
    menuItems,
    nodeTypes,
    toasts,
    path,
    plugins,
    screenDefinitions,
    sidebar,
    translations,
    userCustomizations,
});
export default rootReducer;
//# sourceMappingURL=index.js.map