export var ContextType;
(function (ContextType) {
    ContextType["accordion"] = "accordion";
    ContextType["calendar"] = "calendar";
    ContextType["detailPanel"] = "detail-panel";
    ContextType["dialog"] = "dialog";
    ContextType["header"] = "header";
    ContextType["navigationPanel"] = "navigation-panel";
    ContextType["page"] = "page";
    ContextType["pageHeader"] = "page-header";
    ContextType["pod"] = "pod";
    ContextType["sidebar"] = "sidebar";
    ContextType["table"] = "table";
    ContextType["tableSummary"] = "tableSummary";
})(ContextType || (ContextType = {}));
export var GraphQLTypes;
(function (GraphQLTypes) {
    GraphQLTypes["Boolean"] = "Boolean";
    GraphQLTypes["Date"] = "Date";
    GraphQLTypes["DateTime"] = "DateTime";
    GraphQLTypes["Decimal"] = "Decimal";
    GraphQLTypes["Enum"] = "Enum";
    GraphQLTypes["ExternalReference"] = "ExternalReference";
    GraphQLTypes["Float"] = "Float";
    GraphQLTypes["ID"] = "Id";
    GraphQLTypes["InputStream"] = "_InputStream";
    GraphQLTypes["OutputTextStream"] = "_OutputTextStream";
    GraphQLTypes["InputTextStream"] = "_InputTextStream";
    GraphQLTypes["Int"] = "Int";
    GraphQLTypes["IntOrString"] = "IntOrString";
    GraphQLTypes["IntReference"] = "IntReference";
    GraphQLTypes["Json"] = "Json";
    GraphQLTypes["String"] = "String";
})(GraphQLTypes || (GraphQLTypes = {}));
export const textStreams = [GraphQLTypes.OutputTextStream, GraphQLTypes.InputTextStream];
export var GraphQLKind;
(function (GraphQLKind) {
    GraphQLKind["Object"] = "OBJECT";
    GraphQLKind["Scalar"] = "SCALAR";
    GraphQLKind["List"] = "LIST";
})(GraphQLKind || (GraphQLKind = {}));
//# sourceMappingURL=index.js.map