import type { StringLiterals } from '../../types';
export interface PiePartProps {
    title?: string;
    value: number;
    color?: string;
}
export interface PieChartProps {
    pieChartData: PiePartProps[];
    isDonut?: boolean;
    stringLiterals: StringLiterals;
}
export interface GetCellColorParameters {
    piePartIndex: number;
    defaultColors: string[];
    piePart: PiePartProps;
}
export interface RenderCustomizedLabelParameters {
    cx: number;
    cy: number;
    midAngle: number;
    innerRadius: number;
    outerRadius: number;
    percent: number;
}
