import type { StoryObj } from "@storybook/react";
declare const meta: {
    title: string;
    component: ({ message, showMenu, setShowMenu, onMessageDelete, onMessageTrace, isSkeleton, }: import("./ChatBubble").ChatBubbleProps) => import("react/jsx-runtime").JSX.Element | null;
    parameters: {
        layout: string;
        backgrounds: {
            default: string;
        };
    };
    tags: string[];
};
export default meta;
type Story = StoryObj<typeof meta>;
export declare const HumanMessage: Story;
export declare const AiMessage: Story;
export declare const WithMenuVisible: Story;
export declare const AsASkeleton: Story;
