import { OnCloseClick } from "./ChatHeader";
import { GmsChatAppProps } from "./GmsChatApp";
import { GmsClient } from "../contexts/BackendContext";
export interface GmsChatBaseProps {
    backendUrl: string;
    authToken: string;
    userId: string;
    gmsClient: GmsClient;
    showSidebar?: boolean;
    showSuggestions?: boolean;
    showConversationStarter?: boolean;
}
interface GmsChatWindowInternalProps extends GmsChatAppProps {
    onChatClose?: OnCloseClick;
}
export declare const GmsChatWindowInternal: ({ onChatClose, backendUrl, authToken, userId, chatIsVisible, gmsClient, showSidebar, showSuggestions, showConversationStarter, showHeading, roundedCorners, isPopup, }: GmsChatWindowInternalProps) => import("react/jsx-runtime").JSX.Element;
export interface GmsChatWindowProps extends GmsChatBaseProps {
    showHeading?: boolean;
    roundedCorners?: boolean;
}
declare const GmsChatWindow: ({ backendUrl, authToken, userId, gmsClient, showSidebar, showSuggestions, showConversationStarter, showHeading, roundedCorners, }: GmsChatWindowProps) => import("react/jsx-runtime").JSX.Element;
export default GmsChatWindow;
