/// <reference types="react" />
import { SpaceProps } from "styled-system";
interface IconButtonProps extends SpaceProps {
    size?: number;
    onClick?: (e: React.MouseEvent<HTMLInputElement>) => void;
}
export declare const ActivityIconButton: ({ size, ...rest }: IconButtonProps) => import("react/jsx-runtime").JSX.Element;
export declare const ChevronDownButton: ({ size, ...rest }: IconButtonProps) => import("react/jsx-runtime").JSX.Element;
export declare const ChevronRightButton: ({ size, ...rest }: IconButtonProps) => import("react/jsx-runtime").JSX.Element;
export declare const CodeIconButton: ({ size, ...rest }: IconButtonProps) => import("react/jsx-runtime").JSX.Element;
export declare const CopyIconButton: ({ size, ...rest }: IconButtonProps) => import("react/jsx-runtime").JSX.Element;
export declare const EditIconButton: ({ size, ...rest }: IconButtonProps) => import("react/jsx-runtime").JSX.Element;
interface FavoriteIconButtonProps extends IconButtonProps {
    favorited: boolean;
}
export declare const FavoriteIconButton: ({ size, favorited, ...rest }: FavoriteIconButtonProps) => import("react/jsx-runtime").JSX.Element;
export declare const FileTextIconButton: ({ size, ...rest }: IconButtonProps) => import("react/jsx-runtime").JSX.Element;
export declare const TrashIconButton: ({ size, ...rest }: IconButtonProps) => import("react/jsx-runtime").JSX.Element;
export declare const XIconButton: ({ size, ...rest }: IconButtonProps) => import("react/jsx-runtime").JSX.Element;
export {};
