declare type Outstanding = {
    label: string;
    value?: string | number;
    indent: number;
    link?: string;
};
declare type Total = {
    label: string;
    value: string | number;
};
declare type SimpleListData = {
    outstandings?: Outstanding[];
    total?: Total;
};
export declare type SimpleListProps = {
    simpleListData: SimpleListData;
    linksCallback?: (link: string) => void;
};
declare const SimpleList: ({ simpleListData, linksCallback }: SimpleListProps) => JSX.Element;
export default SimpleList;
