import type { Locale, StringLiterals } from '../../types';
import './StatusReport.scss';
export interface StatusReportProps {
    data: any[];
    elements: ChartComponent[];
    locale?: Locale;
    stringLiterals: StringLiterals;
}
export declare type ChartComponent = {
    name: string;
    type: string;
    class: string;
};
export default function StatusReport({ data, elements, locale, stringLiterals, }: StatusReportProps): JSX.Element;
