interface Suggestion {
    id: string;
    message: string;
}
export interface SuggestionGroup {
    [name: string]: Suggestion[];
}
export interface ChatSuggestionJson {
    suggested_prompt_id: string;
    message: string;
    category: string;
    created_at: string;
}
declare const useChatSuggestions: (enabled: boolean) => import("@tanstack/react-query").UseQueryResult<SuggestionGroup, import("axios").AxiosError<unknown, any>>;
export default useChatSuggestions;
