import { SessionMessage, SessionMessageJson } from "../types/SessionMessage";
type SortFn = (a: Date, b: Date) => number;
export declare const parseSessionMessageDate: (dateStr: string) => Date;
export declare const oldestToNewest: (a: Date, b: Date) => 1 | 0 | -1;
export declare const newestToOldest: (a: Date, b: Date) => 1 | 0 | -1;
export declare const sortedSessionMessagesJson: (messages: SessionMessageJson[], sortFn: SortFn) => SessionMessageJson[];
export declare const sortedSessionMessages: (messages: SessionMessage[], sortFn: SortFn) => SessionMessage[];
export {};
