export declare enum CLUSTER_PURPOSE {
    SIM = "sim",
    GLOSSARY = "glossary",
    SHOWCASE = "showcase",
    BANK_MANAGER = "bankmanager",
    SHOPFLOOR = "shopfloor"
}
export type Purpose = {
    friendlyName: string;
    repository: string;
};
export declare const CLUSTER_PURPOSE_PROPERTIES: {
    [key: string]: Purpose;
};
export declare const getDefaultPurpose: () => CLUSTER_PURPOSE;
