import { AbstractDecorator } from './abstract-decorator';
import type { DecoratorTarget, FieldKey, FieldValue, MetadataProps } from './types';
export declare class AbstractFieldDecorator<T extends FieldKey> extends AbstractDecorator<T> {
    protected target: DecoratorTarget<T>;
    protected elementId: string;
    protected componentType: T;
    protected _metadataProps: MetadataProps<T>;
    constructor(target: DecoratorTarget<T>, elementId: string, componentType: T, _metadataProps: MetadataProps<T>);
    parseRawServerValue(value: any): FieldValue<T>;
}
//# sourceMappingURL=abstract-field-decorator.d.ts.map