import type { Dict } from '@sage/xtrem-shared';
import * as React from 'react';
import type { DetailPanelControlObject, DetailPanelProperties } from '../../control-objects';
import type { SectionProperties } from '../container-properties';
export interface DetailPanelExternalProps {
    detailPanel: DetailPanelControlObject;
    screenId: string;
}
export interface DetailPanelProps extends DetailPanelExternalProps {
    enabledFooterActions: number;
    detailPanelProperties: DetailPanelProperties;
    setFieldProperties: (bind: string, properties: DetailPanelProperties) => void;
    visibleFooterActions: number;
    sectionProperties: Dict<SectionProperties>;
}
export declare class DetailPanel extends React.Component<DetailPanelProps> {
    onTabSelect: (selectedId: any) => void;
    onClose: () => void;
    render(): React.ReactNode;
}
declare const _default: import("react-redux").ConnectedComponent<typeof DetailPanel, import("react-redux").Omit<React.ClassAttributes<DetailPanel> & DetailPanelProps, "screenId" | "setFieldProperties" | "detailPanel" | "enabledFooterActions" | "detailPanelProperties" | "visibleFooterActions" | "sectionProperties"> & DetailPanelExternalProps>;
export default _default;
//# sourceMappingURL=detail-panel-component.d.ts.map