import * as React from 'react';
import { ContextType } from '../../../types';
import type { PageActionButtonType, PageActionControlObject } from '../../control-objects';
export interface BusinessActionsExternalProps {
    businessActions?: PageActionControlObject[];
    contextType: ContextType;
    defaultButtonType: PageActionButtonType;
    maxMainActions?: number;
    screenId: string;
}
export interface BusinessActionsProps extends BusinessActionsExternalProps {
    enabledBusinessActions: string[];
    visibleBusinessActions: string[];
}
export declare function BusinessActions(props: BusinessActionsProps): React.ReactElement;
declare const _default: import("react-redux").ConnectedComponent<typeof BusinessActions, import("react-redux").Omit<BusinessActionsProps, "contextType" | "screenId" | "businessActions" | "defaultButtonType" | "enabledBusinessActions" | "visibleBusinessActions" | "maxMainActions"> & BusinessActionsExternalProps>;
export default _default;
//# sourceMappingURL=business-actions.d.ts.map