import * as React from 'react';
import { ContextType } from '../../../types';
import type { PageActionControlObject } from '../../control-objects';
export interface PageFooterExternalProps {
    screenId: string;
    businessActions?: PageActionControlObject[];
    contextType?: ContextType;
}
export interface PageFooterProps extends PageFooterExternalProps {
    isExtraSmallScreen?: boolean;
}
export declare function PageFooter({ businessActions, screenId, contextType, isExtraSmallScreen, }: PageFooterProps): React.ReactElement | null;
declare const _default: import("react-redux").ConnectedComponent<typeof PageFooter, import("react-redux").Omit<PageFooterProps, "contextType" | "screenId" | "businessActions" | "isExtraSmallScreen"> & PageFooterExternalProps>;
export default _default;
//# sourceMappingURL=page-footer-component.d.ts.map