import type { Dict } from '@sage/xtrem-shared';
import React from 'react';
import type { CardDefinition } from '../../ui/card/card-component';
export interface PageHeaderCardExternalProps {
    screenId: string;
}
export interface PageHeaderCardProps extends PageHeaderCardExternalProps {
    cardDefinition: CardDefinition | null;
    screenId: string;
    value: Dict<any> | null;
}
export declare function PageHeaderCardComponent({ screenId, cardDefinition, value, }: PageHeaderCardProps): React.ReactElement | null;
export declare const ConnectedPageHeaderCardComponent: import("react-redux").ConnectedComponent<typeof PageHeaderCardComponent, import("react-redux").Omit<PageHeaderCardProps, "value" | "screenId" | "cardDefinition"> & PageHeaderCardExternalProps>;
//# sourceMappingURL=page-header-card.d.ts.map