import * as React from 'react';
import { EditableFieldBaseComponent } from '../field-base-component';
import type { NestedFieldsAdditionalProperties } from '../field-base-component-types';
import type { CheckboxDecoratorProperties } from './checkbox-types';
export declare class CheckboxComponent extends EditableFieldBaseComponent<CheckboxDecoratorProperties, boolean, NestedFieldsAdditionalProperties> {
    onChange: (event: React.ChangeEvent<HTMLInputElement>) => void;
    render(): React.ReactNode;
}
export declare const ConnectedCheckboxComponent: import("react-redux").ConnectedComponent<typeof CheckboxComponent, import("react-redux").Omit<React.ClassAttributes<CheckboxComponent> & import("../field-base-component-types").FieldComponentExternalProperties & import("../field-base-component-types").EditableFieldComponentProperties<CheckboxDecoratorProperties<import("../../../service/screen-base").ScreenBase<any, any>>, boolean> & NestedFieldsAdditionalProperties, "locale" | "value" | "onFocus" | "nodeTypes" | "fieldProperties" | "validationErrors" | "setFieldValue" | "validate" | "removeNonNestedErrors" | "setFieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus"> & import("../field-base-component-types").FieldComponentExternalProperties>;
export default ConnectedCheckboxComponent;
//# sourceMappingURL=checkbox-component.d.ts.map