/// <reference types="@sage/xtrem-shared" />
import React from 'react';
import type { FieldComponentExternalProperties } from '../field-base-component-types';
import type { DropdownListComponentProps, DropdownListProperties } from './dropdown-list-types';
export declare const DropdownListComponent: React.FC<DropdownListComponentProps>;
export declare const ConnectedDropdownListComponent: import("react-redux").ConnectedComponent<React.FC<DropdownListComponentProps>, import("react-redux").Omit<FieldComponentExternalProperties & import("../field-base-component-types").EditableFieldComponentProperties<DropdownListProperties<import("../../../service/screen-base").ScreenBase<any, any>, void>, string> & import("../field-base-component-types").NestedFieldsAdditionalProperties & {
    localizedOptions?: import("@sage/xtrem-shared/lib/util").Dict<string> | undefined;
    enumOptions?: string[] | undefined;
} & {
    children?: React.ReactNode;
}, "locale" | "contextType" | "value" | "onFocus" | "fixedHeight" | "item" | "screenId" | "nestedReadOnlyField" | "shouldRenderLabelInNestedReadOnlyMode" | "availableColumns" | "isParentDisabled" | "isParentHidden" | "bind" | "elementId" | "nodeTypes" | "contextNode" | "fieldProperties" | "parentElementId" | "recordContext" | "validationErrors" | "setFieldValue" | "validate" | "removeNonNestedErrors" | "setFieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus" | "handlersArguments" | "isNested" | "columnDefinition" | "enumOptions" | "localizedOptions"> & FieldComponentExternalProperties>;
export default ConnectedDropdownListComponent;
//# sourceMappingURL=dropdown-list-component.d.ts.map