import * as React from 'react';
import type { ScreenBase } from '../../../service/screen-base';
import { EditableFieldBaseComponent } from '../field-base-component';
import type { FieldComponentExternalProperties } from '../field-base-component-types';
import type { DynamicPodComponentProperties, DynamicPodDecoratorProperties } from './dynamic-pod-types';
export declare class DynamicPodComponent extends EditableFieldBaseComponent<DynamicPodDecoratorProperties<ScreenBase>, any, DynamicPodComponentProperties> {
    constructor(props: DynamicPodComponentProperties);
    componentDidUpdate(prevProps: DynamicPodComponentProperties): void;
    private checkOptionTypes;
    private readonly onChange;
    private readonly onRemove;
    private readonly onNewPod;
    render(): React.ReactNode;
}
export declare const ConnectedDynamicPodComponent: import("react-redux").ConnectedComponent<typeof DynamicPodComponent, import("react-redux").Omit<React.ClassAttributes<DynamicPodComponent> & DynamicPodComponentProperties, "locale" | "contextType" | "value" | "onFocus" | "fixedHeight" | "item" | "screenId" | "nestedReadOnlyField" | "shouldRenderLabelInNestedReadOnlyMode" | "availableColumns" | "isParentDisabled" | "isParentHidden" | "bind" | "elementId" | "nodeTypes" | "fieldProperties" | "validationErrors" | "setFieldValue" | "validate" | "removeNonNestedErrors" | "setFieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus" | "loadOptionTypes"> & FieldComponentExternalProperties>;
export default ConnectedDynamicPodComponent;
//# sourceMappingURL=dynamic-pod-component.d.ts.map