import type { IconType } from 'carbon-react/esm/components/icon/icon-type';
import * as React from 'react';
import { ReadonlyFieldBaseComponent } from '../field-base-component';
import type { NestedFieldsAdditionalProperties } from '../field-base-component-types';
import type { IconDecoratorProperties } from './icon-types';
export declare class IconComponent extends ReadonlyFieldBaseComponent<IconDecoratorProperties, IconType, NestedFieldsAdditionalProperties> {
    getIconElement(): React.ReactNode;
    render(): React.ReactNode;
}
export declare const ConnectedIconComponent: import("react-redux").ConnectedComponent<typeof IconComponent, import("react-redux").Omit<React.ClassAttributes<IconComponent> & import("../field-base-component-types").FieldComponentExternalProperties & import("../field-base-component-types").ReadonlyFieldComponentProperties<IconDecoratorProperties<import("../../../service/screen-base").ScreenBase<any, any>>, IconType> & NestedFieldsAdditionalProperties, "locale" | "value" | "onFocus" | "nodeTypes" | "fieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus"> & import("../field-base-component-types").FieldComponentExternalProperties>;
export default ConnectedIconComponent;
//# sourceMappingURL=icon-component.d.ts.map