import * as React from 'react';
import { EditableFieldBaseComponent } from '../field-base-component';
import type { NestedFieldsAdditionalProperties } from '../field-base-component-types';
import type { ImageComponentProps, ImageComponentState, ImageValue, ImageDecoratorProperties } from './image-types';
export declare class ImageComponent extends EditableFieldBaseComponent<ImageDecoratorProperties, ImageValue, NestedFieldsAdditionalProperties, ImageComponentState> {
    private readonly fileRef;
    constructor(props: ImageComponentProps);
    private readFile;
    private readonly getPlaceholderValue;
    private readonly getPlaceholderMode;
    private readonly onDragOver;
    private readonly onDrop;
    private readonly onCreateElementClick;
    private readonly onFileChanged;
    private readonly onRemoveImage;
    private readonly onFullScreenOpen;
    private readonly onFullScreenClose;
    private readonly renderRemoveIcon;
    private readonly renderReadOnlyPlaceholder;
    private readonly renderValueBody;
    private readonly renderFullScreenView;
    private renderUploadArea;
    render(): React.ReactNode;
}
export declare const ConnectedImageComponent: import("react-redux").ConnectedComponent<typeof ImageComponent, import("react-redux").Omit<React.ClassAttributes<ImageComponent> & import("../field-base-component-types").FieldComponentExternalProperties & import("../field-base-component-types").EditableFieldComponentProperties<ImageDecoratorProperties<import("../../../service/screen-base").ScreenBase<any, any>>, ImageValue> & NestedFieldsAdditionalProperties, "locale" | "value" | "onFocus" | "nodeTypes" | "fieldProperties" | "validationErrors" | "setFieldValue" | "validate" | "removeNonNestedErrors" | "setFieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus"> & import("../field-base-component-types").FieldComponentExternalProperties>;
export default ConnectedImageComponent;
//# sourceMappingURL=image-component.d.ts.map