import * as React from 'react';
import { ReadonlyFieldBaseComponent } from '../field-base-component';
import type { NestedFieldsAdditionalProperties } from '../field-base-component-types';
import type { LabelDecoratorProperties } from './label-types';
export declare class LabelComponent extends ReadonlyFieldBaseComponent<LabelDecoratorProperties, string, NestedFieldsAdditionalProperties> {
    render(): React.ReactNode;
}
export declare const ConnectedLabelComponent: import("react-redux").ConnectedComponent<typeof LabelComponent, import("react-redux").Omit<React.ClassAttributes<LabelComponent> & import("../field-base-component-types").FieldComponentExternalProperties & import("../field-base-component-types").ReadonlyFieldComponentProperties<LabelDecoratorProperties<import("../../../service/screen-base").ScreenBase<any, any>>, string> & NestedFieldsAdditionalProperties, "locale" | "value" | "onFocus" | "nodeTypes" | "fieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus"> & import("../field-base-component-types").FieldComponentExternalProperties>;
export default ConnectedLabelComponent;
//# sourceMappingURL=label-component.d.ts.map