import * as React from 'react';
import { ReadonlyFieldBaseComponent } from '../field-base-component';
import type { NestedFieldsAdditionalProperties } from '../field-base-component-types';
import type { LinkDecoratorProperties } from './link-types';
export declare class LinkComponent extends ReadonlyFieldBaseComponent<LinkDecoratorProperties, string, NestedFieldsAdditionalProperties> {
    private readonly onClick;
    getFocusableElement(element: HTMLElement): HTMLButtonElement | null;
    render(): React.ReactNode;
}
export declare const ConnectedLinkComponent: import("react-redux").ConnectedComponent<typeof LinkComponent, import("react-redux").Omit<React.ClassAttributes<LinkComponent> & import("../field-base-component-types").FieldComponentExternalProperties & import("../field-base-component-types").ReadonlyFieldComponentProperties<LinkDecoratorProperties<import("../../../service/screen-base").ScreenBase<any, any>>, string> & NestedFieldsAdditionalProperties, "locale" | "value" | "onFocus" | "nodeTypes" | "fieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus"> & import("../field-base-component-types").FieldComponentExternalProperties>;
export default ConnectedLinkComponent;
//# sourceMappingURL=link-component.d.ts.map