import * as React from 'react';
import { EditableFieldBaseComponent } from '../field-base-component';
import type { FieldComponentExternalProperties } from '../field-base-component-types';
import type { MultiDropdownInternalProps, MultiDropdownDecoratorProperties } from './multi-dropdown-types';
export declare class MultiDropdownComponent extends EditableFieldBaseComponent<MultiDropdownDecoratorProperties, string[], MultiDropdownInternalProps> {
    private readonly onChange;
    private readonly getBorderColor;
    private readonly getItems;
    private readonly getReadOnlyValue;
    render(): React.ReactNode;
}
export declare const ConnectedMultiDropdownComponent: import("react-redux").ConnectedComponent<typeof MultiDropdownComponent, import("react-redux").Omit<React.ClassAttributes<MultiDropdownComponent> & FieldComponentExternalProperties & import("../field-base-component-types").EditableFieldComponentProperties<MultiDropdownDecoratorProperties<import("../../../service/screen-base").ScreenBase<any, any>>, string[]> & MultiDropdownInternalProps & import("../field-base-component-types").NestedFieldsAdditionalProperties, "locale" | "contextType" | "value" | "onFocus" | "fixedHeight" | "item" | "screenId" | "nestedReadOnlyField" | "shouldRenderLabelInNestedReadOnlyMode" | "availableColumns" | "isParentDisabled" | "isParentHidden" | "bind" | "elementId" | "nodeTypes" | "contextNode" | "fieldProperties" | "parentElementId" | "recordContext" | "validationErrors" | "setFieldValue" | "validate" | "removeNonNestedErrors" | "setFieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus" | "handlersArguments" | "isNested" | "columnDefinition" | "enumOptions" | "localizedOptions"> & FieldComponentExternalProperties>;
export default ConnectedMultiDropdownComponent;
//# sourceMappingURL=multi-dropdown-component.d.ts.map