import * as React from 'react';
import type { NestedGridComponentExternalProps, NestedGridComponentProps, NestedGridItemId } from './nested-grid-component-types';
export declare class NestedGridComponent extends React.Component<NestedGridComponentProps> {
    getComponentClass: () => string;
    onRowClick: (recordId: NestedGridItemId, level: number) => () => void;
    render(): React.ReactNode;
}
export declare const ConnectedNestedGridComponent: import("react-redux").ConnectedComponent<typeof NestedGridComponent, import("react-redux").Omit<React.ClassAttributes<NestedGridComponent> & NestedGridComponentProps, "locale" | "username" | "contextType" | "value" | "item" | "screenId" | "isParentDisabled" | "elementId" | "nodeTypes" | "fieldProperties" | "onRowClick" | "validationErrors" | "validate" | "setFieldProperties" | "browser" | "searchText" | "enumTypes" | "isLoading" | "accessBindings" | "enableMobileLoadMore" | "createSearchTextFilter" | "setGlobalLoading" | "mobilePerformInitialLoadNestedGridData"> & NestedGridComponentExternalProps>;
export default ConnectedNestedGridComponent;
//# sourceMappingURL=nested-grid-component.d.ts.map