import React from 'react';
import type { NestedNumericProperties } from '../../nested-fields-properties';
import type { CellParams } from '../../../utils/ag-grid/ag-grid-column-config';
import { AgGridCellEditorComponent } from '../table/table-component-types';
interface NumericEditorState {
    value: string;
    highlightAllOnFocus: boolean;
}
export default class NumericEditor extends AgGridCellEditorComponent<CellParams<NestedNumericProperties>, NumericEditorState, number> {
    private readonly cancelBeforeStart;
    private readonly input;
    constructor(props: CellParams<NestedNumericProperties>);
    componentDidMount(): void;
    componentWillUnmount(): void;
    handleChange(event: React.ChangeEvent<HTMLInputElement>): void;
    onKeyDown(event: React.KeyboardEvent<HTMLInputElement>): void;
    getValue(): number | null;
    createInitialState(props: CellParams<NestedNumericProperties>): NumericEditorState;
    isCancelBeforeStart(): boolean;
    isCancelAfterEnd(): boolean;
    isInputLimitedByScale(event: React.KeyboardEvent<HTMLInputElement>): boolean;
    render(): React.ReactNode;
}
export {};
//# sourceMappingURL=numeric-cell-editor.d.ts.map