import * as React from 'react';
import { EditableFieldBaseComponent } from '../field-base-component';
import type { NestedFieldsAdditionalProperties } from '../field-base-component-types';
import type { NumericComponentProps, NumericComponentState, NumericDecoratorProperties } from './numeric-types';
export declare class NumericComponent extends EditableFieldBaseComponent<NumericDecoratorProperties, number, NestedFieldsAdditionalProperties, NumericComponentState> {
    private readonly decimalRef;
    constructor(props: NumericComponentProps);
    private readonly onInputValueChanged;
    private readonly onChange;
    private readonly onBlur;
    private readonly onKeyDown;
    private readonly onKeyUp;
    UNSAFE_componentWillReceiveProps(nextProps: NumericComponentProps): void;
    render(): React.ReactNode;
}
export declare const ConnectedNumericComponent: import("react-redux").ConnectedComponent<typeof NumericComponent, import("react-redux").Omit<React.ClassAttributes<NumericComponent> & import("../field-base-component-types").FieldComponentExternalProperties & import("../field-base-component-types").EditableFieldComponentProperties<import("./numeric-types").NumericProperties<import("../../../service/screen-base").ScreenBase<any, any>, void>, number> & NestedFieldsAdditionalProperties, "locale" | "value" | "onFocus" | "nodeTypes" | "fieldProperties" | "validationErrors" | "setFieldValue" | "validate" | "removeNonNestedErrors" | "setFieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus"> & import("../field-base-component-types").FieldComponentExternalProperties>;
export default ConnectedNumericComponent;
//# sourceMappingURL=numeric-component.d.ts.map