import * as React from 'react';
import { ReadonlyFieldBaseComponent } from '../field-base-component';
import type { NestedFieldsAdditionalProperties } from '../field-base-component-types';
import type { ProgressDecoratorProperties } from './progress-types';
export declare class ProgressComponent extends ReadonlyFieldBaseComponent<ProgressDecoratorProperties, number, NestedFieldsAdditionalProperties> {
    render(): React.ReactNode;
}
export declare const ConnectedProgressComponent: import("react-redux").ConnectedComponent<typeof ProgressComponent, import("react-redux").Omit<React.ClassAttributes<ProgressComponent> & import("../field-base-component-types").FieldComponentExternalProperties & import("../field-base-component-types").ReadonlyFieldComponentProperties<ProgressDecoratorProperties<import("../../../service/screen-base").ScreenBase<any, any>>, number> & NestedFieldsAdditionalProperties, "locale" | "value" | "onFocus" | "nodeTypes" | "fieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus"> & import("../field-base-component-types").FieldComponentExternalProperties>;
export default ConnectedProgressComponent;
//# sourceMappingURL=progress-component.d.ts.map