import type { Dict } from '@sage/xtrem-shared';
import React from 'react';
import type { FieldComponentExternalProperties } from '../field-base-component-types';
import type { RadioComponentProps } from './radio-types';
type RadioAdditionalProps = RadioComponentProps & {
    localizedOptions?: Dict<string>;
    enumOptions?: string[];
};
export declare function RadioComponent(props: RadioAdditionalProps): React.ReactElement;
export declare const ConnectedRadioComponent: import("react-redux").ConnectedComponent<typeof RadioComponent, import("react-redux").Omit<FieldComponentExternalProperties & import("../field-base-component-types").EditableFieldComponentProperties<import("./radio-types").RadioProperties<import("../../../service/screen-base").ScreenBase<any, any>>, string> & {
    localizedOptions?: Dict<string> | undefined;
    enumOptions?: string[] | undefined;
}, "locale" | "contextType" | "value" | "onFocus" | "fixedHeight" | "item" | "screenId" | "nestedReadOnlyField" | "shouldRenderLabelInNestedReadOnlyMode" | "availableColumns" | "isParentDisabled" | "isParentHidden" | "bind" | "elementId" | "nodeTypes" | "fieldProperties" | "validationErrors" | "setFieldValue" | "validate" | "removeNonNestedErrors" | "setFieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus" | "enumOptions" | "localizedOptions"> & FieldComponentExternalProperties>;
export default ConnectedRadioComponent;
//# sourceMappingURL=radio-component.d.ts.map