import * as React from 'react';
import { EditableFieldBaseComponent } from '../field-base-component';
import type { RichTextComponentProps, RichTextProperties, RichTextComponentState } from './rich-text-types';
export declare class RichTextComponent extends EditableFieldBaseComponent<RichTextProperties, {
    value: string;
}, {}, RichTextComponentState> {
    private readonly toolbarContainer;
    constructor(props: RichTextComponentProps);
    getToolbarItems(): string[];
    onBlur: () => void;
    onChange: (value: string) => void;
    onKeyDown: (data: any) => void;
    UNSAFE_componentWillReceiveProps(nextProps: RichTextComponentProps): void;
    render(): React.ReactNode;
}
export declare const ConnectedRichTextComponent: import("react-redux").ConnectedComponent<typeof RichTextComponent, import("react-redux").Omit<React.ClassAttributes<RichTextComponent> & import("../field-base-component-types").FieldComponentExternalProperties & import("../field-base-component-types").EditableFieldComponentProperties<RichTextProperties<import("../../../service/screen-base").ScreenBase<any, any>>, {
    value: string;
}>, "locale" | "value" | "onFocus" | "nodeTypes" | "fieldProperties" | "validationErrors" | "setFieldValue" | "validate" | "removeNonNestedErrors" | "setFieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus"> & import("../field-base-component-types").FieldComponentExternalProperties>;
export default ConnectedRichTextComponent;
//# sourceMappingURL=rich-text-component.d.ts.map