import * as React from 'react';
import { ReadonlyFieldBaseComponent } from '../field-base-component';
import type { SelectItem } from '../../ui/select/select-component';
import type { StepSequenceDecoratorProperties } from './step-sequence-types';
export declare class StepSequenceComponent extends ReadonlyFieldBaseComponent<StepSequenceDecoratorProperties, any> {
    getStatus: ({ index, steps, step, }: {
        index: number;
        steps: SelectItem[];
        step: SelectItem;
    }) => 'current' | 'complete' | 'incomplete';
    getSteps: () => SelectItem[];
    localizeCount: (stepNum: number, totalNum: number) => string;
    render(): React.ReactNode;
}
export declare const ConnectedStepSequenceComponent: import("react-redux").ConnectedComponent<typeof StepSequenceComponent, import("react-redux").Omit<React.ClassAttributes<StepSequenceComponent> & import("../field-base-component-types").FieldComponentExternalProperties & import("../field-base-component-types").ReadonlyFieldComponentProperties<StepSequenceDecoratorProperties<import("../../../service/screen-base").ScreenBase<any, any>>, any> & import("../field-base-component-types").NestedFieldsAdditionalProperties, "locale" | "value" | "onFocus" | "nodeTypes" | "fieldProperties" | "isParentReadOnly" | "browser" | "pageNode" | "isInFocus"> & import("../field-base-component-types").FieldComponentExternalProperties>;
export default ConnectedStepSequenceComponent;
//# sourceMappingURL=step-sequence-component.d.ts.map