import * as React from 'react';
import type { NestedField, NestedFieldTypesWithoutTechnical } from '../../nested-fields';
import type { TableSummaryDecoratorProperties } from './table-summary-types';
import { EditableFieldBaseComponent } from '../field-base-component';
import type { CollectionValue } from '../../../service/collection-data-service';
import type { ScreenBase } from '../../../service/screen-base';
export declare class TableSummaryComponent extends EditableFieldBaseComponent<TableSummaryDecoratorProperties, CollectionValue> {
    getColumnHeaders: () => React.ReactNode;
    getVisibleColumns: () => NestedField<ScreenBase, NestedFieldTypesWithoutTechnical>[];
    getRows: () => React.ReactNode;
    render(): React.ReactNode;
}
export declare const ConnectedTableSummaryComponent: import("react-redux").ConnectedComponent<React.ComponentType<{}>, (import("react-redux").Omit<{
    children?: React.ReactNode;
}, never> | import("react-redux").Omit<React.ClassAttributes<React.Component<{}, any, any>>, never>) & import("../field-base-component-types").FieldComponentExternalProperties>;
export default ConnectedTableSummaryComponent;
//# sourceMappingURL=table-summary-component.d.ts.map