import * as React from 'react';
import type { NestedRecordId } from '../../../types';
import type { CollectionItem } from '../../types';
import type { TableComponentExternalProps, TableComponentProps } from './table-component-types';
export declare class TableComponent extends React.Component<TableComponentProps> {
    componentDidMount(): void;
    getComponentClass: () => string;
    onRowClick: (recordId: NestedRecordId, newRecord?: CollectionItem, isModifierKeyPushed?: boolean) => () => void;
    render(): React.ReactNode;
}
export declare const ConnectedTableComponent: import("react-redux").ConnectedComponent<typeof TableComponent, import("react-redux").Omit<React.ClassAttributes<TableComponent> & TableComponentProps, "locale" | "username" | "contextType" | "value" | "onFocus" | "fixedHeight" | "item" | "screenId" | "nestedReadOnlyField" | "shouldRenderLabelInNestedReadOnlyMode" | "availableColumns" | "isParentDisabled" | "isParentHidden" | "bind" | "elementId" | "nodeTypes" | "isAutoSelectEnabled" | "additionalLookupRecords" | "fieldProperties" | "recordContext" | "onRowClick" | "validationErrors" | "validate" | "setFieldProperties" | "browser" | "searchText" | "bulkActions" | "enumTypes" | "isLoading" | "accessBindings" | "enableMobileLoadMore" | "tableViews" | "createSearchTextFilter" | "canDragCard" | "ensureFieldHasValue" | "groupByField" | "groupKey" | "isUsingInfiniteScroll" | "numberOfVisibleRows" | "onEmptyStateClickableText" | "setGlobalLoading" | "mobilePerformInitialLoadTableData" | "errorMessage" | "lookupSelectionMode"> & TableComponentExternalProps>;
export default ConnectedTableComponent;
//# sourceMappingURL=table-component.d.ts.map