import type { RootMenuItem, SitemapEntry } from '@sage/xtrem-shared';
import * as React from 'react';
import './mobile-navigation.scss';
export interface XtremNavigationProps {
    sitemap: (RootMenuItem & SitemapEntry)[];
    isNavigationOpen: boolean;
    isExtraSmall: boolean;
    path: string;
    setNavigationOpen: (isOpen: boolean) => void;
    onInternalNavigationChange: (path: string) => void;
}
export declare function MobileNavigation(props: XtremNavigationProps): React.JSX.Element | null;
export declare const ConnectedMobileNavigation: import("react-redux").ConnectedComponent<typeof MobileNavigation, import("react-redux").Omit<XtremNavigationProps, "path" | "onInternalNavigationChange" | "isExtraSmall" | "isNavigationOpen" | "setNavigationOpen" | "sitemap">>;
//# sourceMappingURL=mobile-navigation.d.ts.map