import * as React from 'react';
import type { UserDetails } from '../service/auth-service';
import type { Dict } from '@sage/xtrem-shared';
import './profile-settings.scss';
import type { TenantItem } from 'lib/service/tenants-service';
interface ProfileSettingsProps {
    user: UserDetails | null;
    localeOnChange: (locale: string) => void;
    translations: Dict<string>;
    loginService: string | null;
    tenantItem: TenantItem;
}
export declare const ProfileSettingsPanel: React.FC<ProfileSettingsProps>;
export {};
//# sourceMappingURL=profile-settings.d.ts.map