import type * as xtremRedux from '../../redux';
import React from 'react';
import type { CollectionValue } from '../../service/collection-data-service';
import type { SidebarSectionDefinition } from './table-sidebar-types';
import type { Dict } from '@sage/xtrem-shared';
export interface TableSidebarBodyProps {
    sidebarLayoutDefinition: Dict<SidebarSectionDefinition>;
    screenId?: string;
    recordId?: string;
    value: CollectionValue;
    isUncommitted: boolean;
    recordValue?: any;
}
export declare function TableSidebarBody({ sidebarLayoutDefinition, screenId, recordId, recordValue, }: TableSidebarBodyProps): React.ReactElement;
export declare const mapStateToProps: (state: xtremRedux.XtremAppState) => Partial<TableSidebarBodyProps>;
export declare const ConnectedTableSidebarBody: import("react-redux").ConnectedComponent<React.ComponentType<TableSidebarBodyProps>, import("react-redux").Omit<React.ClassAttributes<React.Component<TableSidebarBodyProps, any, any>> & TableSidebarBodyProps, "value" | "screenId" | "recordId" | "isUncommitted" | "recordValue" | "sidebarLayoutDefinition"> | import("react-redux").Omit<TableSidebarBodyProps & {
    children?: React.ReactNode;
}, "value" | "screenId" | "recordId" | "isUncommitted" | "recordValue" | "sidebarLayoutDefinition">>;
//# sourceMappingURL=table-sidebar-body.d.ts.map