import type * as xtremRedux from '../../redux';
import React from 'react';
import type { CollectionValue } from '../../service/collection-data-service';
import type { CardDefinition } from '../ui/card/card-component';
export interface TableSidebarCardProps {
    cardDefinition?: CardDefinition<any>;
    screenId: string;
    recordValue: any;
    elementId: string;
    recordId?: string;
    value: CollectionValue;
    isUncommitted: boolean;
}
export declare function TableSidebarCard({ cardDefinition, screenId, elementId, recordValue, }: TableSidebarCardProps): React.ReactElement | null;
export declare const mapStateToProps: (state: xtremRedux.XtremAppState) => Partial<TableSidebarCardProps>;
export declare const ConnectedTableSidebarCard: import("react-redux").ConnectedComponent<React.ComponentType<TableSidebarCardProps>, import("react-redux").Omit<React.ClassAttributes<React.Component<TableSidebarCardProps, any, any>> & TableSidebarCardProps, "value" | "screenId" | "elementId" | "recordId" | "isUncommitted" | "cardDefinition" | "recordValue"> | import("react-redux").Omit<TableSidebarCardProps & {
    children?: React.ReactNode;
}, "value" | "screenId" | "elementId" | "recordId" | "isUncommitted" | "cardDefinition" | "recordValue">>;
//# sourceMappingURL=table-sidebar-card.d.ts.map