import React from 'react';
import * as xtremRedux from '../../redux';
import type { ValidationResult } from '../../service/screen-base-definition';
import type { CollectionValue } from '../../service/collection-data-service';
interface TableSideBarFooterProps {
    onConfirm: (addNewRecord?: boolean) => void;
    onCancel: () => void;
    isNewRecord: boolean;
    validationErrors: ValidationResult[];
    recordId?: string;
    value: CollectionValue;
    isUncommitted: boolean;
    externalErrors: boolean;
}
export declare function TableSidebarFooter({ validationErrors, isNewRecord, onConfirm, onCancel, externalErrors, }: TableSideBarFooterProps): React.ReactElement;
export declare const mapDispatchToProps: (dispatch: xtremRedux.AppThunkDispatch) => Partial<TableSideBarFooterProps>;
export declare const ConnectedTableSidebarFooter: import("react-redux").ConnectedComponent<React.ComponentType<TableSideBarFooterProps>, import("react-redux").Omit<React.ClassAttributes<React.Component<TableSideBarFooterProps, any, any>> & TableSideBarFooterProps, "value" | "recordId" | "validationErrors" | "isUncommitted" | "onCancel" | "onConfirm" | "isNewRecord" | "externalErrors"> | import("react-redux").Omit<TableSideBarFooterProps & {
    children?: React.ReactNode;
}, "value" | "recordId" | "validationErrors" | "isUncommitted" | "onCancel" | "onConfirm" | "isNewRecord" | "externalErrors">>;
export {};
//# sourceMappingURL=table-sidebar-footer.d.ts.map