import React from 'react';
import * as xtremRedux from '../../redux';
export interface TableSidebarProps {
    isScreenMounted: boolean;
    elementId?: string;
    isFullWidthDialogScreen?: boolean;
    isLoading: boolean;
    onCancel: () => void;
    screenId?: string;
}
export declare function TableSidebar({ isScreenMounted, elementId, isFullWidthDialogScreen, isLoading, onCancel, screenId, }: TableSidebarProps): React.ReactElement | null;
export declare const mapStateToProps: (state: xtremRedux.XtremAppState) => Partial<TableSidebarProps>;
export declare const mapDispatchToProps: (dispatch: xtremRedux.AppThunkDispatch) => Partial<TableSidebarProps>;
export declare const ConnectedTableSidebar: import("react-redux").ConnectedComponent<typeof TableSidebar, import("react-redux").Omit<TableSidebarProps, "screenId" | "elementId" | "isScreenMounted" | "isFullWidthDialogScreen" | "isLoading" | "onCancel">>;
//# sourceMappingURL=table-sidebar.d.ts.map