import React from 'react';
import type { ScreenBase } from '../../../../service/screen-base';
import type { NestedCheckboxProperties } from '../../../nested-fields-properties';
import type { CellParams } from '../../../../utils/ag-grid/ag-grid-column-config';
export interface CellWrapperProps extends CellParams<NestedCheckboxProperties<ScreenBase, any>, any> {
    textAlign?: 'right' | 'left' | 'center';
}
export declare function CellWrapper({ children, textAlign, ...props }: React.PropsWithChildren<CellWrapperProps>): React.ReactElement | null;
//# sourceMappingURL=cell-wrapper.d.ts.map