import * as React from 'react';
import ConnectedTableDropdownActions from '../table-dropdown-actions/table-dropdown-actions';
import ConnectedTableInlineActions from '../table-inline-actions';
export function TableDropdownActionsCell(props) {
    if (props.data._id?.startsWith('__group-')) {
        return null;
    }
    const isPhantomRow = props.data?.__phantom !== undefined;
    const dirty = props.data?.__dirty;
    return props.data && props.data._id ? (React.createElement(React.Fragment, null,
        props.colDef.cellRendererParams.inlineActionsLength > 0 && !isPhantomRow && (React.createElement(ConnectedTableInlineActions, { screenId: props.colDef.cellRendererParams.screenId, fieldId: props.colDef.cellRendererParams.elementId, recordId: props.data._id, level: props.colDef.cellRendererParams.level, isPhantomRow: props.data.__phantom !== undefined })),
        (props.colDef.cellRendererParams.dropdownActionsLength > 0 || isPhantomRow) && (React.createElement(ConnectedTableDropdownActions, { screenId: props.colDef.cellRendererParams.screenId, fieldId: props.colDef.cellRendererParams.elementId, recordId: props.data._id, level: props.colDef.cellRendererParams.level, isDisabled: props.colDef.cellRendererParams.isParentFieldDisabled, isPhantomRow: props.data.__phantom !== undefined, phantomRowIsDirty: dirty })))) : null;
}
//# sourceMappingURL=table-dropdown-action-cell.js.map