import type { SelectItem } from '../../../select/select-component';
export type EventTargetOnDateChange = {
    value: {
        formattedValue: string;
        rawValue: string;
    };
};
export interface FilterBySelectorProps {
    onChange: (item: SelectItem) => void;
    value: string;
}
export interface DateState {
    rawValue: string;
    formattedValue: string;
    rawValueTo: string;
    formattedValueTo: string;
    filterBy: string;
}
export interface DateModel {
    filterType: string;
    dateFrom: string;
    dateTo: string;
    type: string;
    formattedValue: string;
    formattedValueTo: string;
    operator?: string;
    condition1?: DateModel;
    condition2?: DateModel;
}
//# sourceMappingURL=date-filter-types.d.ts.map