import * as React from 'react';
import type { GridApi } from '@ag-grid-community/core';
import type { AgGridColumnConfigWithScreenIdAndColDef } from '../../../../../utils/ag-grid/ag-grid-utility-types';
export interface ReferenceFilterProps {
    colDef: AgGridColumnConfigWithScreenIdAndColDef;
    filterChangedCallback: () => void;
    api: GridApi;
}
/**
 * Custom filter component for AG-Grid, handling references.
 *
 * Not implemented:
 * - Support for nested grids
 * - "Select All" functionality
 */
export declare const ReferenceFilter: React.ForwardRefExoticComponent<ReferenceFilterProps & React.RefAttributes<any>>;
export default ReferenceFilter;
//# sourceMappingURL=reference-filter.d.ts.map