import React from 'react';
import type { DocumentContextProvider } from '../context-provider';
import type { MultiRootEditor } from '@ckeditor/ckeditor5-editor-multi-root';
import type { LocalizeEnumFunction, LocalizeFunction, LocalizeLocale } from '@sage/xtrem-shared';
export interface ConditionDialogRequest {
    objectType: string;
    existingCondition?: any;
    onFinished: (newCondition: any) => void;
}
export interface ConditionDialogProps {
    conditionRequest: ConditionDialogRequest | null;
    contextProvider: DocumentContextProvider;
    editorRef: MultiRootEditor | null;
    locale: LocalizeLocale;
    localize: LocalizeFunction;
    localizeEnumMember: LocalizeEnumFunction;
    onClose: () => void;
}
export declare function ConditionDialog({ conditionRequest, contextProvider, editorRef, locale, localize, localizeEnumMember, onClose, }: ConditionDialogProps): React.ReactElement;
//# sourceMappingURL=condition-dialog.d.ts.map