import type { MultiRootEditor } from '@ckeditor/ckeditor5-editor-multi-root';
import type { Plugin, Editor } from '@ckeditor/ckeditor5-core';
import type { DocumentSelection, Selection, Element } from '@ckeditor/ckeditor5-engine';
interface TableUtilsPluginType extends Plugin {
    getSelectionAffectedTableCells: (selection: Selection | DocumentSelection) => Array<Element>;
}
export type TableUtilsPluginConstructorType = new (editor: Editor) => TableUtilsPluginType;
export declare const useQueryTableCellPropertyCommand: ({ commandName, editor, tableUtilsPluginConstructor, defaultValue, }: {
    commandName: string;
    editor: MultiRootEditor | null;
    tableUtilsPluginConstructor: TableUtilsPluginConstructorType;
    defaultValue?: any;
}) => {
    value: string;
    onChange: (value: string) => void;
};
export {};
//# sourceMappingURL=use-table-cell-property-command.d.ts.map