export declare const COMMAND_INSERT_RECORD_CONTEXT = "insertRecordContext";
export declare const COMMAND_INSERT_PROPERTY = "insertProperty";
export declare const COMMAND_CHANGE_PROPERTY_FORMAT = "changePropertyFormat";
export declare const COMMAND_INSERT_QUERY_TABLE = "queryTableInsert";
export declare const COMMAND_ALIGNMENT_QUERY_TABLE = "queryTableAlignment";
export declare const COMMAND_BORDER_COLOR_QUERY_TABLE = "queryTableBorderColor";
export declare const COMMAND_BORDER_STYLE_QUERY_TABLE = "queryTableBorderStyle";
export declare const COMMAND_BORDER_WIDTH_QUERY_TABLE = "queryTableBorderWidth";
export declare const COMMAND_BACKGROUND_QUERY_TABLE = "queryTableBackgroundColor";
export declare const COMMAND_CELL_BORDER_COLOR_QUERY_TABLE = "queryTableCellBorderColor";
export declare const COMMAND_CELL_BORDER_STYLE_QUERY_TABLE = "queryTableCellBorderStyle";
export declare const COMMAND_CELL_BORDER_WIDTH_QUERY_TABLE = "queryTableCellBorderWidth";
export declare const COMMAND_CELL_BACKGROUND_QUERY_TABLE = "queryTableCellBackgroundColor";
export declare const COMMAND_CELL_HEIGHT_QUERY_TABLE = "queryTableCellHeight";
export declare const COMMAND_CELL_VERTICAL_ALIGNMENT_QUERY_TABLE = "queryTableCellVerticalAlignment";
export declare const COMMAND_CELL_HORIZONTAL_ALIGNMENT_QUERY_TABLE = "queryTableCellHorizontalAlignment";
export declare const COMMAND_CELL_QUERY_TABLE_PADDING = "queryTableCellPadding";
export declare const COMMAND_INSERT_COLUMN_QUERY_COMMAND = "queryTableInsertColumnCommand";
export declare const COMMAND_REMOVE_COLUMN_QUERY_TABLE = "queryTableRemoveColumnCommand";
export declare const COMMAND_INSERT_CONDITIONAL_BLOCK = "insertConditionalBlock";
export declare const COMMAND_EDIT_ORDER_QUERY_TABLE = "queryTableEditOrderCommand";
export declare const COMMAND_EDIT_FILTER_QUERY_TABLE = "queryTableEditFilterCommand";
export declare const COMMAND_TABLE_CELL_BORDER_COLOR = "tableCellBorderColor";
export declare const COMMAND_TABLE_CELL_HORIZONTAL_ALIGNMENT = "tableCellHorizontalAlignment";
export declare const COMMAND_TABLE_CELL_VERTICAL_ALIGNMENT = "tableCellVerticalAlignment";
export declare const COMMAND_TABLE_CELL_BACKGROUND_COLOR = "tableCellBackgroundColor";
export declare const COMMAND_TABLE_CELL_BORDER_WIDTH = "tableCellBorderWidth";
export declare const COMMAND_TABLE_CELL_BORDER_STYLE = "tableCellBorderStyle";
export declare const COMMAND_REMOVE_TABLE_COLUMN = "removeTableColumn";
export declare const COMMAND_INSERT_TABLE_COLUMN_LEFT = "insertTableColumnLeft";
export declare const COMMAND_INSERT_PAGE_BREAK_QUERY_TABLE = "queryTableInsertPageBreak";
export declare const COMMAND_TABLE_CELL_HEIGHT = "tableCellHeight";
export declare const COMMAND_INSERT_UNBREAKABLE_BLOCK = "insertUnbreakableBlock";
export declare const FORMATTING_COMMANDS: string[];
export declare const DATA_FORMAT_ENUM = "ENUM";
export declare const COMMAND_TOGGLE_RIGHT_PANEL = "toggleRightPanel";
export declare const COMMAND_ZOOM_IN = "zoomIn";
export declare const COMMAND_ZOOM_OUT = "zoomOut";
export declare const COMMAND_TOGGLE_DATA_PROPERTIES = "toggleDataPropertiesPanel";
export declare const COMMAND_TOGGLE_GLOBAL_PROPERTIES = "toggleGlobalPropertiesPanel";
export declare const LOCAL_STORAGE_KEY = "DOCUMENT_EDITOR_CONSUMER_MOCK_VALUE";
export declare const LOCAL_STORAGE_HEADER_KEY = "DOCUMENT_EDITOR_CONSUMER_MOCK_HEADER_VALUE";
export declare const LOCAL_STORAGE_FOOTER_KEY = "DOCUMENT_EDITOR_CONSUMER_MOCK_FOOTER_VALUE";
export declare const LOCAL_STORAGE_ORIENTATION_KEY = "DOCUMENT_EDITOR_CONSUMER_MOCK_ORIENTATION_VALUE";
export declare const LOCAL_STORAGE_SIZE_KEY = "DOCUMENT_EDITOR_CONSUMER_MOCK_SIZE_VALUE";
export declare const LOCAL_STORAGE_MARGIN_TOP_KEY = "LOCAL_STORAGE_MARGIN_TOP_KEY";
export declare const LOCAL_STORAGE_MARGIN_RIGHT_KEY = "LOCAL_STORAGE_MARGIN_RIGHT_KEY";
export declare const LOCAL_STORAGE_MARGIN_BOTTOM_KEY = "LOCAL_STORAGE_MARGIN_BOTTOM_KEY";
export declare const LOCAL_STORAGE_MARGIN_LEFT_KEY = "LOCAL_STORAGE_MARGIN_LEFT_KEY";
export declare const DOCUMENT_EDITOR_ZOOM_LEVEL_KEY = "DOCUMENT_EDITOR_ZOOM_LEVEL_KEY";
export declare const VALIGN_VALUES_REG_EXP: RegExp;
export declare const ALIGN_VALUES_REG_EXP: RegExp;
export declare const THEME_COLORS: string[];
export declare const BORDER_WIDTH: string[];
export declare const BORDER_STYLE: string[];
export declare const OBJECT_TYPE_ROOT = "$root";
export declare const OBJECT_TYPE_GLOBAL_PROPERTIES = "$globalProperties";
/**
 * The minimum column width given as a percentage value. Used in situations when the table is not yet rendered, so it is impossible to
 * calculate how many percentage of the table width would be {@link ~COLUMN_MIN_WIDTH_IN_PIXELS minimum column width in pixels}.
 */
export declare const COLUMN_MIN_WIDTH_AS_PERCENTAGE = 5;
/**
 * The minimum column width in pixels when the maximum table width is known.
 */
export declare const COLUMN_MIN_WIDTH_IN_PIXELS = 40;
/**
 * Determines how many digits after the decimal point are used to store the column width as a percentage value.
 */
export declare const COLUMN_WIDTH_PRECISION = 2;
export declare const COMMANDS_QUERY_TABLE: string[];
//# sourceMappingURL=constants.d.ts.map