import type { DialogSizes } from 'carbon-react/esm/components/dialog';
import * as React from 'react';
export interface DashboardCreateDialogExternalProps {
    isOpen: boolean;
    onClose: () => void;
    onNextClicked: (success: boolean) => void;
}
export interface DashboardCreateDialogProps extends DashboardCreateDialogExternalProps {
    cloneDashboard: (dashboardId: string) => Promise<void>;
    createDashboard: () => Promise<void>;
    dialogSize: DialogSizes;
}
export declare function DashboardCreateDialog({ cloneDashboard, createDashboard, dialogSize, isOpen, onClose, onNextClicked, }: DashboardCreateDialogProps): React.ReactElement;
export declare const ConnectedDashboardCreateDialog: import("react-redux").ConnectedComponent<typeof DashboardCreateDialog, import("react-redux").Omit<DashboardCreateDialogProps, "cloneDashboard" | "onClose" | "isOpen" | "createDashboard" | "dialogSize" | "onNextClicked"> & DashboardCreateDialogExternalProps>;
//# sourceMappingURL=dashboard-create-dialog.d.ts.map