import type { Dict, LocalizeLocale } from '@sage/xtrem-shared';
import * as React from 'react';
import type { ResponsiveTypes } from '../../redux/state';
import type { WidgetEditorStepProps } from './widget-editor-utils';
export interface FilterStepProps extends WidgetEditorStepProps {
    browserIs: ResponsiveTypes;
    locale: LocalizeLocale;
    enumTypes: Dict<string[]>;
    addEnumTypes: (enums: Dict<any>) => void;
    addTranslations: (locale: LocalizeLocale, stringLiterals: Dict<string>) => void;
}
export declare function FilterStep({ stepIndex, browserIs, widgetDefinition, onWidgetDefinitionUpdated, locale, enumTypes, addEnumTypes: addEnumTypesToStore, addTranslations: addTranslationsToStore, nodeNames, }: FilterStepProps): React.ReactElement;
export declare const ConnectedFilterStep: import("react-redux").ConnectedComponent<typeof FilterStep, import("react-redux").Omit<FilterStepProps, "locale" | "browserIs" | "enumTypes" | "widgetDefinition" | "nodeNames" | "onWidgetDefinitionUpdated" | "stepIndex" | "addEnumTypes" | "addTranslations"> & WidgetEditorStepProps>;
//# sourceMappingURL=filters-step.d.ts.map