import * as React from 'react';
import type { Dict, Locale } from '@sage/xtrem-shared';
import type { UserWidgetDefinition } from '../../redux/state';
export interface WidgetEditorDialogProps {
    isDirty: boolean;
    isNewWidget: boolean;
    isOpen: boolean;
    locale: Locale;
    nodeNames: Dict<string>;
    onFinish: () => void;
    onClose: () => void;
    onWidgetDefinitionUpdated: (widgetDefinition: UserWidgetDefinition) => void;
    onUpdateWidgetSettings: (widgetDefinition: UserWidgetDefinition) => void;
    widgetDefinition: UserWidgetDefinition;
}
export declare function WidgetEditorDialog({ isDirty, isOpen, isNewWidget, onFinish, onClose, onWidgetDefinitionUpdated, widgetDefinition, nodeNames, }: WidgetEditorDialogProps): React.ReactElement;
export declare const ConnectedWidgetEditorDialog: import("react-redux").ConnectedComponent<typeof WidgetEditorDialog, import("react-redux").Omit<WidgetEditorDialogProps, "locale" | "onClose" | "onFinish" | "isOpen" | "isDirty" | "widgetDefinition" | "nodeNames" | "isNewWidget" | "onWidgetDefinitionUpdated" | "onUpdateWidgetSettings">>;
//# sourceMappingURL=widget-editor-dialog.d.ts.map