/// <reference types="react" />
import type { Constructible } from '../../types';
import type { AbstractWidget, AbstractWidgetDecorator, WidgetType } from './abstract-widget';
export declare const SplitBox: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("carbon-react/esm/components/box").BoxProps & import("react").RefAttributes<HTMLDivElement>>, any, {}, never>;
export declare const standardWidgetDecorator: <W extends AbstractWidget<any>>(properties: AbstractWidgetDecorator<W>, type: WidgetType) => (ctor: Constructible<AbstractWidget>) => void;
export type WidgetValueOrCallback<Context extends AbstractWidget, T extends any = any> = T | ((this: Context) => T);
export type WidgetValueOrCallbackWithId<Context extends AbstractWidget, T extends any = any> = T | ((this: Context, _id: string) => T);
//# sourceMappingURL=widget-utils.d.ts.map