import React from 'react';
import { type FilterTableProps, type UseFilterTableHook } from './filter-table-types';
import type { ColDef } from '../flat-table/flat-table-types';
import type { DefaultPropertyType } from '../types';
export declare function useFilterTable<Cols extends ColDef[] = [], P extends DefaultPropertyType = DefaultPropertyType, E = unknown>({ carbonLocale, isDisabled, locale, localize, localizeEnumMember, node, nodeNames, onChange, parameterMode, parameters, selectedProperties, value, automaticColumnsSpacing, }: FilterTableProps<P>): UseFilterTableHook<Cols>;
export declare function FilterTableComponent(props: FilterTableProps): React.ReactElement;
//# sourceMappingURL=filter-table.d.ts.map