import { Argv } from 'yargs';
export declare const command: string[];
export declare const desc = "Creates a ready-to-use Xtrem package";
export declare const builder: (yargs: Argv) => Argv<{
    "skip-client": unknown;
} & {
    "skip-cop": unknown;
} & {
    "skip-server": unknown;
} & {
    "skip-dts": unknown;
} & {
    "skip-api-client": unknown;
} & {
    "only-api-client": boolean | undefined;
} & {
    "only-changed": boolean | undefined;
} & {
    "skip-table-schema": unknown;
} & {
    "skip-clean": unknown;
} & {
    references: boolean | undefined;
} & {
    binary: boolean | undefined;
} & {
    instrumented: boolean | undefined;
} & {
    prod: boolean | undefined;
} & {
    fast: unknown;
}>;
export declare const handler: (argv: any) => Promise<void>;
//# sourceMappingURL=compile.d.ts.map