/** @packageDocumentation @module decorators */
import { AnyValue } from '@sage/xtrem-async-helper';
import { ServiceOption } from '@sage/xtrem-shared';
import { Extend, Node } from '../../ts-api';
import { PropertyEvents } from './base-property-events';
export interface PropertyOverrideDecorator<This extends Node, ValT extends AnyValue, ControlVal extends AnyValue = ValT, DefaultVal extends AnyValue = ValT> extends PropertyEvents<Extend<This>, ValT, ControlVal, DefaultVal> {
    serviceOptions?: () => ServiceOption[];
}
//# sourceMappingURL=base-property-extension-decorator.d.ts.map