"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.adcFlowTypeDatatype = exports.AdcFlowTypeEnum = void 0;
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
var AdcFlowTypeEnum;
(function (AdcFlowTypeEnum) {
    AdcFlowTypeEnum[AdcFlowTypeEnum["issueFlow"] = 1] = "issueFlow";
    AdcFlowTypeEnum[AdcFlowTypeEnum["stockChange"] = 2] = "stockChange";
    AdcFlowTypeEnum[AdcFlowTypeEnum["containerOperation"] = 3] = "containerOperation";
})(AdcFlowTypeEnum || (exports.AdcFlowTypeEnum = AdcFlowTypeEnum = {}));
exports.adcFlowTypeDatatype = new xtrem_x3_gateway_1.X3EnumDataType({
    enum: AdcFlowTypeEnum,
    filename: __filename,
    localMenuNumber: 2792,
});
//# sourceMappingURL=adc-flow-type.js.map