"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fiscalYearPeriodStatusDatatype = exports.FiscalYearPeriodStatusEnum = void 0;
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
var FiscalYearPeriodStatusEnum;
(function (FiscalYearPeriodStatusEnum) {
    FiscalYearPeriodStatusEnum[FiscalYearPeriodStatusEnum["notOpen"] = 1] = "notOpen";
    FiscalYearPeriodStatusEnum[FiscalYearPeriodStatusEnum["open"] = 2] = "open";
    FiscalYearPeriodStatusEnum[FiscalYearPeriodStatusEnum["closed"] = 3] = "closed";
})(FiscalYearPeriodStatusEnum || (exports.FiscalYearPeriodStatusEnum = FiscalYearPeriodStatusEnum = {}));
exports.fiscalYearPeriodStatusDatatype = new xtrem_x3_gateway_1.X3EnumDataType({
    enum: FiscalYearPeriodStatusEnum,
    filename: __filename,
    localMenuNumber: 214,
});
//# sourceMappingURL=fiscal-year-period-status.js.map