import { Request, Response } from 'express';
export declare function setRequestId(request: Request, id: number | string): void;
export declare function getRequestId(request: Request): number | string | undefined;
export declare function getResponseId(response: Response): number | string | undefined;
/**
 * Return a string representing a hint on the GraphQL query purpose
 * @param request the HTTP request
 * @returns the string hint or null
 */
export declare function getGraphQlHint(request: Request): string | null;
//# sourceMappingURL=request.d.ts.map