"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FiscalYearExtension = void 0;
const sageX3FinanceData = require("@sage/x3-finance-data");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageX3Finance = require("..");
const xtrem_core_1 = require("@sage/xtrem-core");
const joins = {};
let FiscalYearExtension = class FiscalYearExtension extends xtrem_core_1.NodeExtension {
};
exports.FiscalYearExtension = FiscalYearExtension;
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'FIYSTA',
        dataType: () => sageX3Finance.enums.fiscalYearReportDatatype,
    })
], FiscalYearExtension.prototype, "status", void 0);
exports.FiscalYearExtension = FiscalYearExtension = __decorate([
    xtrem_core_1.decorators.nodeExtension({
        extends: () => sageX3FinanceData.nodes.FiscalYear,
        externalStorageManagerExtension: new xtrem_x3_gateway_1.X3StorageManagerExtension({
            joins,
        }),
    })
], FiscalYearExtension);
//# sourceMappingURL=fiscal-year-extension.js.map