import * as sageX3FinanceData from '@sage/x3-finance-data';
import { NodeExtension, Reference } from '@sage/xtrem-core';
import * as sageX3Finance from '..';
export declare class OpenItemExtension extends NodeExtension<sageX3FinanceData.nodes.OpenItem> {
    readonly businessPartnerType: Promise<sageX3Finance.enums.BusinessPartnerType | null>;
    readonly statementNumber: Reference<sageX3Finance.nodes.StatementCreation | null>;
}
declare module '@sage/x3-finance-data/lib/nodes/open-item' {
    interface OpenItem extends OpenItemExtension {
    }
}
//# sourceMappingURL=open-item-extension.d.ts.map