import * as sageX3MasterData from '@sage/x3-master-data';
import { NodeExtension, Collection } from '@sage/xtrem-core';
import * as sageX3StockData from '..';
export declare class ProductCategoryExtension extends NodeExtension<sageX3MasterData.nodes.ProductCategory> {
    readonly lotManagementMode: Promise<sageX3StockData.enums.LotManagementMode | null>;
    readonly traceabilityManagementMode: Promise<sageX3StockData.enums.TraceabilityManagementMode | null>;
    readonly traceabilityLevel: Promise<sageX3StockData.enums.TraceabilityLevel | null>;
    readonly reorderingManagementMode: Promise<sageX3StockData.enums.ReorderingManagementMode | null>;
    readonly stockVersionMode: Promise<sageX3StockData.enums.StockVersionMode | null>;
    readonly defaultLocations: Collection<sageX3StockData.nodes.ProductCategoryDefaultLocations>;
}
declare module '@sage/x3-master-data/lib/nodes/product-category' {
    interface ProductCategory extends ProductCategoryExtension {
    }
}
//# sourceMappingURL=product-category-extension.d.ts.map