import * as sageX3Sales from '@sage/x3-sales';
import { NodeExtension, Reference, integer } from '@sage/xtrem-core';
import * as sageX3SalesProjectManagement from '..';
export declare class SalesOrderQuantityLineExtension extends NodeExtension<sageX3Sales.nodes.SalesOrderQuantityLine> {
    readonly projectSalesDocument: Reference<sageX3SalesProjectManagement.nodes.SalesDocument | null>;
    readonly projectSalesDocumentLine: Promise<integer | null>;
    readonly projectBillingPlan: Reference<sageX3SalesProjectManagement.nodes.ProjectBillingPlan | null>;
}
declare module '@sage/x3-sales/lib/nodes/sales-order-quantity-line' {
    interface SalesOrderQuantityLine extends SalesOrderQuantityLineExtension {
    }
}
//# sourceMappingURL=sales-order-quantity-line-extension.d.ts.map