import { NodeState } from './node-state';
/** Method to duplicate a node */
export declare class StateDuplicate {
    /**
     * Duplicate the node with negative _id values to create a copy
     * Where the node is a vitalCollectionChild, remove sort value and keep parent _id
     */
    static duplicate(state: NodeState): Promise<NodeState>;
    /**
     * Negate vital references on vital graph
     * clear vendor values
     * @param factory
     * @param data
     * @param first
     * @returns
     */
    private static convertVitalData;
    /**
     * Negate non-vital references on vital graph
     * @param factory
     * @param data
     * @param mappedIds
     * @returns
     */
    private static convertNonVitalReferenceData;
    /** Apply duplicatedValue */
    private static setDuplicatedValues;
}
//# sourceMappingURL=state-duplicate.d.ts.map