import * as sageX3MasterData from '@sage/x3-master-data';
import * as sageX3StockData from '@sage/x3-stock-data';
import * as sageX3System from '@sage/x3-system';
import { Node, Reference, integer, decimal } from '@sage/xtrem-core';
import * as sageX3ManufacturingData from '..';
export declare class Assignment extends Node {
    readonly _auuid: Promise<string>;
    readonly storageSite: Reference<sageX3System.nodes.Site>;
    readonly product: Reference<sageX3MasterData.nodes.ProductSite>;
    readonly requestType: Promise<sageX3StockData.enums.EntryTypeEnum | null>;
    readonly demandNumber: Promise<string>;
    readonly demandLineNumber: Promise<integer | null>;
    readonly demandSequence: Promise<integer | null>;
    readonly demandOrderType: Promise<sageX3ManufacturingData.enums.WorkOrderType | null>;
    readonly demandOrderStatus: Promise<sageX3ManufacturingData.enums.StatusInProgress | null>;
    readonly resourceType: Promise<sageX3StockData.enums.EntryTypeEnum | null>;
    readonly resourceNumber: Promise<string>;
    readonly resourceLineNumber: Promise<integer | null>;
    readonly resourceSequence: Promise<integer | null>;
    readonly resourceOrderType: Promise<sageX3ManufacturingData.enums.WorkOrderType | null>;
    readonly resourceOrderStatus: Promise<sageX3ManufacturingData.enums.StatusInProgress | null>;
    readonly quantityAssigned: Promise<decimal | null>;
}
//# sourceMappingURL=assignment.d.ts.map