import { Node, Reference, integer } from '@sage/xtrem-core';
import * as sageX3MasterData from '..';
export declare class BomProduct extends Node {
    readonly product: Reference<sageX3MasterData.nodes.Product>;
    readonly bomCode: Promise<integer | null>;
    readonly lowestLevelCodeType: Promise<sageX3MasterData.enums.LowLevelType>;
    readonly lowestLevelCode: Promise<integer | null>;
    readonly isBomExistence: Promise<boolean>;
    readonly isWhereUsedExistence: Promise<boolean>;
    readonly exportNumber: Promise<integer | null>;
}
//# sourceMappingURL=bom-product.d.ts.map