import { Node, Reference, decimal, integer } from '@sage/xtrem-core';
import * as sageX3MasterData from '..';
export declare class Carrier extends Node {
    readonly code: Reference<sageX3MasterData.nodes.BusinessPartner>;
    readonly companyName: Promise<string>;
    readonly shortCompanyName: Promise<string>;
    readonly priceListManagement: Promise<boolean>;
    readonly weightUnit: Reference<sageX3MasterData.nodes.UnitOfMeasure | null>;
    readonly volumeUnit: Reference<sageX3MasterData.nodes.UnitOfMeasure | null>;
    readonly coefficient: Promise<decimal | null>;
    readonly printTransportNote: Promise<boolean>;
    readonly noOfPriceColumns: Promise<integer | null>;
    readonly currency: Reference<sageX3MasterData.nodes.Currency | null>;
    readonly defaultAddress: Reference<sageX3MasterData.nodes.Address | null>;
    readonly exportNumber: Promise<integer | null>;
}
//# sourceMappingURL=carrier.d.ts.map