import * as sageX3MasterData from '@sage/x3-master-data';
import { Node, Reference, date, integer, Collection } from '@sage/xtrem-core';
export declare class MajorVersionStatus extends Node {
    readonly product: Reference<sageX3MasterData.nodes.Product>;
    readonly code: Promise<string>;
    readonly description: Promise<string>;
    readonly shortDescription: Promise<string>;
    readonly status: Promise<sageX3MasterData.enums.VersionStatus | null>;
    readonly startDate: Promise<date | null>;
    readonly endDate: Promise<date | null>;
    readonly isSubjectToException: Promise<boolean>;
    readonly exceptionDate: Promise<date | null>;
    readonly isOnHold: Promise<boolean>;
    readonly exportNumber: Promise<integer | null>;
    readonly minorVersions: Collection<sageX3MasterData.nodes.ProductVersion>;
}
//# sourceMappingURL=major-version-status.d.ts.map