import * as sageX3FinanceData from '@sage/x3-finance-data';
import * as sageX3ProjectManagementData from '@sage/x3-project-management-data';
import * as sageX3StockData from '@sage/x3-stock-data';
import * as sageX3System from '@sage/x3-system';
import { Node, Reference, date, Collection } from '@sage/xtrem-core';
import * as sageX3Stock from '..';
export declare class MiscellaneousIssue extends Node {
    readonly entryType: Promise<sageX3StockData.enums.EntryTypeEnum | null>;
    readonly id: Promise<string>;
    readonly stockSite: Reference<sageX3System.nodes.Site>;
    readonly effectiveDate: Promise<date | null>;
    readonly documentDescription: Promise<string>;
    readonly project: Reference<sageX3ProjectManagementData.nodes.ProjectLink | null>;
    readonly stockMovementGroup: Reference<sageX3System.nodes.MiscellaneousTable | null>;
    readonly stockMovementCode: Reference<sageX3System.nodes.MiscellaneousTable | null>;
    readonly stockAutomaticJournal: Reference<sageX3FinanceData.nodes.AutomaticJournal | null>;
    readonly miscellaneousIssueLines: Collection<sageX3Stock.nodes.MiscellaneousIssueLine>;
    readonly destination: Promise<string>;
    readonly transaction: Promise<string>;
}
//# sourceMappingURL=miscellaneous-issue.d.ts.map