import * as sageX3System from '@sage/x3-system';
import { Node, integer, Reference, decimal } from '@sage/xtrem-core';
import * as sageX3MasterData from '..';
export declare class ProductPackingUnits extends Node {
    readonly denormalizedIndex: Promise<integer>;
    readonly code: Promise<string>;
    readonly _denormalizedParent: Reference<sageX3MasterData.nodes.Product>;
    readonly unit: Reference<sageX3MasterData.nodes.UnitOfMeasure | null>;
    readonly packingUnitToStockUnitConversionFactor: Promise<decimal | null>;
    readonly isPackingFactorEntryAllowed: Promise<boolean>;
    readonly issuingPackingRule: Promise<sageX3MasterData.enums.UnpackingRulesPac | null>;
    readonly labelFormat: Reference<sageX3System.nodes.GenericPrintReport | null>;
}
//# sourceMappingURL=product-packing-units.d.ts.map