import * as sageX3MasterData from '@sage/x3-master-data';
import * as sageX3System from '@sage/x3-system';
import { Node, Reference, integer, date, Collection } from '@sage/xtrem-core';
import * as sageX3Purchasing from '..';
export declare class PurchaseReturnLine extends Node {
    readonly purchaseReturn: Reference<sageX3Purchasing.nodes.PurchaseReturn | null>;
    readonly lineNumber: Promise<integer | null>;
    readonly company: Reference<sageX3System.nodes.Company>;
    readonly returnSite: Reference<sageX3System.nodes.Site>;
    readonly returnDate: Promise<date | null>;
    readonly product: Reference<sageX3MasterData.nodes.Product>;
    readonly taxes: Collection<sageX3Purchasing.nodes.PurchaseReturnLineTaxes>;
}
//# sourceMappingURL=purchase-return-line.d.ts.map