import * as sageX3MasterData from '@sage/x3-master-data';
import * as sageX3System from '@sage/x3-system';
import { Node, Reference, date } from '@sage/xtrem-core';
export declare class PurchaseReturn extends Node {
    readonly id: Promise<string>;
    readonly company: Reference<sageX3System.nodes.Company>;
    readonly returnSite: Reference<sageX3System.nodes.Site>;
    readonly returnDate: Promise<date | null>;
    readonly supplier: Reference<sageX3MasterData.nodes.Supplier>;
}
//# sourceMappingURL=purchase-return.d.ts.map