import * as sageX3MasterData from '@sage/x3-master-data';
import * as sageX3System from '@sage/x3-system';
import { Node, date, Reference } from '@sage/xtrem-core';
import * as sageX3Purchasing from '..';
export declare class PurchaseShipment extends Node {
    readonly id: Promise<string>;
    readonly shipDate: Promise<date | null>;
    readonly site: Reference<sageX3System.nodes.Site | null>;
    readonly supplier: Reference<sageX3MasterData.nodes.Supplier | null>;
    readonly shipmentStatus: Promise<sageX3Purchasing.enums.ShipmentStatus | null>;
}
//# sourceMappingURL=purchase-shipment.d.ts.map