import * as sageX3MasterData from '@sage/x3-master-data';
import { Node, Reference, integer, decimal } from '@sage/xtrem-core';
import * as sageX3Sales from '..';
export declare class SalesQuoteLine extends Node {
    readonly salesQuote: Reference<sageX3Sales.nodes.SalesQuote>;
    readonly lineNumber: Promise<integer | null>;
    readonly product: Reference<sageX3MasterData.nodes.Product>;
    readonly grossPrice: Promise<decimal | null>;
    readonly quoteQuantity: Promise<decimal>;
    readonly salesUnit: Reference<sageX3MasterData.nodes.UnitOfMeasure>;
}
//# sourceMappingURL=sales-quote-line.d.ts.map