"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WeeklyStructureWeeklyStructureDailyCapacity = void 0;
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageXtremX3SystemUtils = require("@sage/xtrem-x3-system-utils");
const sageX3MasterData = require("..");
const denormalized = { maxRepeat: 7 };
const joins = {
    referenceJoins: {
        _denormalizedParent: {
            code: 'code',
        },
        timeTableSchema: {
            code: 'timeTableSchema',
        },
    },
};
let WeeklyStructureWeeklyStructureDailyCapacity = class WeeklyStructureWeeklyStructureDailyCapacity extends xtrem_core_1.Node {
};
exports.WeeklyStructureWeeklyStructureDailyCapacity = WeeklyStructureWeeklyStructureDailyCapacity;
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
    })
], WeeklyStructureWeeklyStructureDailyCapacity.prototype, "denormalizedIndex", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        isNotEmpty: true,
        columnName: 'TWD',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], WeeklyStructureWeeklyStructureDailyCapacity.prototype, "code", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isStored: true,
        isVitalParent: true,
        columnType: 'string',
        node: () => sageX3MasterData.nodes.WeeklyStructure,
    })
], WeeklyStructureWeeklyStructureDailyCapacity.prototype, "_denormalizedParent", void 0);
__decorate([
    xtrem_core_1.decorators.decimalProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'DAYCAP',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.decimalDatatype,
    })
], WeeklyStructureWeeklyStructureDailyCapacity.prototype, "dailyCapicity", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'DIAHOU',
        columnType: 'string',
        node: () => sageX3MasterData.nodes.TimeTableSchema,
    })
], WeeklyStructureWeeklyStructureDailyCapacity.prototype, "timeTableSchema", void 0);
exports.WeeklyStructureWeeklyStructureDailyCapacity = WeeklyStructureWeeklyStructureDailyCapacity = __decorate([
    xtrem_core_1.decorators.node({
        storage: 'external',
        tableName: 'TABWEEDIA',
        keyPropertyNames: ['denormalizedIndex', 'code'],
        indexes: [],
        externalStorageManager: new xtrem_x3_gateway_1.X3StorageManager({
            joins,
            isDenormalized: true,
            denormalized,
        }),
        isPublished: true,
        canRead: true,
        canSearch: true,
        isVitalCollectionChild: true,
    })
], WeeklyStructureWeeklyStructureDailyCapacity);
//# sourceMappingURL=weekly-structure-weekly-structure-daily-capacity.js.map