import { StockChangeByLpnInput } from '@sage/x3-stock-api';
import { LicensePlateNumberInput } from '@sage/x3-stock-data-api';
import * as ui from '@sage/xtrem-ui';
export type inputsLpnGrouping = {
    stockChangeByLpn: StockChangeByLpnInput & {
        id: string;
    };
    username: string;
    currentLine?: number;
    started: boolean;
    selectedDestinationLPN: LicensePlateNumberInput;
    destinationLocation?: string;
};
export declare class MobileLpnGrouping extends ui.Page {
    [x: string]: any;
    private _savedObject;
    private _notifier;
    createButton: ui.PageAction;
    mainSection: ui.containers.Section;
    entryBlock: ui.containers.Block;
    effectiveDate: ui.fields.Date;
    stockSite: ui.fields.Label;
    licensePlateNumberOperationMode: ui.fields.Numeric;
    licensePlateNumber: ui.fields.Reference;
    locationDestination: ui.fields.Reference;
    stockChangeLinesBlock: ui.containers.Block;
    stockChangeLines: ui.fields.Table<any>;
    private _init;
    private _initSite;
    private _disablePage;
    private _readSavedObject;
    private _postInitStockChangeLines;
    private _mapStockChange;
    private _checkStorage;
    private _goToDetailPage;
    private _reInitStorage;
    private _initStorage;
    private _saveStockChangeByLpn;
    private _initStockChangeLines;
    private _prepareCreation;
    private _callCreationAPI;
}
//# sourceMappingURL=mobile-lpn-grouping.d.ts.map