import { ProductInput } from '@sage/x3-master-data-api';
import { LpnOperationsInput } from '@sage/x3-stock-api';
import { LicensePlateNumberInput, LocationInput } from '@sage/x3-stock-data-api';
import * as ui from '@sage/xtrem-ui';
export type inputsLpnLinking = {
    lpnOperations: LpnOperationsInput & {
        id?: string;
    };
    username: string;
    currentLine?: number;
    started: boolean;
    selectedLicensePlateNumber: LicensePlateNumberInput;
    selectedLocation: LocationInput;
    selectedProduct: ProductInput;
    destinationCode?: string;
};
export declare class MobileLpnLinking extends ui.Page {
    private _mobileSettings;
    private _savedObject;
    private _notifier;
    nextButton: ui.PageAction;
    createButton: ui.PageAction;
    mainSection: ui.containers.Section;
    entryBlock: ui.containers.Block;
    effectiveDate: ui.fields.Date;
    stockSite: ui.fields.Label;
    licensePlateNumber: ui.fields.Reference;
    locationDestination: ui.fields.Reference;
    singleLot: ui.fields.Text;
    product: ui.fields.Reference;
    location: ui.fields.Reference;
    stockChangeLinesBlock: ui.containers.Block;
    stockChangeLines: ui.fields.Table<any>;
    private _init;
    private _initSite;
    private _initLocationField;
    private _readSavedObject;
    private _disablePage;
    private _checkStorage;
    private _reInitStorage;
    private _initStorage;
    private _saveLpnOperations;
    private _mapStockChange;
    private _initStockChangeLines;
    private _postInitStockChangeLines;
    private _prepareCreation;
    private _callCreationAPI;
    private _getProductOrLot;
}
//# sourceMappingURL=mobile-lpn-linking.d.ts.map