import { ProductInput } from '@sage/x3-master-data-api';
import { LpnOperationsInput } from '@sage/x3-stock-api';
import { LicensePlateNumberInput, LocationInput } from '@sage/x3-stock-data-api';
import * as ui from '@sage/xtrem-ui';
export type inputsLpnUnlink = {
    lpnOperations: LpnOperationsInput & {
        id?: string;
    };
    username: string;
    currentLine?: number;
    currentOperation?: number;
    started: boolean;
    selectedLicensePlateNumber?: LicensePlateNumberInput;
    selectedLocation?: LocationInput;
    selectedProduct?: ProductInput;
    destinationCode?: string;
};
export declare class MobileLpnUnlink extends ui.Page {
    private _mobileSettings;
    private _savedObject;
    private _notifier;
    private _currentOperation;
    nextButton: ui.PageAction;
    createButton: ui.PageAction;
    mainSection: ui.containers.Section;
    mainBlock: ui.containers.Block;
    effectiveDate: ui.fields.Date;
    stockSite: ui.fields.Label;
    unlinkAllSwitch: ui.fields.Switch;
    licensePlateNumber: ui.fields.Reference;
    singleLot: ui.fields.Text;
    product: ui.fields.Reference;
    location: ui.fields.Reference;
    stockChangeLinesBlock: ui.containers.Block;
    stockChangeLines: ui.fields.Table<any>;
    private _init;
    private _saveLpnOperations;
    private _mapStockChange;
    private _initSite;
    private _readSavedObject;
    private _disablePage;
    private _checkStorage;
    private _reInitStorage;
    private _initStorage;
    private _initStockChangeLines;
    private _postInitStockChangeLines;
    private _prepareCreation;
    private _callCreationAPI;
    private _showLayout;
    private _getProductOrLot;
    private _fetchProductSite;
    private _getUnLinkAll;
    private _nextSerialNumber;
}
//# sourceMappingURL=mobile-lpn-unlink.d.ts.map