import { GraphApi } from '@sage/x3-manufacturing-api';
import * as ui from '@sage/xtrem-ui';
export declare class MobileManufacturingLabelPrinting extends ui.Page<GraphApi> {
    productionLabel: string;
    isAlwaysLabelDestination: boolean | null;
    printButton: ui.PageAction;
    mainSection: ui.containers.Section;
    parametersBlock: ui.containers.Block;
    product: ui.fields.Reference;
    site: ui.fields.Label;
    entryNumber: ui.fields.Text;
    stockUnit: ui.fields.Select;
    lot: ui.fields.Text;
    subLot: ui.fields.Text;
    receiptQuantity: ui.fields.Numeric;
    expirationDate: ui.fields.Date;
    numberOfLabel: ui.fields.Numeric;
    destination: ui.fields.Reference;
    private _initSite;
    private _init;
    private _setPrintButtonEnabled;
    private _getDate;
    private _getLabel;
    /**
     * assign label when existing.
     * @param _response
     * @returns true when label assigned
     */
    private _assignLabelWhenExisting;
    private showButDisablePage;
    private _getListStockUnit;
    private _callPrintAPI;
}
//# sourceMappingURL=mobile-manufacturing-label-printing.d.ts.map