import { GraphApi, StockCountList, StockCountSession } from '@sage/x3-stock-api';
import * as ui from '@sage/xtrem-ui';
export declare class MobileStockCount extends ui.Page<GraphApi> {
    private _initializePage;
    private _disablePage;
    private _initializeSite;
    private _initSite;
    private _searchStockCountSessionWorksheets;
    mainSection: ui.containers.Section;
    mainBlock: ui.containers.Block;
    separatorField: ui.fields.Separator;
    siteField: ui.fields.Label;
    excludeCountedLines: ui.fields.Checkbox;
    stockCountSession: ui.fields.Reference<StockCountSession>;
    stockCountSessionList: ui.fields.Reference<StockCountList>;
    multiCountLabel: ui.fields.Text;
    private _processSelectedStockCountSession;
    private _processSelectedStockCountList;
}
//# sourceMappingURL=mobile-stock-count.d.ts.map