import { Context, ServiceOptionManager } from '@sage/xtrem-core';
import { ServiceOption } from '@sage/xtrem-shared';
export declare class XtremX3ServiceOptionManager extends ServiceOptionManager {
    isServiceOptionEnabled(context: Context, serviceOption: ServiceOption): Promise<boolean>;
    setServiceOptionActiveState(): Promise<void>;
    private getLanguageFromLocale;
    private loadCurrentLanguageCode;
    private loadSizingActivityCodes;
    getEnabledServiceOptions(context: Context): Promise<ServiceOption[]>;
}
/**
 * Get maxRepeat of denormalized node based on sizing activity code
 * @param context
 * @param activityCode
 * @returns
 */
export declare function getSizingFromActivityCode(context: Context, activityCode: string): number;
//# sourceMappingURL=x3-service-option-manager.d.ts.map