import { AsyncReader } from '@sage/xtrem-async-helper';
import { Context, NodeFactory } from '../../runtime';
import { AnyNode, Node } from '../../ts-api';
import { NodeSelectOptions, NodeSelectResult, NodeSelector } from '../../ts-api/node-select-types';
export declare class SqlSelect {
    static select(context: Context, factory: NodeFactory, selector: NodeSelector<AnyNode>, options: NodeSelectOptions<AnyNode>): Promise<NodeSelectResult<Node, NodeSelector<AnyNode>>[]>;
    static getSelectReader(context: Context, factory: NodeFactory, selector: NodeSelector<AnyNode>, options: NodeSelectOptions<AnyNode>): Promise<AsyncReader<NodeSelectResult<Node, NodeSelector<AnyNode>>>>;
}
//# sourceMappingURL=sql-select.d.ts.map