// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/index.d.ts
declare module '@sage/x3-system/index' {
	export * from '@sage/x3-system/lib/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/enums/amount-conversion-into-letters.d.ts
declare module '@sage/x3-system/lib/enums/amount-conversion-into-letters' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum AmountConversionIntoLettersEnum {
	    noConversion = 1,
	    french = 2,
	    english = 3,
	    german = 4,
	    italian = 5,
	    spanish = 6,
	    portuguese = 7,
	    turkish = 8
	}
	export interface AmountConversionIntoLetters$EnumInterface {
	    noConversion: 1;
	    french: 2;
	    english: 3;
	    german: 4;
	    italian: 5;
	    spanish: 6;
	    portuguese: 7;
	    turkish: 8;
	}
	export type AmountConversionIntoLetters = keyof AmountConversionIntoLetters$EnumInterface;
	export const amountConversionIntoLettersDatatype: X3EnumDataType<keyof AmountConversionIntoLetters$EnumInterface, unknown>;
	//# sourceMappingURL=amount-conversion-into-letters.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/enums/contact-type.d.ts
declare module '@sage/x3-system/lib/enums/contact-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ContactTypeEnum {
	    standard = 1,
	    lead = 2
	}
	export interface ContactType$EnumInterface {
	    standard: 1;
	    lead: 2;
	}
	export type ContactType = keyof ContactType$EnumInterface;
	export const contactTypeDatatype: X3EnumDataType<keyof ContactType$EnumInterface, unknown>;
	//# sourceMappingURL=contact-type.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/enums/definition-level.d.ts
declare module '@sage/x3-system/lib/enums/definition-level' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum DefinitionLevelEnum {
	    folder = 1,
	    company = 2,
	    site = 3,
	    user = 4,
	    legislation = 5
	}
	export interface DefinitionLevel$EnumInterface {
	    folder: 1;
	    company: 2;
	    site: 3;
	    user: 4;
	    legislation: 5;
	}
	export type DefinitionLevel = keyof DefinitionLevel$EnumInterface;
	export const definitionLevelDatatype: X3EnumDataType<keyof DefinitionLevel$EnumInterface, unknown>;
	//# sourceMappingURL=definition-level.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/enums/destination-types.d.ts
declare module '@sage/x3-system/lib/enums/destination-types' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum DestinationTypesEnum {
	    preview = 1,
	    printer = 2,
	    message = 3,
	    file = 4,
	    printerFile = 5,
	    zplPrinter = 6,
	    archiving = 7
	}
	export interface DestinationTypes$EnumInterface {
	    preview: 1;
	    printer: 2;
	    message: 3;
	    file: 4;
	    printerFile: 5;
	    zplPrinter: 6;
	    archiving: 7;
	}
	export type DestinationTypes = keyof DestinationTypes$EnumInterface;
	export const destinationTypesDatatype: X3EnumDataType<keyof DestinationTypes$EnumInterface, unknown>;
	//# sourceMappingURL=destination-types.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/enums/entry-mode.d.ts
declare module '@sage/x3-system/lib/enums/entry-mode' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum EntryModeEnum {
	    entered = 1,
	    displayed = 2,
	    hidden = 3
	}
	export interface EntryMode$EnumInterface {
	    entered: 1;
	    displayed: 2;
	    hidden: 3;
	}
	export type EntryMode = keyof EntryMode$EnumInterface;
	export const entryModeDatatype: X3EnumDataType<keyof EntryMode$EnumInterface, unknown>;
	//# sourceMappingURL=entry-mode.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/enums/exchange-rate-type.d.ts
declare module '@sage/x3-system/lib/enums/exchange-rate-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ExchangeRateTypeEnum {
	    dailyRate = 1,
	    monthlyRate = 2,
	    averageRate = 3,
	    customsDocFileExchange = 4,
	    ueRate = 5
	}
	export interface ExchangeRateType$EnumInterface {
	    dailyRate: 1;
	    monthlyRate: 2;
	    averageRate: 3;
	    customsDocFileExchange: 4;
	    ueRate: 5;
	}
	export type ExchangeRateType = keyof ExchangeRateType$EnumInterface;
	export const exchangeRateTypeDatatype: X3EnumDataType<keyof ExchangeRateType$EnumInterface, unknown>;
	//# sourceMappingURL=exchange-rate-type.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/enums/field-type.d.ts
declare module '@sage/x3-system/lib/enums/field-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum FieldTypeEnum {
	    alphanumeric = 1,
	    numeric = 2,
	    date = 3,
	    localMenu = 4
	}
	export interface FieldType$EnumInterface {
	    alphanumeric: 1;
	    numeric: 2;
	    date: 3;
	    localMenu: 4;
	}
	export type FieldType = keyof FieldType$EnumInterface;
	export const fieldTypeDatatype: X3EnumDataType<keyof FieldType$EnumInterface, unknown>;
	//# sourceMappingURL=field-type.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/enums/form-or-table-entry-mode.d.ts
declare module '@sage/x3-system/lib/enums/form-or-table-entry-mode' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum FormOrTableEntryModeEnum {
	    formAndTable = 1,
	    form = 2,
	    table = 3
	}
	export interface FormOrTableEntryMode$EnumInterface {
	    formAndTable: 1;
	    form: 2;
	    table: 3;
	}
	export type FormOrTableEntryMode = keyof FormOrTableEntryMode$EnumInterface;
	export const formOrTableEntryModeDatatype: X3EnumDataType<keyof FormOrTableEntryMode$EnumInterface, unknown>;
	//# sourceMappingURL=form-or-table-entry-mode.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/enums/index.d.ts
declare module '@sage/x3-system/lib/enums/index' {
	export * from '@sage/x3-system/lib/enums/amount-conversion-into-letters';
	export * from '@sage/x3-system/lib/enums/contact-type';
	export * from '@sage/x3-system/lib/enums/definition-level';
	export * from '@sage/x3-system/lib/enums/destination-types';
	export * from '@sage/x3-system/lib/enums/entry-mode';
	export * from '@sage/x3-system/lib/enums/exchange-rate-type';
	export * from '@sage/x3-system/lib/enums/field-type';
	export * from '@sage/x3-system/lib/enums/form-or-table-entry-mode';
	export * from '@sage/x3-system/lib/enums/module-table';
	export * from '@sage/x3-system/lib/enums/orientation';
	export * from '@sage/x3-system/lib/enums/printer-type';
	export * from '@sage/x3-system/lib/enums/profile-type-function';
	export * from '@sage/x3-system/lib/enums/regrouping-site';
	export * from '@sage/x3-system/lib/enums/title';
	export * from '@sage/x3-system/lib/enums/type-of-dependency';
	export * from '@sage/x3-system/lib/enums/type-of-non-standard-file';
	export * from '@sage/x3-system/lib/enums/types-of-activity-code';
	export * from '@sage/x3-system/lib/enums/unit-type';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/enums/module-table.d.ts
declare module '@sage/x3-system/lib/enums/module-table' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ModuleTableEnum {
	    supervisor = 1,
	    financials = 2,
	    aPARAccounting = 3,
	    sageX3External = 4,
	    sales = 5,
	    purchasing = 6,
	    stock = 7,
	    manufacturing = 8,
	    commonData = 9,
	    development = 10,
	    sageX3Internal = 11,
	    helpDesk = 12,
	    crmActivities = 13,
	    fixedAssets = 14,
	    humanResourcesAdministration = 15,
	    customModule1 = 16,
	    customModule2 = 17,
	    customModule3 = 18,
	    customModule4 = 19,
	    humanCapitalManagement = 20
	}
	export interface ModuleTable$EnumInterface {
	    supervisor: 1;
	    financials: 2;
	    aPARAccounting: 3;
	    sageX3External: 4;
	    sales: 5;
	    purchasing: 6;
	    stock: 7;
	    manufacturing: 8;
	    commonData: 9;
	    development: 10;
	    sageX3Internal: 11;
	    helpDesk: 12;
	    crmActivities: 13;
	    fixedAssets: 14;
	    humanResourcesAdministration: 15;
	    customModule1: 16;
	    customModule2: 17;
	    customModule3: 18;
	    customModule4: 19;
	    humanCapitalManagement: 20;
	}
	export type ModuleTable = keyof ModuleTable$EnumInterface;
	export const moduleTableDatatype: X3EnumDataType<keyof ModuleTable$EnumInterface, unknown>;
	//# sourceMappingURL=module-table.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/enums/orientation.d.ts
declare module '@sage/x3-system/lib/enums/orientation' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum OrientationEnum {
	    portrait = 1,
	    landscape = 2
	}
	export interface Orientation$EnumInterface {
	    portrait: 1;
	    landscape: 2;
	}
	export type Orientation = keyof Orientation$EnumInterface;
	export const orientationDatatype: X3EnumDataType<keyof Orientation$EnumInterface, unknown>;
	//# sourceMappingURL=orientation.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/enums/printer-type.d.ts
declare module '@sage/x3-system/lib/enums/printer-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum PrinterTypeEnum {
	    normal = 1,
	    fax = 2,
	    thermal = 3,
	    color = 4
	}
	export interface PrinterType$EnumInterface {
	    normal: 1;
	    fax: 2;
	    thermal: 3;
	    color: 4;
	}
	export type PrinterType = keyof PrinterType$EnumInterface;
	export const printerTypeDatatype: X3EnumDataType<keyof PrinterType$EnumInterface, unknown>;
	//# sourceMappingURL=printer-type.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/enums/profile-type-function.d.ts
declare module '@sage/x3-system/lib/enums/profile-type-function' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ProfileTypeFunctionEnum {
	    standard = 1,
	    administrator = 2,
	    developer = 3
	}
	export interface ProfileTypeFunction$EnumInterface {
	    standard: 1;
	    administrator: 2;
	    developer: 3;
	}
	export type ProfileTypeFunction = keyof ProfileTypeFunction$EnumInterface;
	export const profileTypeFunctionDatatype: X3EnumDataType<keyof ProfileTypeFunction$EnumInterface, unknown>;
	//# sourceMappingURL=profile-type-function.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/enums/regrouping-site.d.ts
declare module '@sage/x3-system/lib/enums/regrouping-site' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum RegroupingSiteEnum {
	    siteGrouping = 1,
	    site = 2
	}
	export interface RegroupingSite$EnumInterface {
	    siteGrouping: 1;
	    site: 2;
	}
	export type RegroupingSite = keyof RegroupingSite$EnumInterface;
	export const regroupingSiteDatatype: X3EnumDataType<keyof RegroupingSite$EnumInterface, unknown>;
	//# sourceMappingURL=regrouping-site.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/enums/title.d.ts
declare module '@sage/x3-system/lib/enums/title' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum TitleEnum {
	    mr = 1,
	    mrs = 2,
	    ms = 3
	}
	export interface Title$EnumInterface {
	    mr: 1;
	    mrs: 2;
	    ms: 3;
	}
	export type Title = keyof Title$EnumInterface;
	export const titleDatatype: X3EnumDataType<keyof Title$EnumInterface, unknown>;
	//# sourceMappingURL=title.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/enums/type-of-dependency.d.ts
declare module '@sage/x3-system/lib/enums/type-of-dependency' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum TypeOfDependencyEnum {
	    none = 1,
	    reverse = 2,
	    sizing = 3,
	    formula = 4
	}
	export interface TypeOfDependency$EnumInterface {
	    none: 1;
	    reverse: 2;
	    sizing: 3;
	    formula: 4;
	}
	export type TypeOfDependency = keyof TypeOfDependency$EnumInterface;
	export const typeOfDependencyDatatype: X3EnumDataType<keyof TypeOfDependency$EnumInterface, unknown>;
	//# sourceMappingURL=type-of-dependency.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/enums/type-of-non-standard-file.d.ts
declare module '@sage/x3-system/lib/enums/type-of-non-standard-file' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum TypeOfNonStandardFileEnum {
	    unspecified = 1,
	    text = 2,
	    image = 3,
	    office = 4,
	    word = 5,
	    excel = 6,
	    powerPoint = 7
	}
	export interface TypeOfNonStandardFile$EnumInterface {
	    unspecified: 1;
	    text: 2;
	    image: 3;
	    office: 4;
	    word: 5;
	    excel: 6;
	    powerPoint: 7;
	}
	export type TypeOfNonStandardFile = keyof TypeOfNonStandardFile$EnumInterface;
	export const typeOfNonStandardFileDatatype: X3EnumDataType<keyof TypeOfNonStandardFile$EnumInterface, unknown>;
	//# sourceMappingURL=type-of-non-standard-file.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/enums/types-of-activity-code.d.ts
declare module '@sage/x3-system/lib/enums/types-of-activity-code' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum TypesOfActivityCodeEnum {
	    functional = 1,
	    sizing = 2,
	    localization = 3
	}
	export interface TypesOfActivityCode$EnumInterface {
	    functional: 1;
	    sizing: 2;
	    localization: 3;
	}
	export type TypesOfActivityCode = keyof TypesOfActivityCode$EnumInterface;
	export const typesOfActivityCodeDatatype: X3EnumDataType<keyof TypesOfActivityCode$EnumInterface, unknown>;
	//# sourceMappingURL=types-of-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/enums/unit-type.d.ts
declare module '@sage/x3-system/lib/enums/unit-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum UnitTypeEnum {
	    length = 1,
	    area = 2,
	    volume = 3,
	    weight = 4,
	    time = 5,
	    each = 6,
	    packing = 7,
	    other = 8
	}
	export interface UnitType$EnumInterface {
	    length: 1;
	    area: 2;
	    volume: 3;
	    weight: 4;
	    time: 5;
	    each: 6;
	    packing: 7;
	    other: 8;
	}
	export type UnitType = keyof UnitType$EnumInterface;
	export const unitTypeDatatype: X3EnumDataType<keyof UnitType$EnumInterface, unknown>;
	//# sourceMappingURL=unit-type.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/index.d.ts
declare module '@sage/x3-system/lib/index' {
	export * as enums from '@sage/x3-system/lib/enums/index';
	export * as nodeExtensions from '@sage/x3-system/lib/node-extensions/index';
	export * as nodes from '@sage/x3-system/lib/nodes/index';
	export * as serviceOptions from '@sage/x3-system/lib/service-options/index';
	export * as sharedFunctions from '@sage/x3-system/lib/shared-functions/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/node-extensions/index.d.ts
declare module '@sage/x3-system/lib/node-extensions/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/access.d.ts
declare module '@sage/x3-system/lib/nodes/access' {
	import { Node } from '@sage/xtrem-core';
	export class Access extends Node {
	    readonly access: Promise<string>;
	    readonly description: Promise<string>;
	    readonly description1: Promise<string>;
	}
	//# sourceMappingURL=access.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/action-parameter.d.ts
declare module '@sage/x3-system/lib/nodes/action-parameter' {
	import { Node } from '@sage/xtrem-core';
	export class ActionParameter extends Node {
	    readonly code: Promise<string>;
	}
	//# sourceMappingURL=action-parameter.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/activity-code.d.ts
declare module '@sage/x3-system/lib/nodes/activity-code' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class ActivityCode extends Node {
	    readonly code: Promise<string>;
	    readonly screenSize: Promise<integer | null>;
	    readonly databaseMinimumSize: Promise<integer | null>;
	    readonly maximumSize: Promise<integer | null>;
	    readonly activeFlag: Promise<boolean>;
	    readonly description: Promise<integer | null>;
	    readonly module: Promise<sageX3System.enums.ModuleTable | null>;
	    readonly sequence: Promise<integer | null>;
	    readonly order: Promise<integer | null>;
	    readonly type: Promise<sageX3System.enums.TypesOfActivityCode | null>;
	    readonly dependency: Promise<sageX3System.enums.TypeOfDependency | null>;
	    readonly activityCode: Reference<sageX3System.nodes.ActivityCode | null>;
	    readonly formula: Promise<string>;
	    readonly description1: Promise<string>;
	}
	//# sourceMappingURL=activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/company.d.ts
declare module '@sage/x3-system/lib/nodes/company' {
	import { Node, Reference } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class Company extends Node {
	    readonly code: Promise<string>;
	    readonly name: Promise<string>;
	    readonly shortDescription: Promise<string>;
	    readonly isLegalCompany: Promise<boolean>;
	    readonly legislation: Reference<sageX3System.nodes.MiscellaneousTable | null>;
	    readonly logo: Reference<sageX3System.nodes.Image | null>;
	}
	//# sourceMappingURL=company.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/destination.d.ts
declare module '@sage/x3-system/lib/nodes/destination' {
	import { Node, Reference, integer } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class Destination extends Node {
	    readonly code: Promise<string>;
	    readonly description: Promise<string>;
	    readonly shortDescription: Promise<string>;
	    readonly isActive: Promise<boolean>;
	    readonly accessCode: Reference<sageX3System.nodes.Access | null>;
	    readonly destination: Promise<sageX3System.enums.DestinationTypes | null>;
	    readonly destinationFile: Promise<string>;
	    readonly server: Promise<string>;
	    readonly printerName: Promise<string>;
	    readonly driver: Promise<string>;
	    readonly port: Promise<string>;
	    readonly pageOrientation: Promise<sageX3System.enums.Orientation | null>;
	    readonly printerType: Promise<sageX3System.enums.PrinterType | null>;
	    readonly numberOfCopies: Promise<integer | null>;
	    readonly isAssembledCopies: Promise<boolean>;
	    readonly orientation: Promise<integer | null>;
	}
	//# sourceMappingURL=destination.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/function-actions.d.ts
declare module '@sage/x3-system/lib/nodes/function-actions' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class FunctionActions extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly internal: Promise<string>;
	    readonly _denormalizedParent: Reference<sageX3System.nodes.Function>;
	    readonly value: Promise<string>;
	    readonly parameter: Reference<sageX3System.nodes.ActionParameter | null>;
	}
	//# sourceMappingURL=function-actions.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/function-options.d.ts
declare module '@sage/x3-system/lib/nodes/function-options' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class FunctionOptions extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly internal: Promise<string>;
	    readonly _denormalizedParent: Reference<sageX3System.nodes.Function>;
	    readonly code: Promise<string>;
	    readonly activityCode: Reference<sageX3System.nodes.ActivityCode | null>;
	    readonly title: Promise<integer | null>;
	    readonly function: Reference<sageX3System.nodes.Function | null>;
	}
	//# sourceMappingURL=function-options.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/function-variables.d.ts
declare module '@sage/x3-system/lib/nodes/function-variables' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class FunctionVariables extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly internal: Promise<string>;
	    readonly _denormalizedParent: Reference<sageX3System.nodes.Function>;
	    readonly activityCode: Reference<sageX3System.nodes.ActivityCode | null>;
	    readonly value: Promise<string>;
	    readonly variable: Promise<string>;
	}
	//# sourceMappingURL=function-variables.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/function.d.ts
declare module '@sage/x3-system/lib/nodes/function' {
	import { Node, integer, Reference, Collection } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class Function extends Node {
	    readonly internal: Promise<string>;
	    readonly entryHelp: Promise<integer | null>;
	    readonly activityCode: Reference<sageX3System.nodes.ActivityCode | null>;
	    readonly module: Promise<sageX3System.enums.ModuleTable | null>;
	    readonly external: Promise<string>;
	    readonly number: Promise<integer | null>;
	    readonly menuTitle: Promise<integer | null>;
	    readonly parentMenu: Reference<sageX3System.nodes.Function | null>;
	    readonly description: Promise<integer | null>;
	    readonly noOfOptions: Promise<integer | null>;
	    readonly rowInMenu: Promise<integer | null>;
	    readonly menuProcess: Promise<string>;
	    readonly accessTypeObject: Promise<boolean>;
	    readonly numberOfVariables: Promise<integer | null>;
	    readonly entryPoints: Promise<string>;
	    readonly authorizationSite: Promise<boolean>;
	    readonly single: Promise<boolean>;
	    readonly actions: Collection<sageX3System.nodes.FunctionActions>;
	    readonly options: Collection<sageX3System.nodes.FunctionOptions>;
	    readonly variables: Collection<sageX3System.nodes.FunctionVariables>;
	}
	//# sourceMappingURL=function.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/functional-profile-per-site.d.ts
declare module '@sage/x3-system/lib/nodes/functional-profile-per-site' {
	import { Node, Reference } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class FunctionalProfilePerSite extends Node {
	    readonly site: Reference<sageX3System.nodes.Site | null>;
	    readonly profile: Reference<sageX3System.nodes.UserFunctionProfile | null>;
	    readonly function: Reference<sageX3System.nodes.Function | null>;
	    readonly options: Promise<string>;
	}
	//# sourceMappingURL=functional-profile-per-site.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/functional-profile.d.ts
declare module '@sage/x3-system/lib/nodes/functional-profile' {
	import { Node, Reference } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class FunctionalProfile extends Node {
	    readonly profile: Reference<sageX3System.nodes.UserFunctionProfile>;
	    readonly function: Reference<sageX3System.nodes.Function>;
	    readonly siteGrouping: Reference<sageX3System.nodes.Company | null>;
	    readonly menu: Promise<sageX3System.enums.RegroupingSite | null>;
	    readonly access: Promise<boolean>;
	    readonly options: Promise<string>;
	}
	//# sourceMappingURL=functional-profile.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/general-parameter-selectable-values.d.ts
declare module '@sage/x3-system/lib/nodes/general-parameter-selectable-values' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class GeneralParameterSelectableValues extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageX3System.nodes.GeneralParameter>;
	    readonly value: Promise<string>;
	}
	//# sourceMappingURL=general-parameter-selectable-values.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/general-parameter.d.ts
declare module '@sage/x3-system/lib/nodes/general-parameter' {
	import { Node, Reference, integer, Collection } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class GeneralParameter extends Node {
	    readonly code: Promise<string>;
	    readonly chapter: Reference<sageX3System.nodes.MiscellaneousTable | null>;
	    readonly group: Reference<sageX3System.nodes.MiscellaneousTable>;
	    readonly description: Promise<integer | null>;
	    readonly activityCode: Reference<sageX3System.nodes.ActivityCode | null>;
	    readonly valueType: Promise<sageX3System.enums.FieldType | null>;
	    readonly isEditable: Promise<boolean>;
	    readonly localMenu: Promise<integer | null>;
	    readonly definitionLevel: Promise<sageX3System.enums.DefinitionLevel | null>;
	    readonly isOffValue: Promise<boolean>;
	    readonly processing: Promise<string>;
	    readonly selectionOptions: Promise<string>;
	    readonly canUserUpdate: Promise<boolean>;
	    readonly sequence: Promise<integer | null>;
	    readonly access: Reference<sageX3System.nodes.Access | null>;
	    readonly folderValue: Promise<boolean>;
	    readonly modifyingCondition: Promise<string>;
	    readonly selectableValues: Collection<sageX3System.nodes.GeneralParameterSelectableValues>;
	}
	//# sourceMappingURL=general-parameter.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/general-parameters-data.d.ts
declare module '@sage/x3-system/lib/nodes/general-parameters-data' {
	import { Node, Reference, Context } from '@sage/xtrem-core';
	import { DateValue } from '@sage/xtrem-date-time';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class GeneralParametersData extends Node {
	    readonly code: Promise<string>;
	    readonly company: Reference<sageX3System.nodes.Company | null>;
	    readonly siteOrLegislationCode: Reference<sageX3System.nodes.Site | null>;
	    readonly value: Promise<string>;
	    readonly defaultSetOfValues: Reference<sageX3System.nodes.MiscellaneousTable | null>;
	    static readParameterValueString(context: Context, parameters: {
	        company: string;
	        site: string;
	        code: string;
	    }): Promise<{
	        value: string;
	    }>;
	    static readParameterValueDate(context: Context, parameters: {
	        company: string;
	        site: string;
	        code: string;
	    }): Promise<{
	        value: DateValue;
	    }>;
	    static readParameterValueInteger(context: Context, parameters: {
	        company: string;
	        site: string;
	        code: string;
	    }): Promise<{
	        value: number;
	    }>;
	}
	//# sourceMappingURL=general-parameters-data.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/generic-print-report.d.ts
declare module '@sage/x3-system/lib/nodes/generic-print-report' {
	import { Node } from '@sage/xtrem-core';
	export class GenericPrintReport extends Node {
	    readonly reportName: Promise<string>;
	}
	//# sourceMappingURL=generic-print-report.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/image.d.ts
declare module '@sage/x3-system/lib/nodes/image' {
	import { Node, BinaryStream } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class Image extends Node {
	    readonly code: Promise<string>;
	    readonly identifier1: Promise<string>;
	    readonly identifier2: Promise<string>;
	    readonly identifier3: Promise<string>;
	    readonly fileName: Promise<string>;
	    readonly data: Promise<BinaryStream>;
	    readonly specialFileType: Promise<sageX3System.enums.TypeOfNonStandardFile | null>;
	}
	//# sourceMappingURL=image.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/index.d.ts
declare module '@sage/x3-system/lib/nodes/index' {
	export * from '@sage/x3-system/lib/nodes/access';
	export * from '@sage/x3-system/lib/nodes/action-parameter';
	export * from '@sage/x3-system/lib/nodes/activity-code';
	export * from '@sage/x3-system/lib/nodes/company';
	export * from '@sage/x3-system/lib/nodes/destination';
	export * from '@sage/x3-system/lib/nodes/function-actions';
	export * from '@sage/x3-system/lib/nodes/function-options';
	export * from '@sage/x3-system/lib/nodes/function-variables';
	export * from '@sage/x3-system/lib/nodes/function';
	export * from '@sage/x3-system/lib/nodes/functional-profile-per-site';
	export * from '@sage/x3-system/lib/nodes/functional-profile';
	export * from '@sage/x3-system/lib/nodes/general-parameter-selectable-values';
	export * from '@sage/x3-system/lib/nodes/general-parameter';
	export * from '@sage/x3-system/lib/nodes/general-parameters-data';
	export * from '@sage/x3-system/lib/nodes/generic-print-report';
	export * from '@sage/x3-system/lib/nodes/image';
	export * from '@sage/x3-system/lib/nodes/language';
	export * from '@sage/x3-system/lib/nodes/miscellaneous-table';
	export * from '@sage/x3-system/lib/nodes/miscellaneous-tables';
	export * from '@sage/x3-system/lib/nodes/site';
	export * from '@sage/x3-system/lib/nodes/syracus-method';
	export * from '@sage/x3-system/lib/nodes/user-access';
	export * from '@sage/x3-system/lib/nodes/user-function-profile-user-profile-default-sites';
	export * from '@sage/x3-system/lib/nodes/user-function-profile';
	export * from '@sage/x3-system/lib/nodes/user-functions';
	export * from '@sage/x3-system/lib/nodes/user-parameter-value';
	export * from '@sage/x3-system/lib/nodes/user-profile-menu';
	export * from '@sage/x3-system/lib/nodes/user-supervisors';
	export * from '@sage/x3-system/lib/nodes/user-user-destinations';
	export * from '@sage/x3-system/lib/nodes/user';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/language.d.ts
declare module '@sage/x3-system/lib/nodes/language' {
	import { Node, Reference } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class Language extends Node {
	    readonly code: Promise<string>;
	    readonly conversion: Promise<sageX3System.enums.AmountConversionIntoLetters | null>;
	    readonly standardLanguage: Promise<boolean>;
	    readonly iso: Promise<string>;
	    readonly unicodeLanguage: Promise<boolean>;
	    readonly connectionLanguage: Promise<boolean>;
	    readonly backupLanguage: Reference<sageX3System.nodes.Language | null>;
	    readonly shortDescription: Promise<string>;
	    readonly description: Promise<string>;
	    readonly primaryLanguage: Reference<sageX3System.nodes.Language | null>;
	}
	//# sourceMappingURL=language.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/miscellaneous-table.d.ts
declare module '@sage/x3-system/lib/nodes/miscellaneous-table' {
	import { Node, Reference, decimal } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class MiscellaneousTable extends Node {
	    readonly glossaryId: Reference<sageX3System.nodes.MiscellaneousTables>;
	    readonly code: Promise<string>;
	    readonly alpha1: Promise<string>;
	    readonly alpha2: Promise<string>;
	    readonly alpha3: Promise<string>;
	    readonly alpha4: Promise<string>;
	    readonly alpha5: Promise<string>;
	    readonly alpha6: Promise<string>;
	    readonly alpha7: Promise<string>;
	    readonly alpha8: Promise<string>;
	    readonly alpha9: Promise<string>;
	    readonly alpha10: Promise<string>;
	    readonly alpha11: Promise<string>;
	    readonly alpha12: Promise<string>;
	    readonly alpha13: Promise<string>;
	    readonly alpha14: Promise<string>;
	    readonly alpha15: Promise<string>;
	    readonly numeric1: Promise<decimal | null>;
	    readonly numeric2: Promise<decimal | null>;
	    readonly numeric3: Promise<decimal | null>;
	    readonly numeric4: Promise<decimal | null>;
	    readonly numeric5: Promise<decimal | null>;
	    readonly numeric6: Promise<decimal | null>;
	    readonly numeric7: Promise<decimal | null>;
	    readonly numeric8: Promise<decimal | null>;
	    readonly numeric9: Promise<decimal | null>;
	    readonly numeric10: Promise<decimal | null>;
	    readonly numeric11: Promise<decimal | null>;
	    readonly numeric12: Promise<decimal | null>;
	    readonly numeric13: Promise<decimal | null>;
	    readonly numeric14: Promise<decimal | null>;
	    readonly numeric15: Promise<decimal | null>;
	    readonly description: Promise<string>;
	    readonly shortDescription: Promise<string>;
	    readonly defaultValue: Promise<boolean>;
	    readonly dependency: Reference<sageX3System.nodes.MiscellaneousTable | null>;
	    readonly legislation: Reference<sageX3System.nodes.MiscellaneousTable | null>;
	    readonly activeFlag: Promise<boolean>;
	}
	//# sourceMappingURL=miscellaneous-table.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/miscellaneous-tables.d.ts
declare module '@sage/x3-system/lib/nodes/miscellaneous-tables' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class MiscellaneousTables extends Node {
	    readonly glossaryId: Promise<integer | null>;
	    readonly tableNumber: Promise<string>;
	    readonly description: Promise<string>;
	    readonly shortDescription: Promise<string>;
	    readonly alpha1: Promise<string>;
	    readonly type1: Promise<string>;
	    readonly option1: Promise<string>;
	    readonly alpha2: Promise<string>;
	    readonly type2: Promise<string>;
	    readonly option2: Promise<string>;
	    readonly numeric1: Promise<string>;
	    readonly type3: Promise<string>;
	    readonly option3: Promise<string>;
	    readonly numeric2: Promise<string>;
	    readonly type4: Promise<string>;
	    readonly option4: Promise<string>;
	    readonly number: Promise<integer | null>;
	    readonly activityCode: Reference<sageX3System.nodes.ActivityCode | null>;
	    readonly access: Reference<sageX3System.nodes.Access | null>;
	    readonly module: Promise<sageX3System.enums.ModuleTable | null>;
	    readonly dependency: Reference<sageX3System.nodes.MiscellaneousTables | null>;
	    readonly modifiableLength: Promise<boolean>;
	    readonly length: Promise<integer | null>;
	    readonly companyFilter: Promise<boolean>;
	    readonly legislationMandatory: Promise<boolean>;
	    readonly filterLegislation: Promise<boolean>;
	    readonly activeFlag: Promise<boolean>;
	}
	//# sourceMappingURL=miscellaneous-tables.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/site.d.ts
declare module '@sage/x3-system/lib/nodes/site' {
	import { Node, Reference } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class Site extends Node {
	    readonly code: Promise<string>;
	    readonly name: Promise<string>;
	    readonly isStockSite: Promise<boolean>;
	    readonly legalCompany: Reference<sageX3System.nodes.Company>;
	}
	//# sourceMappingURL=site.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/syracus-method.d.ts
declare module '@sage/x3-system/lib/nodes/syracus-method' {
	import { Node, Reference } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class SyracusMethod extends Node {
	    readonly profession: Promise<string>;
	    readonly description: Promise<string>;
	    readonly menuProfile: Reference<sageX3System.nodes.UserProfileMenu | null>;
	    readonly functionProfile: Reference<sageX3System.nodes.UserFunctionProfile | null>;
	    readonly biUserProfile: Promise<string>;
	    readonly safeX3WasProfile: Promise<string>;
	}
	//# sourceMappingURL=syracus-method.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/user-access.d.ts
declare module '@sage/x3-system/lib/nodes/user-access' {
	import { Node, Reference } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class UserAccess extends Node {
	    readonly profile: Reference<sageX3System.nodes.UserFunctionProfile | null>;
	    readonly access: Reference<sageX3System.nodes.Access | null>;
	    readonly user: Reference<sageX3System.nodes.User | null>;
	    readonly inquiry: Promise<boolean>;
	    readonly execution: Promise<boolean>;
	    readonly modification: Promise<boolean>;
	}
	//# sourceMappingURL=user-access.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/user-function-profile-user-profile-default-sites.d.ts
declare module '@sage/x3-system/lib/nodes/user-function-profile-user-profile-default-sites' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class UserFunctionProfileUserProfileDefaultSites extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly profile: Promise<string>;
	    readonly _denormalizedParent: Reference<sageX3System.nodes.UserFunctionProfile>;
	    readonly site: Reference<sageX3System.nodes.Site | null>;
	}
	//# sourceMappingURL=user-function-profile-user-profile-default-sites.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/user-function-profile.d.ts
declare module '@sage/x3-system/lib/nodes/user-function-profile' {
	import { Node, Collection } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class UserFunctionProfile extends Node {
	    readonly profile: Promise<string>;
	    readonly description: Promise<string>;
	    readonly allAccessAllowed: Promise<boolean>;
	    readonly deferredPrint: Promise<boolean>;
	    readonly reportFilters: Promise<string>;
	    readonly allAuthorizedFunctions: Promise<boolean>;
	    readonly fixedDashboard: Promise<boolean>;
	    readonly userProfileDefaultSites: Collection<sageX3System.nodes.UserFunctionProfileUserProfileDefaultSites>;
	}
	//# sourceMappingURL=user-function-profile.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/user-functions.d.ts
declare module '@sage/x3-system/lib/nodes/user-functions' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class UserFunctions extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageX3System.nodes.User>;
	    readonly function: Reference<sageX3System.nodes.Function | null>;
	    readonly parameter: Promise<string>;
	}
	//# sourceMappingURL=user-functions.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/user-parameter-value.d.ts
declare module '@sage/x3-system/lib/nodes/user-parameter-value' {
	import { Node, Reference, Context } from '@sage/xtrem-core';
	import { DateValue } from '@sage/xtrem-date-time';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class UserParameterValue extends Node {
	    readonly description: Promise<string>;
	    readonly user: Reference<sageX3System.nodes.User | null>;
	    readonly value: Promise<string>;
	    readonly defaultSetOfValues: Reference<sageX3System.nodes.MiscellaneousTable | null>;
	    static readParameterValueString(context: Context, parameters: {
	        code: string;
	    }): Promise<{
	        value: string;
	    }>;
	    static readParameterValueDate(context: Context, parameters: {
	        code: string;
	    }): Promise<{
	        value: DateValue;
	    }>;
	    static readParameterValueInteger(context: Context, parameters: {
	        code: string;
	    }): Promise<{
	        value: number;
	    }>;
	}
	//# sourceMappingURL=user-parameter-value.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/user-profile-menu.d.ts
declare module '@sage/x3-system/lib/nodes/user-profile-menu' {
	import { Node, integer } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class UserProfileMenu extends Node {
	    readonly profile: Promise<string>;
	    readonly module: Promise<sageX3System.enums.ModuleTable | null>;
	    readonly profileType: Promise<sageX3System.enums.ProfileTypeFunction | null>;
	    readonly memory: Promise<integer | null>;
	    readonly profileDescription: Promise<string>;
	    readonly startMenu: Promise<string>;
	}
	//# sourceMappingURL=user-profile-menu.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/user-supervisors.d.ts
declare module '@sage/x3-system/lib/nodes/user-supervisors' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class UserSupervisors extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageX3System.nodes.User>;
	    readonly supervisor: Reference<sageX3System.nodes.User | null>;
	}
	//# sourceMappingURL=user-supervisors.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/user-user-destinations.d.ts
declare module '@sage/x3-system/lib/nodes/user-user-destinations' {
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class UserUserDestinations extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageX3System.nodes.User>;
	    readonly destination: Reference<sageX3System.nodes.Destination | null>;
	}
	//# sourceMappingURL=user-user-destinations.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/nodes/user.d.ts
declare module '@sage/x3-system/lib/nodes/user' {
	import { Node, Reference, BinaryStream, Collection } from '@sage/xtrem-core';
	import * as sageX3System from '@sage/x3-system/lib/index';
	export class User extends Node {
	    readonly code: Promise<string>;
	    readonly activeInSelec: Promise<boolean>;
	    readonly name: Promise<string>;
	    readonly nameDescription: Promise<string>;
	    readonly profession: Reference<sageX3System.nodes.SyracusMethod | null>;
	    readonly menuProfile: Reference<sageX3System.nodes.UserProfileMenu | null>;
	    readonly functionProfile: Reference<sageX3System.nodes.UserFunctionProfile | null>;
	    readonly email: Promise<string>;
	    readonly login: Promise<string>;
	    readonly allAccessCodes: Promise<boolean>;
	    readonly externalUser: Promise<boolean>;
	    readonly x3Connection: Promise<boolean>;
	    readonly webServicesConnection: Promise<boolean>;
	    readonly defaultBankId: Promise<string>;
	    readonly access: Reference<sageX3System.nodes.Access | null>;
	    readonly bankIdNumber: Promise<string>;
	    readonly userModel: Reference<sageX3System.nodes.User | null>;
	    readonly profile: Promise<string>;
	    readonly image: Reference<sageX3System.nodes.Image | null>;
	    readonly picture: Promise<BinaryStream>;
	    readonly functions: Collection<sageX3System.nodes.UserFunctions>;
	    readonly supervisors: Collection<sageX3System.nodes.UserSupervisors>;
	    readonly userDestinations: Collection<sageX3System.nodes.UserUserDestinations>;
	}
	//# sourceMappingURL=user.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/abi-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/abi-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const AbiActivityCode: ServiceOption;
	//# sourceMappingURL=abi-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/adc-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/adc-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const AdcActivityCode: ServiceOption;
	//# sourceMappingURL=adc-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/ayt-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/ayt-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const AytActivityCode: ServiceOption;
	//# sourceMappingURL=ayt-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/be-281-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/be-281-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Be281ActivityCode: ServiceOption;
	//# sourceMappingURL=be-281-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/ccn-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/ccn-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const CcnActivityCode: ServiceOption;
	//# sourceMappingURL=ccn-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/cfg-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/cfg-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const CfgActivityCode: ServiceOption;
	//# sourceMappingURL=cfg-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/cfom-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/cfom-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const CfomActivityCode: ServiceOption;
	//# sourceMappingURL=cfom-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/csl-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/csl-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const CslActivityCode: ServiceOption;
	//# sourceMappingURL=csl-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/das-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/das-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const DasActivityCode: ServiceOption;
	//# sourceMappingURL=das-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/deb-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/deb-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const DebActivityCode: ServiceOption;
	//# sourceMappingURL=deb-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/debr-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/debr-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const DebrActivityCode: ServiceOption;
	//# sourceMappingURL=debr-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/dks-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/dks-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const DksActivityCode: ServiceOption;
	//# sourceMappingURL=dks-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/ecc-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/ecc-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const EccActivityCode: ServiceOption;
	//# sourceMappingURL=ecc-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/edix-3-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/edix-3-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Edix3ActivityCode: ServiceOption;
	//# sourceMappingURL=edix-3-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/efat-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/efat-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const EfatActivityCode: ServiceOption;
	//# sourceMappingURL=efat-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/einv-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/einv-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const EinvActivityCode: ServiceOption;
	//# sourceMappingURL=einv-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/elinv-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/elinv-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const ElinvActivityCode: ServiceOption;
	//# sourceMappingURL=elinv-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/eori-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/eori-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const EoriActivityCode: ServiceOption;
	//# sourceMappingURL=eori-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/fas-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/fas-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const FasActivityCode: ServiceOption;
	//# sourceMappingURL=fas-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/fct-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/fct-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const FctActivityCode: ServiceOption;
	//# sourceMappingURL=fct-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/fee-2-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/fee-2-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Fee2ActivityCode: ServiceOption;
	//# sourceMappingURL=fee-2-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/foa-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/foa-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const FoaActivityCode: ServiceOption;
	//# sourceMappingURL=foa-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/fup-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/fup-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const FupActivityCode: ServiceOption;
	//# sourceMappingURL=fup-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/gfsa-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/gfsa-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const GfsaActivityCode: ServiceOption;
	//# sourceMappingURL=gfsa-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/index.d.ts
declare module '@sage/x3-system/lib/service-options/index' {
	export * from '@sage/x3-system/lib/service-options/abi-activity-code';
	export * from '@sage/x3-system/lib/service-options/adc-activity-code';
	export * from '@sage/x3-system/lib/service-options/ayt-activity-code';
	export * from '@sage/x3-system/lib/service-options/be-281-activity-code';
	export * from '@sage/x3-system/lib/service-options/ccn-activity-code';
	export * from '@sage/x3-system/lib/service-options/cfg-activity-code';
	export * from '@sage/x3-system/lib/service-options/cfom-activity-code';
	export * from '@sage/x3-system/lib/service-options/csl-activity-code';
	export * from '@sage/x3-system/lib/service-options/das-activity-code';
	export * from '@sage/x3-system/lib/service-options/deb-activity-code';
	export * from '@sage/x3-system/lib/service-options/debr-activity-code';
	export * from '@sage/x3-system/lib/service-options/dks-activity-code';
	export * from '@sage/x3-system/lib/service-options/ecc-activity-code';
	export * from '@sage/x3-system/lib/service-options/edix-3-activity-code';
	export * from '@sage/x3-system/lib/service-options/efat-activity-code';
	export * from '@sage/x3-system/lib/service-options/einv-activity-code';
	export * from '@sage/x3-system/lib/service-options/elinv-activity-code';
	export * from '@sage/x3-system/lib/service-options/eori-activity-code';
	export * from '@sage/x3-system/lib/service-options/fas-activity-code';
	export * from '@sage/x3-system/lib/service-options/fct-activity-code';
	export * from '@sage/x3-system/lib/service-options/fee-2-activity-code';
	export * from '@sage/x3-system/lib/service-options/foa-activity-code';
	export * from '@sage/x3-system/lib/service-options/fup-activity-code';
	export * from '@sage/x3-system/lib/service-options/gfsa-activity-code';
	export * from '@sage/x3-system/lib/service-options/invca-activity-code';
	export * from '@sage/x3-system/lib/service-options/kbe-activity-code';
	export * from '@sage/x3-system/lib/service-options/kde-activity-code';
	export * from '@sage/x3-system/lib/service-options/kfr-activity-code';
	export * from '@sage/x3-system/lib/service-options/kit-activity-code';
	export * from '@sage/x3-system/lib/service-options/kpl-activity-code';
	export * from '@sage/x3-system/lib/service-options/kpo-activity-code';
	export * from '@sage/x3-system/lib/service-options/ksp-activity-code';
	export * from '@sage/x3-system/lib/service-options/ksw-activity-code';
	export * from '@sage/x3-system/lib/service-options/kus-activity-code';
	export * from '@sage/x3-system/lib/service-options/kza-activity-code';
	export * from '@sage/x3-system/lib/service-options/lnd-activity-code';
	export * from '@sage/x3-system/lib/service-options/lpn-activity-code';
	export * from '@sage/x3-system/lib/service-options/lta-activity-code';
	export * from '@sage/x3-system/lib/service-options/mwc-activity-code';
	export * from '@sage/x3-system/lib/service-options/mwm-activity-code';
	export * from '@sage/x3-system/lib/service-options/npi-activity-code';
	export * from '@sage/x3-system/lib/service-options/pbdpo-activity-code';
	export * from '@sage/x3-system/lib/service-options/pjm-activity-code';
	export * from '@sage/x3-system/lib/service-options/pp-1-activity-code';
	export * from '@sage/x3-system/lib/service-options/pp-2-activity-code';
	export * from '@sage/x3-system/lib/service-options/pp-3-activity-code';
	export * from '@sage/x3-system/lib/service-options/pp-4-activity-code';
	export * from '@sage/x3-system/lib/service-options/pp-5-activity-code';
	export * from '@sage/x3-system/lib/service-options/pp-6-activity-code';
	export * from '@sage/x3-system/lib/service-options/pp-7-activity-code';
	export * from '@sage/x3-system/lib/service-options/pp-8-activity-code';
	export * from '@sage/x3-system/lib/service-options/pp-9-activity-code';
	export * from '@sage/x3-system/lib/service-options/ppt-activity-code';
	export * from '@sage/x3-system/lib/service-options/prcsl-activity-code';
	export * from '@sage/x3-system/lib/service-options/prepm-activity-code';
	export * from '@sage/x3-system/lib/service-options/ptx-activity-code';
	export * from '@sage/x3-system/lib/service-options/re-1-activity-code';
	export * from '@sage/x3-system/lib/service-options/re-2-activity-code';
	export * from '@sage/x3-system/lib/service-options/revrc-activity-code';
	export * from '@sage/x3-system/lib/service-options/rex-activity-code';
	export * from '@sage/x3-system/lib/service-options/saft-activity-code';
	export * from '@sage/x3-system/lib/service-options/salm-activity-code';
	export * from '@sage/x3-system/lib/service-options/sdd-activity-code';
	export * from '@sage/x3-system/lib/service-options/ser-activity-code';
	export * from '@sage/x3-system/lib/service-options/sfd-activity-code';
	export * from '@sage/x3-system/lib/service-options/sp-1-activity-code';
	export * from '@sage/x3-system/lib/service-options/sp-2-activity-code';
	export * from '@sage/x3-system/lib/service-options/sp-3-activity-code';
	export * from '@sage/x3-system/lib/service-options/sp-4-activity-code';
	export * from '@sage/x3-system/lib/service-options/sp-5-activity-code';
	export * from '@sage/x3-system/lib/service-options/sp-6-activity-code';
	export * from '@sage/x3-system/lib/service-options/sp-7-activity-code';
	export * from '@sage/x3-system/lib/service-options/sp-8-activity-code';
	export * from '@sage/x3-system/lib/service-options/sp-9-activity-code';
	export * from '@sage/x3-system/lib/service-options/spd-activity-code';
	export * from '@sage/x3-system/lib/service-options/svc-activity-code';
	export * from '@sage/x3-system/lib/service-options/trsne-activity-code';
	export * from '@sage/x3-system/lib/service-options/vattn-activity-code';
	export * from '@sage/x3-system/lib/service-options/wrh-activity-code';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/invca-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/invca-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const InvcaActivityCode: ServiceOption;
	//# sourceMappingURL=invca-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/kbe-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/kbe-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const KbeActivityCode: ServiceOption;
	//# sourceMappingURL=kbe-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/kde-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/kde-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const KdeActivityCode: ServiceOption;
	//# sourceMappingURL=kde-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/kfr-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/kfr-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const KfrActivityCode: ServiceOption;
	//# sourceMappingURL=kfr-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/kit-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/kit-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const KitActivityCode: ServiceOption;
	//# sourceMappingURL=kit-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/kpl-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/kpl-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const KplActivityCode: ServiceOption;
	//# sourceMappingURL=kpl-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/kpo-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/kpo-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const KpoActivityCode: ServiceOption;
	//# sourceMappingURL=kpo-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/ksp-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/ksp-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const KspActivityCode: ServiceOption;
	//# sourceMappingURL=ksp-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/ksw-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/ksw-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const KswActivityCode: ServiceOption;
	//# sourceMappingURL=ksw-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/kus-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/kus-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const KusActivityCode: ServiceOption;
	//# sourceMappingURL=kus-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/kza-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/kza-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const KzaActivityCode: ServiceOption;
	//# sourceMappingURL=kza-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/lnd-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/lnd-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const LndActivityCode: ServiceOption;
	//# sourceMappingURL=lnd-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/lpn-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/lpn-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const LpnActivityCode: ServiceOption;
	//# sourceMappingURL=lpn-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/lta-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/lta-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const LtaActivityCode: ServiceOption;
	//# sourceMappingURL=lta-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/mwc-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/mwc-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const MwcActivityCode: ServiceOption;
	//# sourceMappingURL=mwc-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/mwm-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/mwm-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const MwmActivityCode: ServiceOption;
	//# sourceMappingURL=mwm-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/npi-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/npi-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const NpiActivityCode: ServiceOption;
	//# sourceMappingURL=npi-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/pbdpo-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/pbdpo-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const PbdpoActivityCode: ServiceOption;
	//# sourceMappingURL=pbdpo-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/pjm-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/pjm-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const PjmActivityCode: ServiceOption;
	//# sourceMappingURL=pjm-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/pp-1-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/pp-1-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Pp1ActivityCode: ServiceOption;
	//# sourceMappingURL=pp-1-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/pp-2-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/pp-2-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Pp2ActivityCode: ServiceOption;
	//# sourceMappingURL=pp-2-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/pp-3-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/pp-3-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Pp3ActivityCode: ServiceOption;
	//# sourceMappingURL=pp-3-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/pp-4-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/pp-4-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Pp4ActivityCode: ServiceOption;
	//# sourceMappingURL=pp-4-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/pp-5-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/pp-5-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Pp5ActivityCode: ServiceOption;
	//# sourceMappingURL=pp-5-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/pp-6-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/pp-6-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Pp6ActivityCode: ServiceOption;
	//# sourceMappingURL=pp-6-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/pp-7-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/pp-7-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Pp7ActivityCode: ServiceOption;
	//# sourceMappingURL=pp-7-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/pp-8-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/pp-8-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Pp8ActivityCode: ServiceOption;
	//# sourceMappingURL=pp-8-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/pp-9-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/pp-9-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Pp9ActivityCode: ServiceOption;
	//# sourceMappingURL=pp-9-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/ppt-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/ppt-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const PptActivityCode: ServiceOption;
	//# sourceMappingURL=ppt-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/prcsl-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/prcsl-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const PrcslActivityCode: ServiceOption;
	//# sourceMappingURL=prcsl-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/prepm-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/prepm-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const PrepmActivityCode: ServiceOption;
	//# sourceMappingURL=prepm-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/ptx-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/ptx-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const PtxActivityCode: ServiceOption;
	//# sourceMappingURL=ptx-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/re-1-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/re-1-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Re1ActivityCode: ServiceOption;
	//# sourceMappingURL=re-1-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/re-2-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/re-2-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Re2ActivityCode: ServiceOption;
	//# sourceMappingURL=re-2-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/revrc-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/revrc-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const RevrcActivityCode: ServiceOption;
	//# sourceMappingURL=revrc-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/rex-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/rex-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const RexActivityCode: ServiceOption;
	//# sourceMappingURL=rex-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/saft-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/saft-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const SaftActivityCode: ServiceOption;
	//# sourceMappingURL=saft-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/salm-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/salm-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const SalmActivityCode: ServiceOption;
	//# sourceMappingURL=salm-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/sdd-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/sdd-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const SddActivityCode: ServiceOption;
	//# sourceMappingURL=sdd-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/ser-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/ser-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const SerActivityCode: ServiceOption;
	//# sourceMappingURL=ser-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/sfd-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/sfd-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const SfdActivityCode: ServiceOption;
	//# sourceMappingURL=sfd-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/sp-1-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/sp-1-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Sp1ActivityCode: ServiceOption;
	//# sourceMappingURL=sp-1-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/sp-2-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/sp-2-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Sp2ActivityCode: ServiceOption;
	//# sourceMappingURL=sp-2-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/sp-3-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/sp-3-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Sp3ActivityCode: ServiceOption;
	//# sourceMappingURL=sp-3-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/sp-4-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/sp-4-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Sp4ActivityCode: ServiceOption;
	//# sourceMappingURL=sp-4-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/sp-5-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/sp-5-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Sp5ActivityCode: ServiceOption;
	//# sourceMappingURL=sp-5-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/sp-6-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/sp-6-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Sp6ActivityCode: ServiceOption;
	//# sourceMappingURL=sp-6-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/sp-7-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/sp-7-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Sp7ActivityCode: ServiceOption;
	//# sourceMappingURL=sp-7-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/sp-8-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/sp-8-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Sp8ActivityCode: ServiceOption;
	//# sourceMappingURL=sp-8-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/sp-9-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/sp-9-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const Sp9ActivityCode: ServiceOption;
	//# sourceMappingURL=sp-9-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/spd-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/spd-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const SpdActivityCode: ServiceOption;
	//# sourceMappingURL=spd-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/svc-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/svc-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const SvcActivityCode: ServiceOption;
	//# sourceMappingURL=svc-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/trsne-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/trsne-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const TrsneActivityCode: ServiceOption;
	//# sourceMappingURL=trsne-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/vattn-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/vattn-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const VattnActivityCode: ServiceOption;
	//# sourceMappingURL=vattn-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/service-options/wrh-activity-code.d.ts
declare module '@sage/x3-system/lib/service-options/wrh-activity-code' {
	import { ServiceOption } from '@sage/xtrem-shared';
	export const WrhActivityCode: ServiceOption;
	//# sourceMappingURL=wrh-activity-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/shared-functions/barcode-parser.d.ts
declare module '@sage/x3-system/lib/shared-functions/barcode-parser' {
	/**
	 * P. Brockfeld, 2014-02-05
	 *
	 * JavaScript for parsing GS1 barCodes, see
	 *
	 * https://github.com/hprange/BarcodeParser (active fork)
	 *
	 * https://github.com/PeterBrockfeld/BarcodeParser (original repo)
	 *
	 * for details.
	 */
	import { ParsedElement } from '@sage/x3-system/lib/shared-functions/parsed-element';
	export interface ParsedBarcode {
	    codeName: string;
	    parsedCodeItems: ParsedElement[];
	}
	export type ParsedBarcodeOrNever = ParsedBarcode | never;
	export class ParseBarCode {
	    constructor(codeString?: string);
	    /**
	     * Special separator of variable record
	     */
	    private get fncChar();
	    /**
	     * String before change
	     */
	    private get codeString();
	    private set codeString(value);
	    /**
	     * String length before change
	     */
	    private get codeStringLength();
	    /** Evaluate barcode received */
	    parseBarcode(barcode: string): ParsedBarcodeOrNever;
	    /**
	     * "ParsedElement" is the
	     *
	     * @constructor for ParsedElements, the components of the array returned by parseBarcode
	     * @param {String} elementAI        the AI of the recognized element
	     * @param {String} elementDataTitle the title of the element, i.e. its short description
	     * @param {String} elementType      a one-letter string describing the type of the element.
	     *                                  allowed values are
	     *                                  "string" for strings,
	     *                                  "numeric" for numbers and
	     *                                  "date" for dates
	     */
	    /**
	     *
	     * ================== BEGIN of identifyAI =======================
	     *
	     * does the main work:
	     *   what AI is in the beginning of the restOfBarcode?
	     *     If identified:
	     *       which function to call with
	     *       which parameters to parse the element?[Description]]
	     * @param   {String} codeString a string; the function tries to
	     *                   identify an AI in the beginning of this string
	     * @returns {Object} if it succeeds in identifying an AI the
	     *                   ParsedElement is returned with, together with the
	     *                   still unparsed rest of codeString.
	     */
	    private _identifyAI;
	    private _evaluateCodeStartWith0;
	    private _evaluateCodeStartWith1;
	    private _evaluateCodeStartWith2;
	    private _evaluateCodeStartWith24;
	    private _evaluateCodeStartWith25;
	    private _evaluateCodeStartWith3;
	    private _evaluateCodeStartWith31;
	    private _evaluateCodeStartWith32;
	    private _evaluateCodeStartWith33;
	    private _evaluateCodeStartWith34;
	    private _evaluateCodeStartWith35;
	    private _evaluateCodeStartWith36;
	    private _evaluateCodeStartWith39;
	    private _evaluateCodeStartWith4;
	    private _evaluateCodeStartWith40;
	    private _evaluateCodeStartWith41;
	    private _evaluateCodeStartWith42;
	    private _evaluateCodeStartWith7;
	    private _evaluateCodeStartWith70;
	    private _evaluateCodeStartWith700;
	    private _evaluateCodeStartWith71;
	    private _evaluateCodeStartWith8;
	    private _evaluateCodeStartWith80;
	    private _evaluateCodeStartWith800;
	    private _evaluateCodeStartWith801;
	    private _evaluateCodeStartWith802;
	    private _evaluateCodeStartWith81;
	    private _evaluateCodeStartWith810;
	    private _evaluateCodeStartWith811;
	    private _evaluateCodeStartWith82;
	    private _evaluateCodeStartWith9;
	    /**
	     *
	     * =========== END of identifyAI =======================
	     *
	     */
	    /**
	     * ============ auxiliary functions for identifyAI =============
	     */
	    /**
	     * some data items are followed by an ParsedElementAndCode  even in case of
	     * fixed length, so the codeStringToReturn may have
	     * leading FNCs.
	     *
	     * This function eliminates these leading FNCs.
	     *
	     * @param   {String} stringToClean string which has to be cleaned
	     * @returns {String} the cleaned string
	     */
	    private _cleanCodeString;
	    /**
	     * Used for calculating numbers which are given as string
	     * with a given number of fractional decimals.
	     *
	     * To avoid conversion errors binary decimal I _don't_
	     * just divide by 10 numberOfFractionals times.
	     *
	     * Parse a string with given fractional to float
	     * @param {string} stringToParse
	     * @param {number} numberOfFractionals
	     * @returns {number} value
	     */
	    private static _parseFloatingPoint;
	    /**
	     * ======== END of auxiliary function for identifyAI =======
	     */
	    /**
	     *
	     * ======== BEGIN of parsing privates in identifyAI =======
	     *
	     * Some privates to parse the various GS1 formats. They
	     * create a new ParsedElement and set its properties.
	     *
	     * They all modify the variables "elementToReturn" and
	     * "codeStringToReturn".
	     */
	    /**
	     * dates in GS1-elements have the format "YYMMDD".
	     * This private generates a new ParsedElement and tries to fill a
	     * JS-date into the "data"-part.
	     * @param {String} ai    the AI to use for the ParsedElement
	     * @param {String} title the title to use for the ParsedElement
	     */
	    private _parseDate;
	    /**
	     * simple: the element has a fixed length AND is not followed by an FNC1.
	     * @param {String} ai     the AI to use
	     * @param {String} title  its title, i.e. its short description
	     * @param {Number} length the fixed length
	     */
	    private _parseFixedLength;
	    /**
	     * tries to parse an element of variable length
	     * some fixed length AIs are terminated by FNC1, so this private
	     * is used even for fixed length items
	     * @param {String} ai           the AI to use
	     * @param {String} title        its title, i.e. its short description
	     * @param {number} maxLength    maximum data size allowed or 0
	     * @return parsed element
	     */
	    private _parseVariableLength;
	    /**
	     * the place of the decimal fraction is given by the fourth number, that's
	     * the first after the identifier itself.
	     *
	     * All of theses elements have a length of 6 characters.
	     * @param {String} aiStem       the first digits of the AI, _not_ the fourth digit
	     * @param {Number} currentFourthNumber the 4th number indicating the count of valid fractionals
	     * @param {String} title        the title of the AI
	     * @param {String} unit         often these elements have an implicit unit of measurement
	     */
	    private _parseFixedLengthMeasure;
	    /**
	     * parses data elements of variable length, which additionally have
	     *
	     * - an indicator for the number of valid decimals
	     * - an implicit unit of measurement
	     *
	     * These data elements contain e.g. a weight or length.
	     *
	     */
	    private _parseVariableLengthMeasure;
	    /**
	     * parses data elements of variable length, which additionally have
	     *
	     * - an indicator for the number of valid decimals
	     * - an explicit unit of measurement
	     *
	     * These data element contain amounts to pay or prices.
	     *
	     */
	    private _parseVariableLengthWithISONumbers;
	    /**
	     * parses data elements of variable length, which additionally have
	     *
	     * - an explicit unit of measurement or reference
	     *
	     * These data element contain countries, authorities within countries.
	     *
	     */
	    private _parseVariableLengthWithISOChars;
	}
	/**
	 * Function only for using class
	 * @param barcode bar code to translate
	 * @returns translated value(s)
	 */
	export function parseBarcode(barcode: string): ParsedBarcode;
	//# sourceMappingURL=barcode-parser.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/shared-functions/index.d.ts
declare module '@sage/x3-system/lib/shared-functions/index' {
	export * from '@sage/x3-system/lib/shared-functions/barcode-parser';
	export * from '@sage/x3-system/lib/shared-functions/parsed-element';
	export * from '@sage/x3-system/lib/shared-functions/pat-converter';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/shared-functions/parsed-element.d.ts
declare module '@sage/x3-system/lib/shared-functions/parsed-element' {
	import { DateValue } from '@sage/xtrem-date-time';
	export enum ElementTypeEnum {
	    string = "string",
	    number = "number",
	    date = "date"
	}
	export type ElementType = keyof typeof ElementTypeEnum;
	export enum DataTitle {
	    amount = "AMOUNT",
	    price = "PRICE",
	    prodDate = "PROD DATE",
	    batchLot = "BATCH/LOT",
	    dueDate = "DUE DATE",
	    packDate = "PACK DATE",
	    bestBefore = "BEST BEFORE or BEST BY",
	    expiryDate = "USE BY OR EXPIRY",
	    sellBy = "SELL BY",
	    sscc = "SSCC",
	    gtin = "GTIN",
	    ginc = "GINC",
	    gsin = "GSIN",
	    content = "CONTENT",
	    variant = "VARIANT",
	    serial = "SERIAL",
	    cpv = "CPV",
	    additionalId = "ADDITIONAL ID",
	    customPartNumber = "CUST. PART NO.",
	    mtoVariant = "MTO VARIAN",
	    pcn = "PCN",
	    varCount = "VAR. COUNT",
	    orderNumber = "ORDER NUMBER",
	    route = "ROUTE",
	    shipToLoc = "SHIP TO LOC",
	    billTo = "BILL TO",
	    purchaseFrom = "PURCHASE FROM",
	    shipForLoc = "SHIP FOR LOC",
	    shipToPost = "SHIP TO POST",
	    origin = "ORIGIN",
	    countryInitialProcess = "COUNTRY - INITIAL PROCESS.",
	    countryProcess = "COUNTRY - PROCESS.",
	    countryDisassembly = "COUNTRY - DISASSEMBLY",
	    countryFullProcess = "COUNTRY - FULL PROCESS",
	    countrySubdivision = "ORIGIN SUBDIVISION",
	    nsn = "NSN",
	    meatCut = "MEAT CUT",
	    expiryTime = "EXPIRY TIME",
	    activePotency = "ACTIVE POTENCY",
	    netWeight = "NET WEIGHT",
	    grossWeight = "GROSS WEIGHT",
	    length = "LENGTH",
	    width = "WIDTH",
	    height = "HEIGHT",
	    area = "AREA",
	    netVolume = "NET VOLUME",
	    volume = "VOLUME",
	    kgPerSquareMeter = "KG PER SQUARE METER"
	}
	export enum UnitOfMeasure {
	    EACH = "EACH",
	    MILLIMETER = "MILLIMETER",
	    CENTIMETER = "CENTIMETER",
	    METER = "METER",
	    KILOMETER = "KILOMETER",
	    INCH = "INCH",
	    FOOT = "FOOT",
	    YARD = "YARD",
	    MILE = "MILE",
	    MILLILITER = "MILLILITER",
	    LITER = "LITER",
	    CUBIC_METER = "CUBIC_METER",
	    FLUID_OUNCE = "FLUID_OUNCE",
	    CUP = "CUP",
	    PINT = "PINT",
	    QUART = "QUART",
	    GALLON = "GALLON",
	    CUBIC_INCH = "CUBIC_INCH",
	    CUBIC_FOOT = "CUBIC_FOOT",
	    CUBIC_YARD = "CUBIC_YARD",
	    GRAM = "GRAM",
	    KILOGRAM = "KILOGRAM",
	    METRIC_TON = "METRIC_TON",
	    OUNCE = "OUNCE",
	    POUND = "POUND",
	    STONE = "STONE",
	    HUNDREDWEIGHT = "HUNDREDWEIGHT",
	    SHORT_TON = "SHORT_TON",
	    SECOND = "SECOND",
	    MINUTE = "MINUTE",
	    HOUR = "HOUR",
	    DAY = "DAY",
	    SQUARE_MILLIMETER = "SQUARE_MILLIMETER",
	    SQUARE_CENTIMETER = "SQUARE_CENTIMETER",
	    SQUARE_METER = "SQUARE_METER",
	    SQUARE_INCH = "SQUARE_INCH",
	    SQUARE_FOOT = "SQUARE_FOOT",
	    SQUARE_YARD = "SQUARE_YARD",
	    TROY_OUNCES = "TROY_OUNCES",
	    _28 = "28"
	}
	export type DataTypeSupported = string | DateValue | number;
	export type UnitTypeSupported = string | undefined;
	export class ParsedElement {
	    readonly ai: string;
	    readonly elementDataTitle: DataTitle;
	    readonly elementType: ElementType;
	    private _data;
	    private _unit;
	    constructor(ai: string, elementDataTitle: DataTitle, elementType: ElementType);
	    set unit(unit: UnitTypeSupported);
	    get unit(): UnitTypeSupported;
	    set data(data: DataTypeSupported);
	    get data(): DataTypeSupported;
	}
	//# sourceMappingURL=parsed-element.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-system/build/lib/shared-functions/pat-converter.d.ts
declare module '@sage/x3-system/lib/shared-functions/pat-converter' {
	/**
	 * Get the RegExp equivalent for the 4GL pattern given
	 *
	 * @param pattern The 4GL pattern you want to get the RegExp equivalent
	 * @returns The RegExp
	 */
	export function getRegExp(pattern: string): RegExp;
	export function getRegExpForMultiplePat(multiplePattern: string): RegExp;
	/**
	 * Perform a 4GL pattern check
	 *
	 * @param text The text to be tested
	 * @param pat The 4GL pattern to apply
	 * @returns The result of the test as a boolean
	 */
	export function pat(text: string, pattern: string): boolean;
	//# sourceMappingURL=pat-converter.d.ts.map
}
declare module '@sage/x3-system' {
	export * from '@sage/x3-system/index';
}
