// From file: /home/vsts/work/1/s/x3-services/shared/x3-manufacturing-data/build/index.d.ts
declare module '@sage/x3-manufacturing-data/index' {
	export * from '@sage/x3-manufacturing-data/lib/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/enums/index.d.ts
declare module '@sage/x3-manufacturing-data/lib/enums/index' {
	export * from '@sage/x3-manufacturing-data/lib/enums/operation-status';
	export * from '@sage/x3-manufacturing-data/lib/enums/status-in-progress';
	export * from '@sage/x3-manufacturing-data/lib/enums/work-center-type';
	export * from '@sage/x3-manufacturing-data/lib/enums/work-order-type';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/enums/operation-status.d.ts
declare module '@sage/x3-manufacturing-data/lib/enums/operation-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum OperationStatusEnum {
	    pending = 1,
	    previousOperationInProcess = 2,
	    previousOperationClosed = 3,
	    inProcess = 4,
	    closed = 5,
	    excluded = 6,
	    ordered = 7
	}
	export interface OperationStatus$EnumInterface {
	    pending: 1;
	    previousOperationInProcess: 2;
	    previousOperationClosed: 3;
	    inProcess: 4;
	    closed: 5;
	    excluded: 6;
	    ordered: 7;
	}
	export type OperationStatus = keyof OperationStatus$EnumInterface;
	export const operationStatusDatatype: X3EnumDataType<keyof OperationStatus$EnumInterface, unknown>;
	//# sourceMappingURL=operation-status.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/enums/status-in-progress.d.ts
declare module '@sage/x3-manufacturing-data/lib/enums/status-in-progress' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum StatusInProgressEnum {
	    firm = 1,
	    planned = 2,
	    suggested = 3,
	    closed = 4
	}
	export interface StatusInProgress$EnumInterface {
	    firm: 1;
	    planned: 2;
	    suggested: 3;
	    closed: 4;
	}
	export type StatusInProgress = keyof StatusInProgress$EnumInterface;
	export const statusInProgressDatatype: X3EnumDataType<keyof StatusInProgress$EnumInterface, unknown>;
	//# sourceMappingURL=status-in-progress.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/enums/work-center-type.d.ts
declare module '@sage/x3-manufacturing-data/lib/enums/work-center-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum WorkCenterTypeEnum {
	    machine = 1,
	    labour = 2,
	    subcontractor = 3
	}
	export interface WorkCenterType$EnumInterface {
	    machine: 1;
	    labour: 2;
	    subcontractor: 3;
	}
	export type WorkCenterType = keyof WorkCenterType$EnumInterface;
	export const workCenterTypeDatatype: X3EnumDataType<keyof WorkCenterType$EnumInterface, unknown>;
	//# sourceMappingURL=work-center-type.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/enums/work-order-type.d.ts
declare module '@sage/x3-manufacturing-data/lib/enums/work-order-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum WorkOrderTypeEnum {
	    customerOrder = 1,
	    supplierOrder = 2,
	    subcontractedMaterial = 3,
	    subcontractedService = 4,
	    workOrder = 5,
	    materialRequirements = 6,
	    transferOrder = 7,
	    transferRequest = 8,
	    byProduct = 9,
	    miscellaneousRequests = 10,
	    miscellaneousResources = 11,
	    customerReservation = 12,
	    subcontractOrder = 13,
	    projectDemand = 14
	}
	export interface WorkOrderType$EnumInterface {
	    customerOrder: 1;
	    supplierOrder: 2;
	    subcontractedMaterial: 3;
	    subcontractedService: 4;
	    workOrder: 5;
	    materialRequirements: 6;
	    transferOrder: 7;
	    transferRequest: 8;
	    byProduct: 9;
	    miscellaneousRequests: 10;
	    miscellaneousResources: 11;
	    customerReservation: 12;
	    subcontractOrder: 13;
	    projectDemand: 14;
	}
	export type WorkOrderType = keyof WorkOrderType$EnumInterface;
	export const workOrderTypeDatatype: X3EnumDataType<keyof WorkOrderType$EnumInterface, unknown>;
	//# sourceMappingURL=work-order-type.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/index.d.ts
declare module '@sage/x3-manufacturing-data/lib/index' {
	export * as enums from '@sage/x3-manufacturing-data/lib/enums/index';
	export * as nodeExtensions from '@sage/x3-manufacturing-data/lib/node-extensions/index';
	export * as nodes from '@sage/x3-manufacturing-data/lib/nodes/index';
	export * as serviceOptions from '@sage/x3-manufacturing-data/lib/service-options/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/node-extensions/index.d.ts
declare module '@sage/x3-manufacturing-data/lib/node-extensions/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/nodes/assignment.d.ts
declare module '@sage/x3-manufacturing-data/lib/nodes/assignment' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3StockData from '@sage/x3-stock-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference, integer, decimal } from '@sage/xtrem-core';
	import * as sageX3ManufacturingData from '@sage/x3-manufacturing-data/lib/index';
	export class Assignment extends Node {
	    readonly _auuid: Promise<string>;
	    readonly storageSite: Reference<sageX3System.nodes.Site>;
	    readonly product: Reference<sageX3MasterData.nodes.ProductSite>;
	    readonly requestType: Promise<sageX3StockData.enums.EntryTypeEnum | null>;
	    readonly demandNumber: Promise<string>;
	    readonly demandLineNumber: Promise<integer | null>;
	    readonly demandSequence: Promise<integer | null>;
	    readonly demandOrderType: Promise<sageX3ManufacturingData.enums.WorkOrderType | null>;
	    readonly demandOrderStatus: Promise<sageX3ManufacturingData.enums.StatusInProgress | null>;
	    readonly resourceType: Promise<sageX3StockData.enums.EntryTypeEnum | null>;
	    readonly resourceNumber: Promise<string>;
	    readonly resourceLineNumber: Promise<integer | null>;
	    readonly resourceSequence: Promise<integer | null>;
	    readonly resourceOrderType: Promise<sageX3ManufacturingData.enums.WorkOrderType | null>;
	    readonly resourceOrderStatus: Promise<sageX3ManufacturingData.enums.StatusInProgress | null>;
	    readonly quantityAssigned: Promise<decimal | null>;
	}
	//# sourceMappingURL=assignment.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/nodes/employee-id.d.ts
declare module '@sage/x3-manufacturing-data/lib/nodes/employee-id' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, integer, Reference, decimal } from '@sage/xtrem-core';
	import * as sageX3ManufacturingData from '@sage/x3-manufacturing-data/lib/index';
	export class EmployeeId extends Node {
	    readonly teamId: Promise<integer | null>;
	    readonly description: Promise<string>;
	    readonly employeeShortDesignation: Promise<string>;
	    readonly teamType: Promise<sageX3MasterData.enums.EmployeeType>;
	    readonly userCode: Reference<sageX3System.nodes.User | null>;
	    readonly laborRate: Promise<decimal | null>;
	    readonly isActive: Promise<boolean>;
	    readonly site: Reference<sageX3System.nodes.Site | null>;
	    readonly workCenter: Promise<string>;
	    readonly workCenterGroup: Reference<sageX3ManufacturingData.nodes.WorkCenterGroup | null>;
	}
	//# sourceMappingURL=employee-id.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/nodes/index.d.ts
declare module '@sage/x3-manufacturing-data/lib/nodes/index' {
	export * from '@sage/x3-manufacturing-data/lib/nodes/assignment';
	export * from '@sage/x3-manufacturing-data/lib/nodes/employee-id';
	export * from '@sage/x3-manufacturing-data/lib/nodes/team-employee';
	export * from '@sage/x3-manufacturing-data/lib/nodes/team';
	export * from '@sage/x3-manufacturing-data/lib/nodes/work-center-group';
	export * from '@sage/x3-manufacturing-data/lib/nodes/work-center';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/nodes/team-employee.d.ts
declare module '@sage/x3-manufacturing-data/lib/nodes/team-employee' {
	import { Node, Reference, integer, date } from '@sage/xtrem-core';
	import * as sageX3ManufacturingData from '@sage/x3-manufacturing-data/lib/index';
	export class TeamEmployee extends Node {
	    readonly teamId: Reference<sageX3ManufacturingData.nodes.EmployeeId>;
	    readonly teamLine: Promise<integer>;
	    readonly employeeId: Reference<sageX3ManufacturingData.nodes.EmployeeId>;
	    readonly startDate: Promise<date | null>;
	}
	//# sourceMappingURL=team-employee.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/nodes/team.d.ts
declare module '@sage/x3-manufacturing-data/lib/nodes/team' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, integer, Reference, decimal, Collection } from '@sage/xtrem-core';
	import * as sageX3ManufacturingData from '@sage/x3-manufacturing-data/lib/index';
	export class Team extends Node {
	    readonly teamId: Promise<integer | null>;
	    readonly description: Promise<string>;
	    readonly employeeShortDesignation: Promise<string>;
	    readonly teamType: Promise<sageX3MasterData.enums.EmployeeType>;
	    readonly userCode: Reference<sageX3System.nodes.User | null>;
	    readonly laborRate: Promise<decimal | null>;
	    readonly isActive: Promise<boolean>;
	    readonly site: Reference<sageX3System.nodes.Site | null>;
	    readonly workCenter: Promise<string>;
	    readonly workCenterGroup: Reference<sageX3ManufacturingData.nodes.WorkCenterGroup | null>;
	    readonly teamEmployees: Collection<sageX3ManufacturingData.nodes.TeamEmployee>;
	}
	//# sourceMappingURL=team.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/nodes/work-center-group.d.ts
declare module '@sage/x3-manufacturing-data/lib/nodes/work-center-group' {
	import { Node } from '@sage/xtrem-core';
	export class WorkCenterGroup extends Node {
	    readonly code: Promise<string>;
	    readonly description: Promise<string>;
	}
	//# sourceMappingURL=work-center-group.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/nodes/work-center.d.ts
declare module '@sage/x3-manufacturing-data/lib/nodes/work-center' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference, decimal, integer } from '@sage/xtrem-core';
	import * as sageX3ManufacturingData from '@sage/x3-manufacturing-data/lib/index';
	export class WorkCenter extends Node {
	    readonly code: Promise<string>;
	    readonly manufacturingSite: Reference<sageX3System.nodes.Site>;
	    readonly workCenterGroup: Reference<sageX3ManufacturingData.nodes.WorkCenterGroup>;
	    readonly costingDimension: Promise<string>;
	    readonly weeklyStructure: Reference<sageX3MasterData.nodes.WeeklyStructure>;
	    readonly efficiencyInPercentage: Promise<decimal | null>;
	    readonly shrinkageInPercentage: Promise<decimal | null>;
	    readonly numberOfResources: Promise<integer | null>;
	    readonly automaticClosingPercentage: Promise<decimal | null>;
	    readonly qualificationLevel: Promise<string>;
	    readonly totalExpectedTimeInHours: Promise<decimal | null>;
	    readonly totalTimeCompleteInHours: Promise<decimal | null>;
	    readonly isConstraint: Promise<boolean>;
	    readonly isRccp: Promise<boolean>;
	    readonly isRunDuringEmployeeBreak: Promise<boolean>;
	    readonly description: Promise<string>;
	}
	//# sourceMappingURL=work-center.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-manufacturing-data/build/lib/service-options/index.d.ts
declare module '@sage/x3-manufacturing-data/lib/service-options/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
declare module '@sage/x3-manufacturing-data' {
	export * from '@sage/x3-manufacturing-data/index';
}
