// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/index.d.ts
declare module '@sage/x3-finance-data/index' {
	export * from '@sage/x3-finance-data/lib/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/enums/index.d.ts
declare module '@sage/x3-finance-data/lib/enums/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/index.d.ts
declare module '@sage/x3-finance-data/lib/index' {
	export * as enums from '@sage/x3-finance-data/lib/enums/index';
	export * as nodeExtensions from '@sage/x3-finance-data/lib/node-extensions/index';
	export * as nodes from '@sage/x3-finance-data/lib/nodes/index';
	export * as serviceOptions from '@sage/x3-finance-data/lib/service-options/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/node-extensions/business-partner-extension.d.ts
declare module '@sage/x3-finance-data/lib/node-extensions/business-partner-extension' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { NodeExtension, Reference } from '@sage/xtrem-core';
	import * as sageX3FinanceData from '@sage/x3-finance-data/lib/index';
	export class BusinessPartnerExtension extends NodeExtension<sageX3MasterData.nodes.BusinessPartner> {
	    readonly accountingCode: Promise<string>;
	    readonly expenseEntryType: Reference<sageX3FinanceData.nodes.EntryType | null>;
	}
	declare module '@sage/x3-master-data/lib/nodes/business-partner' {
	    interface BusinessPartner extends BusinessPartnerExtension {
	    }
	}
	//# sourceMappingURL=business-partner-extension.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/node-extensions/cost-type-extension.d.ts
declare module '@sage/x3-finance-data/lib/node-extensions/cost-type-extension' {
	import * as sageX3ProjectManagementData from '@sage/x3-project-management-data';
	import { NodeExtension, Collection } from '@sage/xtrem-core';
	import * as sageX3FinanceData from '@sage/x3-finance-data/lib/index';
	export class CostTypeExtension extends NodeExtension<sageX3ProjectManagementData.nodes.CostType> {
	    readonly dimensions: Collection<sageX3FinanceData.nodes.CostTypeDimensions>;
	}
	declare module '@sage/x3-project-management-data/lib/nodes/cost-type' {
	    interface CostType extends CostTypeExtension {
	    }
	}
	//# sourceMappingURL=cost-type-extension.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/node-extensions/customer-extension.d.ts
declare module '@sage/x3-finance-data/lib/node-extensions/customer-extension' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { NodeExtension, Reference, Collection } from '@sage/xtrem-core';
	import * as sageX3FinanceData from '@sage/x3-finance-data/lib/index';
	export class CustomerExtension extends NodeExtension<sageX3MasterData.nodes.Customer> {
	    readonly reminderGroup: Reference<sageX3FinanceData.nodes.ReminderGroup | null>;
	    readonly factor: Reference<sageX3FinanceData.nodes.Factor | null>;
	    readonly paymentBank: Reference<sageX3FinanceData.nodes.BankAccount | null>;
	    readonly _accountingCode: Promise<string>;
	    readonly accountStructure: Reference<sageX3FinanceData.nodes.AccountScheme | null>;
	    readonly dimensions: Collection<sageX3FinanceData.nodes.CustomerDimensions>;
	}
	declare module '@sage/x3-master-data/lib/nodes/customer' {
	    interface Customer extends CustomerExtension {
	    }
	}
	//# sourceMappingURL=customer-extension.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/node-extensions/customer-invoice-header-extension.d.ts
declare module '@sage/x3-finance-data/lib/node-extensions/customer-invoice-header-extension' {
	import * as sageX3InvoicingData from '@sage/x3-invoicing-data';
	import { NodeExtension, Reference, Collection } from '@sage/xtrem-core';
	import * as sageX3FinanceData from '@sage/x3-finance-data/lib/index';
	export class CustomerInvoiceHeaderExtension extends NodeExtension<sageX3InvoicingData.nodes.CustomerInvoiceHeader> {
	    readonly entryType: Reference<sageX3FinanceData.nodes.EntryType | null>;
	    readonly journal: Reference<sageX3FinanceData.nodes.Journal | null>;
	    readonly paymentBank: Reference<sageX3FinanceData.nodes.BankAccount | null>;
	    readonly currencyRates: Collection<sageX3FinanceData.nodes.CustomerInvoiceHeaderCurrencyRates>;
	    readonly dimensions: Collection<sageX3FinanceData.nodes.CustomerInvoiceHeaderDimensions>;
	}
	declare module '@sage/x3-invoicing-data/lib/nodes/customer-invoice-header' {
	    interface CustomerInvoiceHeader extends CustomerInvoiceHeaderExtension {
	    }
	}
	//# sourceMappingURL=customer-invoice-header-extension.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/node-extensions/index.d.ts
declare module '@sage/x3-finance-data/lib/node-extensions/index' {
	export * from '@sage/x3-finance-data/lib/node-extensions/business-partner-extension';
	export * from '@sage/x3-finance-data/lib/node-extensions/cost-type-extension';
	export * from '@sage/x3-finance-data/lib/node-extensions/customer-extension';
	export * from '@sage/x3-finance-data/lib/node-extensions/customer-invoice-header-extension';
	export * from '@sage/x3-finance-data/lib/node-extensions/product-category-extension';
	export * from '@sage/x3-finance-data/lib/node-extensions/product-extension';
	export * from '@sage/x3-finance-data/lib/node-extensions/supplier-invoice-header-extension';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/node-extensions/product-category-extension.d.ts
declare module '@sage/x3-finance-data/lib/node-extensions/product-category-extension' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { NodeExtension } from '@sage/xtrem-core';
	export class ProductCategoryExtension extends NodeExtension<sageX3MasterData.nodes.ProductCategory> {
	    readonly accountingCode: Promise<string>;
	}
	declare module '@sage/x3-master-data/lib/nodes/product-category' {
	    interface ProductCategory extends ProductCategoryExtension {
	    }
	}
	//# sourceMappingURL=product-category-extension.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/node-extensions/product-extension.d.ts
declare module '@sage/x3-finance-data/lib/node-extensions/product-extension' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { NodeExtension } from '@sage/xtrem-core';
	export class ProductExtension extends NodeExtension<sageX3MasterData.nodes.Product> {
	    readonly accountingCode: Promise<string>;
	}
	declare module '@sage/x3-master-data/lib/nodes/product' {
	    interface Product extends ProductExtension {
	    }
	}
	//# sourceMappingURL=product-extension.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/node-extensions/supplier-invoice-header-extension.d.ts
declare module '@sage/x3-finance-data/lib/node-extensions/supplier-invoice-header-extension' {
	import * as sageX3InvoicingData from '@sage/x3-invoicing-data';
	import { NodeExtension, Reference, Collection } from '@sage/xtrem-core';
	import * as sageX3FinanceData from '@sage/x3-finance-data/lib/index';
	export class SupplierInvoiceHeaderExtension extends NodeExtension<sageX3InvoicingData.nodes.SupplierInvoiceHeader> {
	    readonly entryType: Reference<sageX3FinanceData.nodes.EntryType | null>;
	    readonly journal: Reference<sageX3FinanceData.nodes.Journal | null>;
	    readonly currencyRates: Collection<sageX3FinanceData.nodes.SupplierInvoiceHeaderCurrencyRates>;
	    readonly dimensions: Collection<sageX3FinanceData.nodes.SupplierInvoiceHeaderDimensions>;
	}
	declare module '@sage/x3-invoicing-data/lib/nodes/supplier-invoice-header' {
	    interface SupplierInvoiceHeader extends SupplierInvoiceHeaderExtension {
	    }
	}
	//# sourceMappingURL=supplier-invoice-header-extension.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/account-scheme.d.ts
declare module '@sage/x3-finance-data/lib/nodes/account-scheme' {
	import { Node } from '@sage/xtrem-core';
	export class AccountScheme extends Node {
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=account-scheme.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/account.d.ts
declare module '@sage/x3-finance-data/lib/nodes/account' {
	import { Node, Reference } from '@sage/xtrem-core';
	import * as sageX3FinanceData from '@sage/x3-finance-data/lib/index';
	export class Account extends Node {
	    readonly chartOfAccounts: Reference<sageX3FinanceData.nodes.ChartOfAccounts>;
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=account.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/accounting-code.d.ts
declare module '@sage/x3-finance-data/lib/nodes/accounting-code' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { Node, Reference } from '@sage/xtrem-core';
	import * as sageX3FinanceData from '@sage/x3-finance-data/lib/index';
	export class AccountingCode extends Node {
	    readonly type: Promise<sageX3MasterData.enums.AccountingCodeType | null>;
	    readonly accountingCode: Promise<string>;
	    readonly chartOfAccounts: Reference<sageX3FinanceData.nodes.ChartOfAccounts | null>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=accounting-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/automatic-journal.d.ts
declare module '@sage/x3-finance-data/lib/nodes/automatic-journal' {
	import { Node } from '@sage/xtrem-core';
	export class AutomaticJournal extends Node {
	    readonly code: Promise<string>;
	    readonly description: Promise<string>;
	    readonly shortDescription: Promise<string>;
	}
	//# sourceMappingURL=automatic-journal.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/bank-account.d.ts
declare module '@sage/x3-finance-data/lib/nodes/bank-account' {
	import { Node } from '@sage/xtrem-core';
	export class BankAccount extends Node {
	    readonly bank: Promise<string>;
	    readonly description: Promise<string>;
	    readonly shortDescription: Promise<string>;
	}
	//# sourceMappingURL=bank-account.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/bill-of-landing.d.ts
declare module '@sage/x3-finance-data/lib/nodes/bill-of-landing' {
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class BillOfLanding extends Node {
	    readonly code: Promise<string>;
	    readonly site: Reference<sageX3System.nodes.Site | null>;
	}
	//# sourceMappingURL=bill-of-landing.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/chart-of-accounts.d.ts
declare module '@sage/x3-finance-data/lib/nodes/chart-of-accounts' {
	import { Node } from '@sage/xtrem-core';
	export class ChartOfAccounts extends Node {
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=chart-of-accounts.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/cost-type-dimensions.d.ts
declare module '@sage/x3-finance-data/lib/nodes/cost-type-dimensions' {
	import * as sageX3ProjectManagementData from '@sage/x3-project-management-data';
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageX3FinanceData from '@sage/x3-finance-data/lib/index';
	export class CostTypeDimensions extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageX3ProjectManagementData.nodes.CostType>;
	    readonly dimensionType: Reference<sageX3FinanceData.nodes.DimensionType | null>;
	    readonly dimension: Reference<sageX3FinanceData.nodes.Dimension | null>;
	}
	//# sourceMappingURL=cost-type-dimensions.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/customer-dimensions.d.ts
declare module '@sage/x3-finance-data/lib/nodes/customer-dimensions' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageX3FinanceData from '@sage/x3-finance-data/lib/index';
	export class CustomerDimensions extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageX3MasterData.nodes.Customer>;
	    readonly dimensionType: Reference<sageX3FinanceData.nodes.DimensionType | null>;
	    readonly dimension: Reference<sageX3FinanceData.nodes.Dimension | null>;
	}
	//# sourceMappingURL=customer-dimensions.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/customer-invoice-header-currency-rates.d.ts
declare module '@sage/x3-finance-data/lib/nodes/customer-invoice-header-currency-rates' {
	import * as sageX3InvoicingData from '@sage/x3-invoicing-data';
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { Node, integer, Reference, decimal } from '@sage/xtrem-core';
	import * as sageX3FinanceData from '@sage/x3-finance-data/lib/index';
	export class CustomerInvoiceHeaderCurrencyRates extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly id: Promise<string>;
	    readonly _denormalizedParent: Reference<sageX3InvoicingData.nodes.CustomerInvoiceHeader>;
	    readonly ledger: Reference<sageX3FinanceData.nodes.Ledger | null>;
	    readonly ledgerCurrency: Reference<sageX3MasterData.nodes.Currency | null>;
	    readonly multiplyingRate: Promise<decimal | null>;
	    readonly dividingRate: Promise<decimal | null>;
	}
	//# sourceMappingURL=customer-invoice-header-currency-rates.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/customer-invoice-header-dimensions.d.ts
declare module '@sage/x3-finance-data/lib/nodes/customer-invoice-header-dimensions' {
	import * as sageX3InvoicingData from '@sage/x3-invoicing-data';
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageX3FinanceData from '@sage/x3-finance-data/lib/index';
	export class CustomerInvoiceHeaderDimensions extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly id: Promise<string>;
	    readonly _denormalizedParent: Reference<sageX3InvoicingData.nodes.CustomerInvoiceHeader>;
	    readonly dimensionType: Reference<sageX3FinanceData.nodes.DimensionType | null>;
	    readonly dimension: Reference<sageX3FinanceData.nodes.Dimension | null>;
	}
	//# sourceMappingURL=customer-invoice-header-dimensions.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/dimension-type.d.ts
declare module '@sage/x3-finance-data/lib/nodes/dimension-type' {
	import { Node } from '@sage/xtrem-core';
	export class DimensionType extends Node {
	    readonly dimensionType: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=dimension-type.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/dimension.d.ts
declare module '@sage/x3-finance-data/lib/nodes/dimension' {
	import { Node, Reference } from '@sage/xtrem-core';
	import * as sageX3FinanceData from '@sage/x3-finance-data/lib/index';
	export class Dimension extends Node {
	    readonly dimensionType: Reference<sageX3FinanceData.nodes.DimensionType>;
	    readonly dimension: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=dimension.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/distribution-key.d.ts
declare module '@sage/x3-finance-data/lib/nodes/distribution-key' {
	import { Node, integer } from '@sage/xtrem-core';
	export class DistributionKey extends Node {
	    readonly code: Promise<string>;
	    readonly numberOfLines: Promise<integer | null>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=distribution-key.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/entry-type.d.ts
declare module '@sage/x3-finance-data/lib/nodes/entry-type' {
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class EntryType extends Node {
	    readonly code: Promise<string>;
	    readonly legislation: Reference<sageX3System.nodes.MiscellaneousTable | null>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=entry-type.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/factor.d.ts
declare module '@sage/x3-finance-data/lib/nodes/factor' {
	import { Node } from '@sage/xtrem-core';
	export class Factor extends Node {
	    readonly code: Promise<string>;
	    readonly companyName: Promise<string>;
	}
	//# sourceMappingURL=factor.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/fiscal-year.d.ts
declare module '@sage/x3-finance-data/lib/nodes/fiscal-year' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference, integer, date, Collection } from '@sage/xtrem-core';
	import * as sageX3FinanceData from '@sage/x3-finance-data/lib/index';
	export class FiscalYear extends Node {
	    readonly company: Reference<sageX3System.nodes.Company>;
	    readonly ledgerTypeNumber: Promise<sageX3MasterData.enums.GeneralLedgerTypes>;
	    readonly code: Promise<integer | null>;
	    readonly description: Promise<string>;
	    readonly shortDescription: Promise<string>;
	    readonly startDate: Promise<date | null>;
	    readonly endDate: Promise<date | null>;
	    readonly closingDate: Promise<date | null>;
	    readonly isAutoLedger: Promise<boolean>;
	    readonly periods: Collection<sageX3FinanceData.nodes.Period>;
	}
	//# sourceMappingURL=fiscal-year.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/index.d.ts
declare module '@sage/x3-finance-data/lib/nodes/index' {
	export * from '@sage/x3-finance-data/lib/nodes/account-scheme';
	export * from '@sage/x3-finance-data/lib/nodes/account';
	export * from '@sage/x3-finance-data/lib/nodes/accounting-code';
	export * from '@sage/x3-finance-data/lib/nodes/automatic-journal';
	export * from '@sage/x3-finance-data/lib/nodes/bank-account';
	export * from '@sage/x3-finance-data/lib/nodes/bill-of-landing';
	export * from '@sage/x3-finance-data/lib/nodes/chart-of-accounts';
	export * from '@sage/x3-finance-data/lib/nodes/cost-type-dimensions';
	export * from '@sage/x3-finance-data/lib/nodes/customer-dimensions';
	export * from '@sage/x3-finance-data/lib/nodes/customer-invoice-header-currency-rates';
	export * from '@sage/x3-finance-data/lib/nodes/customer-invoice-header-dimensions';
	export * from '@sage/x3-finance-data/lib/nodes/dimension-type';
	export * from '@sage/x3-finance-data/lib/nodes/dimension';
	export * from '@sage/x3-finance-data/lib/nodes/distribution-key';
	export * from '@sage/x3-finance-data/lib/nodes/entry-type';
	export * from '@sage/x3-finance-data/lib/nodes/factor';
	export * from '@sage/x3-finance-data/lib/nodes/fiscal-year';
	export * from '@sage/x3-finance-data/lib/nodes/journal-entry-transaction';
	export * from '@sage/x3-finance-data/lib/nodes/journal';
	export * from '@sage/x3-finance-data/lib/nodes/ledger';
	export * from '@sage/x3-finance-data/lib/nodes/open-item';
	export * from '@sage/x3-finance-data/lib/nodes/period';
	export * from '@sage/x3-finance-data/lib/nodes/reminder-group';
	export * from '@sage/x3-finance-data/lib/nodes/supplier-invoice-header-currency-rates';
	export * from '@sage/x3-finance-data/lib/nodes/supplier-invoice-header-dimensions';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/journal-entry-transaction.d.ts
declare module '@sage/x3-finance-data/lib/nodes/journal-entry-transaction' {
	import { Node } from '@sage/xtrem-core';
	export class JournalEntryTransaction extends Node {
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=journal-entry-transaction.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/journal.d.ts
declare module '@sage/x3-finance-data/lib/nodes/journal' {
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class Journal extends Node {
	    readonly code: Promise<string>;
	    readonly legislation: Reference<sageX3System.nodes.MiscellaneousTable | null>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=journal.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/ledger.d.ts
declare module '@sage/x3-finance-data/lib/nodes/ledger' {
	import { Node } from '@sage/xtrem-core';
	export class Ledger extends Node {
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=ledger.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/open-item.d.ts
declare module '@sage/x3-finance-data/lib/nodes/open-item' {
	import * as sageX3InvoicingData from '@sage/x3-invoicing-data';
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference, integer, date, decimal } from '@sage/xtrem-core';
	import * as sageX3FinanceData from '@sage/x3-finance-data/lib/index';
	export class OpenItem extends Node {
	    readonly documentType: Reference<sageX3FinanceData.nodes.EntryType>;
	    readonly documentNumber: Promise<string>;
	    readonly lineNumber: Promise<integer | null>;
	    readonly openItemLineNumber: Promise<integer | null>;
	    readonly journalEntryLineInternalNumber: Promise<integer | null>;
	    readonly company: Reference<sageX3System.nodes.Company>;
	    readonly site: Reference<sageX3System.nodes.Site>;
	    readonly currency: Reference<sageX3MasterData.nodes.Currency>;
	    readonly controlAccount: Promise<string>;
	    readonly businessPartner: Reference<sageX3MasterData.nodes.BusinessPartner>;
	    readonly payToOrPayByBusinessPartner: Reference<sageX3MasterData.nodes.BusinessPartner | null>;
	    readonly dueDate: Promise<date | null>;
	    readonly paymentMethod: Reference<sageX3InvoicingData.nodes.PaymentMethod | null>;
	    readonly paymentType: Promise<sageX3MasterData.enums.OpenItemType | null>;
	    readonly earlyDiscountOrLateCharge: Reference<sageX3InvoicingData.nodes.EarlyDiscountLateCharge | null>;
	    readonly sign: Promise<integer | null>;
	    readonly amountInCurrency: Promise<decimal | null>;
	    readonly amountInCompanyCurrency: Promise<decimal | null>;
	    readonly paidAmountInCurrency: Promise<decimal | null>;
	    readonly paidAmountInCompanyCurrency: Promise<decimal | null>;
	    readonly provisionalPaidAmountInCurrency: Promise<decimal | null>;
	    readonly provisionalPaidAmountInCompanyCurrency: Promise<decimal | null>;
	    readonly canBeReminded: Promise<boolean>;
	    readonly reminderLevel: Promise<integer | null>;
	    readonly reminderDate: Promise<date | null>;
	    readonly dispute: Reference<sageX3System.nodes.MiscellaneousTable | null>;
	    readonly paymentApprovalLevel: Promise<sageX3MasterData.enums.PaymentApprovalType | null>;
	    readonly canBeIncludedInStatement: Promise<boolean>;
	    readonly postedStatus: Promise<integer | null>;
	    readonly deductedPrepaymentAmount: Promise<decimal | null>;
	    readonly prepaymentAmountToDeduct: Promise<decimal | null>;
	    readonly fiscalYear: Promise<integer | null>;
	    readonly period: Promise<integer | null>;
	    readonly prepaymentInvoiceIssueDate: Promise<date | null>;
	    readonly isPrepaymentIssued: Promise<boolean>;
	    readonly closedStatus: Promise<integer | null>;
	    readonly paymentDate: Promise<date | null>;
	    readonly uniqueNumber: Promise<string>;
	}
	//# sourceMappingURL=open-item.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/period.d.ts
declare module '@sage/x3-finance-data/lib/nodes/period' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference, integer, date } from '@sage/xtrem-core';
	export class Period extends Node {
	    readonly company: Reference<sageX3System.nodes.Company>;
	    readonly ledgerTypeNumber: Promise<sageX3MasterData.enums.GeneralLedgerTypes>;
	    readonly fiscalYear: Promise<integer>;
	    readonly code: Promise<integer>;
	    readonly startDate: Promise<date | null>;
	    readonly endDate: Promise<date | null>;
	    readonly status: Promise<sageX3MasterData.enums.FiscalYearPeriodStatus | null>;
	    readonly closingDate: Promise<date | null>;
	    readonly isAutoLedger: Promise<boolean>;
	}
	//# sourceMappingURL=period.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/reminder-group.d.ts
declare module '@sage/x3-finance-data/lib/nodes/reminder-group' {
	import { Node } from '@sage/xtrem-core';
	export class ReminderGroup extends Node {
	    readonly code: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	}
	//# sourceMappingURL=reminder-group.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/supplier-invoice-header-currency-rates.d.ts
declare module '@sage/x3-finance-data/lib/nodes/supplier-invoice-header-currency-rates' {
	import * as sageX3InvoicingData from '@sage/x3-invoicing-data';
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { Node, integer, Reference, decimal } from '@sage/xtrem-core';
	import * as sageX3FinanceData from '@sage/x3-finance-data/lib/index';
	export class SupplierInvoiceHeaderCurrencyRates extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly id: Promise<string>;
	    readonly _denormalizedParent: Reference<sageX3InvoicingData.nodes.SupplierInvoiceHeader>;
	    readonly ledger: Reference<sageX3FinanceData.nodes.Ledger | null>;
	    readonly ledgerCurrency: Reference<sageX3MasterData.nodes.Currency | null>;
	    readonly multiplyingRate: Promise<decimal | null>;
	    readonly dividingRate: Promise<decimal | null>;
	}
	//# sourceMappingURL=supplier-invoice-header-currency-rates.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/nodes/supplier-invoice-header-dimensions.d.ts
declare module '@sage/x3-finance-data/lib/nodes/supplier-invoice-header-dimensions' {
	import * as sageX3InvoicingData from '@sage/x3-invoicing-data';
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageX3FinanceData from '@sage/x3-finance-data/lib/index';
	export class SupplierInvoiceHeaderDimensions extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly id: Promise<string>;
	    readonly _denormalizedParent: Reference<sageX3InvoicingData.nodes.SupplierInvoiceHeader>;
	    readonly dimensionType: Reference<sageX3FinanceData.nodes.DimensionType | null>;
	    readonly dimension: Reference<sageX3FinanceData.nodes.Dimension | null>;
	}
	//# sourceMappingURL=supplier-invoice-header-dimensions.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-finance-data/build/lib/service-options/index.d.ts
declare module '@sage/x3-finance-data/lib/service-options/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
declare module '@sage/x3-finance-data' {
	export * from '@sage/x3-finance-data/index';
}
