// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/index.d.ts
declare module '@sage/x3-stock-data/index' {
	export * from '@sage/x3-stock-data/lib/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/adc-flow-type.d.ts
declare module '@sage/x3-stock-data/lib/enums/adc-flow-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum AdcFlowTypeEnum {
	    issueFlow = 1,
	    stockChange = 2,
	    containerOperation = 3
	}
	export interface AdcFlowType$EnumInterface {
	    issueFlow: 1;
	    stockChange: 2;
	    containerOperation: 3;
	}
	export type AdcFlowType = keyof AdcFlowType$EnumInterface;
	export const adcFlowTypeDatatype: X3EnumDataType<keyof AdcFlowType$EnumInterface, unknown>;
	//# sourceMappingURL=adc-flow-type.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/container-status.d.ts
declare module '@sage/x3-stock-data/lib/enums/container-status' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ContainerStatusEnum {
	    free = 1,
	    inStock = 2
	}
	export interface ContainerStatus$EnumInterface {
	    free: 1;
	    inStock: 2;
	}
	export type ContainerStatus = keyof ContainerStatus$EnumInterface;
	export const containerStatusDatatype: X3EnumDataType<keyof ContainerStatus$EnumInterface, unknown>;
	//# sourceMappingURL=container-status.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/cost-source.d.ts
declare module '@sage/x3-stock-data/lib/enums/cost-source' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum CostSourceEnum {
	    entered = 1,
	    standardCost = 2,
	    revisedStandardCost = 3,
	    lastCost = 4,
	    historicalAuc = 5,
	    fifoCost = 6,
	    lotAverageCost = 7,
	    orderCost = 8,
	    lifoCost = 9,
	    lastPurchasePrice = 10
	}
	export interface CostSource$EnumInterface {
	    entered: 1;
	    standardCost: 2;
	    revisedStandardCost: 3;
	    lastCost: 4;
	    historicalAuc: 5;
	    fifoCost: 6;
	    lotAverageCost: 7;
	    orderCost: 8;
	    lifoCost: 9;
	    lastPurchasePrice: 10;
	}
	export type CostSource = keyof CostSource$EnumInterface;
	export const costSourceDatatype: X3EnumDataType<keyof CostSource$EnumInterface, unknown>;
	//# sourceMappingURL=cost-source.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/default-lot.d.ts
declare module '@sage/x3-stock-data/lib/enums/default-lot' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum DefaultLotEnum {
	    none = 1,
	    supplierLot = 2,
	    documentNumber = 3
	}
	export interface DefaultLot$EnumInterface {
	    none: 1;
	    supplierLot: 2;
	    documentNumber: 3;
	}
	export type DefaultLot = keyof DefaultLot$EnumInterface;
	export const defaultLotDatatype: X3EnumDataType<keyof DefaultLot$EnumInterface, unknown>;
	//# sourceMappingURL=default-lot.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/dimension-cost-group.d.ts
declare module '@sage/x3-stock-data/lib/enums/dimension-cost-group' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum DimensionCostGroupEnum {
	    subtotal1 = 1,
	    subtotal2 = 2,
	    subtotal3 = 3,
	    subtotal4 = 4,
	    subtotal5 = 5,
	    subtotal6 = 6,
	    subtotal7 = 7,
	    subtotal8 = 8,
	    subtotal9 = 9,
	    subtotal10 = 10,
	    subtotal11 = 11,
	    subtotal12 = 12,
	    subtotal13 = 13,
	    subtotal14 = 14,
	    subtotal15 = 15
	}
	export interface DimensionCostGroup$EnumInterface {
	    subtotal1: 1;
	    subtotal2: 2;
	    subtotal3: 3;
	    subtotal4: 4;
	    subtotal5: 5;
	    subtotal6: 6;
	    subtotal7: 7;
	    subtotal8: 8;
	    subtotal9: 9;
	    subtotal10: 10;
	    subtotal11: 11;
	    subtotal12: 12;
	    subtotal13: 13;
	    subtotal14: 14;
	    subtotal15: 15;
	}
	export type DimensionCostGroup = keyof DimensionCostGroup$EnumInterface;
	export const dimensionCostGroupDatatype: X3EnumDataType<keyof DimensionCostGroup$EnumInterface, unknown>;
	//# sourceMappingURL=dimension-cost-group.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/entry-type-enum.d.ts
declare module '@sage/x3-stock-data/lib/enums/entry-type-enum' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum EntryTypeEnumEnum {
	    customer = 1,
	    salesOrder = 2,
	    picking = 3,
	    delivery = 4,
	    salesInvoice = 5,
	    receipt = 6,
	    transferInactive = 7,
	    supplierReturn = 8,
	    count = 9,
	    workOrder = 10,
	    suggestion = 11,
	    productionTracking = 12,
	    customerReturn = 13,
	    purchaseOrder = 14,
	    productionDeclaration = 15,
	    miscellaneousStockInactive = 16,
	    supplierInvoice = 17,
	    salesCredit = 18,
	    miscellaneousReceipt = 19,
	    miscellaneousIssue = 20,
	    locationChangeInactive = 21,
	    intersiteTransferInactive = 22,
	    intersiteTransferReceiptInactive = 23,
	    transferForSubcontractingInactive = 24,
	    receiptForSubcontractingInactive = 25,
	    returnToStockInactive = 26,
	    putawayPlan = 27,
	    qualityControl = 28,
	    stockChange = 29,
	    valueChange = 30,
	    assembly = 31,
	    disassembly = 32,
	    serviceRequest = 33,
	    reorderPlan = 34,
	    lotModification = 35,
	    subcontractOrder = 36,
	    trackingWoWo = 37,
	    shipment = 38,
	    transport = 39,
	    project = 40
	}
	export interface EntryTypeEnum$EnumInterface {
	    customer: 1;
	    salesOrder: 2;
	    picking: 3;
	    delivery: 4;
	    salesInvoice: 5;
	    receipt: 6;
	    transferInactive: 7;
	    supplierReturn: 8;
	    count: 9;
	    workOrder: 10;
	    suggestion: 11;
	    productionTracking: 12;
	    customerReturn: 13;
	    purchaseOrder: 14;
	    productionDeclaration: 15;
	    miscellaneousStockInactive: 16;
	    supplierInvoice: 17;
	    salesCredit: 18;
	    miscellaneousReceipt: 19;
	    miscellaneousIssue: 20;
	    locationChangeInactive: 21;
	    intersiteTransferInactive: 22;
	    intersiteTransferReceiptInactive: 23;
	    transferForSubcontractingInactive: 24;
	    receiptForSubcontractingInactive: 25;
	    returnToStockInactive: 26;
	    putawayPlan: 27;
	    qualityControl: 28;
	    stockChange: 29;
	    valueChange: 30;
	    assembly: 31;
	    disassembly: 32;
	    serviceRequest: 33;
	    reorderPlan: 34;
	    lotModification: 35;
	    subcontractOrder: 36;
	    trackingWoWo: 37;
	    shipment: 38;
	    transport: 39;
	    project: 40;
	}
	export type EntryTypeEnum = keyof EntryTypeEnum$EnumInterface;
	export const entryTypeEnumDatatype: X3EnumDataType<keyof EntryTypeEnum$EnumInterface, unknown>;
	//# sourceMappingURL=entry-type-enum.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/expiration-lead-time-units.d.ts
declare module '@sage/x3-stock-data/lib/enums/expiration-lead-time-units' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ExpirationLeadTimeUnitsEnum {
	    calendarDays = 1,
	    month = 2
	}
	export interface ExpirationLeadTimeUnits$EnumInterface {
	    calendarDays: 1;
	    month: 2;
	}
	export type ExpirationLeadTimeUnits = keyof ExpirationLeadTimeUnits$EnumInterface;
	export const expirationLeadTimeUnitsDatatype: X3EnumDataType<keyof ExpirationLeadTimeUnits$EnumInterface, unknown>;
	//# sourceMappingURL=expiration-lead-time-units.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/index.d.ts
declare module '@sage/x3-stock-data/lib/enums/index' {
	export * from '@sage/x3-stock-data/lib/enums/adc-flow-type';
	export * from '@sage/x3-stock-data/lib/enums/container-status';
	export * from '@sage/x3-stock-data/lib/enums/cost-source';
	export * from '@sage/x3-stock-data/lib/enums/default-lot';
	export * from '@sage/x3-stock-data/lib/enums/dimension-cost-group';
	export * from '@sage/x3-stock-data/lib/enums/entry-type-enum';
	export * from '@sage/x3-stock-data/lib/enums/expiration-lead-time-units';
	export * from '@sage/x3-stock-data/lib/enums/label-printing';
	export * from '@sage/x3-stock-data/lib/enums/license-plate-number-entry';
	export * from '@sage/x3-stock-data/lib/enums/location-category';
	export * from '@sage/x3-stock-data/lib/enums/lot-management-mode';
	export * from '@sage/x3-stock-data/lib/enums/material-cost-group';
	export * from '@sage/x3-stock-data/lib/enums/packing-sequence';
	export * from '@sage/x3-stock-data/lib/enums/prototype-or-active-version';
	export * from '@sage/x3-stock-data/lib/enums/quality-filter-1';
	export * from '@sage/x3-stock-data/lib/enums/reordering-management-mode';
	export * from '@sage/x3-stock-data/lib/enums/stock-search-filter';
	export * from '@sage/x3-stock-data/lib/enums/stock-transaction-type';
	export * from '@sage/x3-stock-data/lib/enums/stock-version-mode';
	export * from '@sage/x3-stock-data/lib/enums/storage-location-code';
	export * from '@sage/x3-stock-data/lib/enums/title-of-location-for-stock-management-rules';
	export * from '@sage/x3-stock-data/lib/enums/title-of-location';
	export * from '@sage/x3-stock-data/lib/enums/traceability-level';
	export * from '@sage/x3-stock-data/lib/enums/traceability-management-mode';
	export * from '@sage/x3-stock-data/lib/enums/version-stopped';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/label-printing.d.ts
declare module '@sage/x3-stock-data/lib/enums/label-printing' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum LabelPrintingEnum {
	    noPrint = 1,
	    stockLabel = 2,
	    substituteValue3 = 3,
	    transfertDocument = 4,
	    analysisDocument = 5,
	    createdContainerLabel = 6,
	    stockLabelAndCreatedContainerLabel = 7
	}
	export interface LabelPrinting$EnumInterface {
	    noPrint: 1;
	    stockLabel: 2;
	    substituteValue3: 3;
	    transfertDocument: 4;
	    analysisDocument: 5;
	    createdContainerLabel: 6;
	    stockLabelAndCreatedContainerLabel: 7;
	}
	export type LabelPrinting = keyof LabelPrinting$EnumInterface;
	export const labelPrintingDatatype: X3EnumDataType<keyof LabelPrinting$EnumInterface, unknown>;
	//# sourceMappingURL=label-printing.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/license-plate-number-entry.d.ts
declare module '@sage/x3-stock-data/lib/enums/license-plate-number-entry' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum LicensePlateNumberEntryEnum {
	    optional = 1,
	    mandatory = 2
	}
	export interface LicensePlateNumberEntry$EnumInterface {
	    optional: 1;
	    mandatory: 2;
	}
	export type LicensePlateNumberEntry = keyof LicensePlateNumberEntry$EnumInterface;
	export const licensePlateNumberEntryDatatype: X3EnumDataType<keyof LicensePlateNumberEntry$EnumInterface, unknown>;
	//# sourceMappingURL=license-plate-number-entry.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/location-category.d.ts
declare module '@sage/x3-stock-data/lib/enums/location-category' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum LocationCategoryEnum {
	    internal = 1,
	    dock = 2,
	    customer = 3,
	    subcontract = 4
	}
	export interface LocationCategory$EnumInterface {
	    internal: 1;
	    dock: 2;
	    customer: 3;
	    subcontract: 4;
	}
	export type LocationCategory = keyof LocationCategory$EnumInterface;
	export const locationCategoryDatatype: X3EnumDataType<keyof LocationCategory$EnumInterface, unknown>;
	//# sourceMappingURL=location-category.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/lot-management-mode.d.ts
declare module '@sage/x3-stock-data/lib/enums/lot-management-mode' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum LotManagementModeEnum {
	    notManaged = 1,
	    optionalLot = 2,
	    mandatoryLot = 3,
	    lotAndSublot = 4
	}
	export interface LotManagementMode$EnumInterface {
	    notManaged: 1;
	    optionalLot: 2;
	    mandatoryLot: 3;
	    lotAndSublot: 4;
	}
	export type LotManagementMode = keyof LotManagementMode$EnumInterface;
	export const lotManagementModeDatatype: X3EnumDataType<keyof LotManagementMode$EnumInterface, unknown>;
	//# sourceMappingURL=lot-management-mode.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/material-cost-group.d.ts
declare module '@sage/x3-stock-data/lib/enums/material-cost-group' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum MaterialCostGroupEnum {
	    materialCost1 = 1,
	    materialCost2 = 2,
	    materialCost3 = 3,
	    materialCost4 = 4,
	    materialCost5 = 5,
	    materialCost6 = 6,
	    materialCost7 = 7,
	    materialCost8 = 8,
	    materialCost9 = 9,
	    materialCost10 = 10,
	    materialCost11 = 11,
	    materialCost12 = 12,
	    materialCost13 = 13,
	    materialCost14 = 14,
	    materialCost15 = 15,
	    materialCost16 = 16,
	    materialCost17 = 17,
	    materialCost18 = 18,
	    materialCost19 = 19,
	    materialCost20 = 20
	}
	export interface MaterialCostGroup$EnumInterface {
	    materialCost1: 1;
	    materialCost2: 2;
	    materialCost3: 3;
	    materialCost4: 4;
	    materialCost5: 5;
	    materialCost6: 6;
	    materialCost7: 7;
	    materialCost8: 8;
	    materialCost9: 9;
	    materialCost10: 10;
	    materialCost11: 11;
	    materialCost12: 12;
	    materialCost13: 13;
	    materialCost14: 14;
	    materialCost15: 15;
	    materialCost16: 16;
	    materialCost17: 17;
	    materialCost18: 18;
	    materialCost19: 19;
	    materialCost20: 20;
	}
	export type MaterialCostGroup = keyof MaterialCostGroup$EnumInterface;
	export const materialCostGroupDatatype: X3EnumDataType<keyof MaterialCostGroup$EnumInterface, unknown>;
	//# sourceMappingURL=material-cost-group.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/packing-sequence.d.ts
declare module '@sage/x3-stock-data/lib/enums/packing-sequence' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum PackingSequenceEnum {
	    no = 1,
	    free = 2,
	    newLot = 3
	}
	export interface PackingSequence$EnumInterface {
	    no: 1;
	    free: 2;
	    newLot: 3;
	}
	export type PackingSequence = keyof PackingSequence$EnumInterface;
	export const packingSequenceDatatype: X3EnumDataType<keyof PackingSequence$EnumInterface, unknown>;
	//# sourceMappingURL=packing-sequence.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/prototype-or-active-version.d.ts
declare module '@sage/x3-stock-data/lib/enums/prototype-or-active-version' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum PrototypeOrActiveVersionEnum {
	    no = 1,
	    yesExceptOnHold = 2,
	    yes = 3
	}
	export interface PrototypeOrActiveVersion$EnumInterface {
	    no: 1;
	    yesExceptOnHold: 2;
	    yes: 3;
	}
	export type PrototypeOrActiveVersion = keyof PrototypeOrActiveVersion$EnumInterface;
	export const prototypeOrActiveVersionDatatype: X3EnumDataType<keyof PrototypeOrActiveVersion$EnumInterface, unknown>;
	//# sourceMappingURL=prototype-or-active-version.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/quality-filter-1.d.ts
declare module '@sage/x3-stock-data/lib/enums/quality-filter-1' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum QualityFilter1Enum {
	    statusA = 1,
	    statusQ = 2,
	    statusAq = 3,
	    statusR = 4,
	    statusAr = 5,
	    statusQr = 6,
	    statusAqr = 7
	}
	export interface QualityFilter1$EnumInterface {
	    statusA: 1;
	    statusQ: 2;
	    statusAq: 3;
	    statusR: 4;
	    statusAr: 5;
	    statusQr: 6;
	    statusAqr: 7;
	}
	export type QualityFilter1 = keyof QualityFilter1$EnumInterface;
	export const qualityFilter1Datatype: X3EnumDataType<keyof QualityFilter1$EnumInterface, unknown>;
	//# sourceMappingURL=quality-filter-1.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/reordering-management-mode.d.ts
declare module '@sage/x3-stock-data/lib/enums/reordering-management-mode' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum ReorderingManagementModeEnum {
	    notManaged = 1,
	    byMrp = 2,
	    byMps = 3,
	    byRop = 4,
	    byPeriod = 5
	}
	export interface ReorderingManagementMode$EnumInterface {
	    notManaged: 1;
	    byMrp: 2;
	    byMps: 3;
	    byRop: 4;
	    byPeriod: 5;
	}
	export type ReorderingManagementMode = keyof ReorderingManagementMode$EnumInterface;
	export const reorderingManagementModeDatatype: X3EnumDataType<keyof ReorderingManagementMode$EnumInterface, unknown>;
	//# sourceMappingURL=reordering-management-mode.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/stock-search-filter.d.ts
declare module '@sage/x3-stock-data/lib/enums/stock-search-filter' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum StockSearchFilterEnum {
	    none = 1,
	    location = 2,
	    lot = 3,
	    sublot = 4,
	    serial = 5,
	    status = 6,
	    packingUnit = 7,
	    pacStkConversionFactor = 8,
	    identifier1 = 9,
	    identifier2 = 10,
	    licensePlateNumber = 11,
	    customField1 = 12,
	    customField2 = 13
	}
	export interface StockSearchFilter$EnumInterface {
	    none: 1;
	    location: 2;
	    lot: 3;
	    sublot: 4;
	    serial: 5;
	    status: 6;
	    packingUnit: 7;
	    pacStkConversionFactor: 8;
	    identifier1: 9;
	    identifier2: 10;
	    licensePlateNumber: 11;
	    customField1: 12;
	    customField2: 13;
	}
	export type StockSearchFilter = keyof StockSearchFilter$EnumInterface;
	export const stockSearchFilterDatatype: X3EnumDataType<keyof StockSearchFilter$EnumInterface, unknown>;
	//# sourceMappingURL=stock-search-filter.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/stock-transaction-type.d.ts
declare module '@sage/x3-stock-data/lib/enums/stock-transaction-type' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum StockTransactionTypeEnum {
	    miscellaneousReceipt = 1,
	    miscellaneousIssue = 2,
	    supplierReceipt = 3,
	    customerDelivery = 4,
	    workOrderReceipt = 5,
	    workOrderIssue = 6,
	    locationChange = 7,
	    qualityControl = 8,
	    statusChange = 9,
	    intersiteTransferReceiptNotActive = 10,
	    receiptReturn = 11,
	    deliveryReturn = 12,
	    count = 13,
	    intersiteTransfer = 14,
	    transferForSubcontractNotActive = 15,
	    subcontractReceipt = 16,
	    loanDelivery = 17,
	    loanDeliveryReturn = 18,
	    stockReturn = 19,
	    subcontractDelivery = 20,
	    resplitting = 21,
	    putawayPlan = 22,
	    valueChange = 23,
	    serviceRequest = 24,
	    replenishment = 25,
	    stockChange = 26,
	    internalTransferIssue = 27,
	    internalTransferReceipt = 28,
	    subcontractIssue = 29,
	    loanReceiptNotActive = 30,
	    loanReceiptReturnNotActive = 31,
	    subcontractReceiptReturn = 32,
	    subcontractDeliveryReturn = 33,
	    analysisRequest = 34,
	    stockValueAdjustment = 35,
	    licensePlateNumberChange = 36
	}
	export interface StockTransactionType$EnumInterface {
	    miscellaneousReceipt: 1;
	    miscellaneousIssue: 2;
	    supplierReceipt: 3;
	    customerDelivery: 4;
	    workOrderReceipt: 5;
	    workOrderIssue: 6;
	    locationChange: 7;
	    qualityControl: 8;
	    statusChange: 9;
	    intersiteTransferReceiptNotActive: 10;
	    receiptReturn: 11;
	    deliveryReturn: 12;
	    count: 13;
	    intersiteTransfer: 14;
	    transferForSubcontractNotActive: 15;
	    subcontractReceipt: 16;
	    loanDelivery: 17;
	    loanDeliveryReturn: 18;
	    stockReturn: 19;
	    subcontractDelivery: 20;
	    resplitting: 21;
	    putawayPlan: 22;
	    valueChange: 23;
	    serviceRequest: 24;
	    replenishment: 25;
	    stockChange: 26;
	    internalTransferIssue: 27;
	    internalTransferReceipt: 28;
	    subcontractIssue: 29;
	    loanReceiptNotActive: 30;
	    loanReceiptReturnNotActive: 31;
	    subcontractReceiptReturn: 32;
	    subcontractDeliveryReturn: 33;
	    analysisRequest: 34;
	    stockValueAdjustment: 35;
	    licensePlateNumberChange: 36;
	}
	export type StockTransactionType = keyof StockTransactionType$EnumInterface;
	export const stockTransactionTypeDatatype: X3EnumDataType<keyof StockTransactionType$EnumInterface, unknown>;
	//# sourceMappingURL=stock-transaction-type.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/stock-version-mode.d.ts
declare module '@sage/x3-stock-data/lib/enums/stock-version-mode' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum StockVersionModeEnum {
	    no = 1,
	    major = 2,
	    majorAndMinor = 3
	}
	export interface StockVersionMode$EnumInterface {
	    no: 1;
	    major: 2;
	    majorAndMinor: 3;
	}
	export type StockVersionMode = keyof StockVersionMode$EnumInterface;
	export const stockVersionModeDatatype: X3EnumDataType<keyof StockVersionMode$EnumInterface, unknown>;
	//# sourceMappingURL=stock-version-mode.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/storage-location-code.d.ts
declare module '@sage/x3-stock-data/lib/enums/storage-location-code' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum StorageLocationCodeEnum {
	    empty = 1,
	    occupied = 2,
	    full = 3
	}
	export interface StorageLocationCode$EnumInterface {
	    empty: 1;
	    occupied: 2;
	    full: 3;
	}
	export type StorageLocationCode = keyof StorageLocationCode$EnumInterface;
	export const storageLocationCodeDatatype: X3EnumDataType<keyof StorageLocationCode$EnumInterface, unknown>;
	//# sourceMappingURL=storage-location-code.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/title-of-location-for-stock-management-rules.d.ts
declare module '@sage/x3-stock-data/lib/enums/title-of-location-for-stock-management-rules' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum TitleOfLocationForStockManagementRulesEnum {
	    v0 = 1,
	    receipt = 2,
	    stock = 3,
	    picking = 4,
	    workstation = 5,
	    delivery = 6,
	    store = 7,
	    customerReturn = 8,
	    returnFromReturn = 9,
	    toBeDefined = 10,
	    toBeDefined1 = 11,
	    toBeDefined2 = 12
	}
	export interface TitleOfLocationForStockManagementRules$EnumInterface {
	    v0: 1;
	    receipt: 2;
	    stock: 3;
	    picking: 4;
	    workstation: 5;
	    delivery: 6;
	    store: 7;
	    customerReturn: 8;
	    returnFromReturn: 9;
	    toBeDefined: 10;
	    toBeDefined1: 11;
	    toBeDefined2: 12;
	}
	export type TitleOfLocationForStockManagementRules = keyof TitleOfLocationForStockManagementRules$EnumInterface;
	export const titleOfLocationForStockManagementRulesDatatype: X3EnumDataType<keyof TitleOfLocationForStockManagementRules$EnumInterface, unknown>;
	//# sourceMappingURL=title-of-location-for-stock-management-rules.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/title-of-location.d.ts
declare module '@sage/x3-stock-data/lib/enums/title-of-location' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum TitleOfLocationEnum {
	    receipt = 1,
	    stock = 2,
	    picking = 3,
	    workstation = 4,
	    delivery = 5,
	    store = 6,
	    customerReturn = 7,
	    returnFromReturn = 8,
	    toBeDefined = 9,
	    toBeDefined1 = 10,
	    toBeDefined2 = 11
	}
	export interface TitleOfLocation$EnumInterface {
	    receipt: 1;
	    stock: 2;
	    picking: 3;
	    workstation: 4;
	    delivery: 5;
	    store: 6;
	    customerReturn: 7;
	    returnFromReturn: 8;
	    toBeDefined: 9;
	    toBeDefined1: 10;
	    toBeDefined2: 11;
	}
	export type TitleOfLocation = keyof TitleOfLocation$EnumInterface;
	export const titleOfLocationDatatype: X3EnumDataType<keyof TitleOfLocation$EnumInterface, unknown>;
	//# sourceMappingURL=title-of-location.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/traceability-level.d.ts
declare module '@sage/x3-stock-data/lib/enums/traceability-level' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum TraceabilityLevelEnum {
	    byDefault = 1,
	    lot = 2,
	    subLot = 3,
	    serialNumber = 4
	}
	export interface TraceabilityLevel$EnumInterface {
	    byDefault: 1;
	    lot: 2;
	    subLot: 3;
	    serialNumber: 4;
	}
	export type TraceabilityLevel = keyof TraceabilityLevel$EnumInterface;
	export const traceabilityLevelDatatype: X3EnumDataType<keyof TraceabilityLevel$EnumInterface, unknown>;
	//# sourceMappingURL=traceability-level.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/traceability-management-mode.d.ts
declare module '@sage/x3-stock-data/lib/enums/traceability-management-mode' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum TraceabilityManagementModeEnum {
	    noTraceability = 1,
	    detailedTraceability = 2,
	    summaryTraceability = 3
	}
	export interface TraceabilityManagementMode$EnumInterface {
	    noTraceability: 1;
	    detailedTraceability: 2;
	    summaryTraceability: 3;
	}
	export type TraceabilityManagementMode = keyof TraceabilityManagementMode$EnumInterface;
	export const traceabilityManagementModeDatatype: X3EnumDataType<keyof TraceabilityManagementMode$EnumInterface, unknown>;
	//# sourceMappingURL=traceability-management-mode.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/enums/version-stopped.d.ts
declare module '@sage/x3-stock-data/lib/enums/version-stopped' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum VersionStoppedEnum {
	    no = 1,
	    noUnlessException = 2,
	    yes = 3
	}
	export interface VersionStopped$EnumInterface {
	    no: 1;
	    noUnlessException: 2;
	    yes: 3;
	}
	export type VersionStopped = keyof VersionStopped$EnumInterface;
	export const versionStoppedDatatype: X3EnumDataType<keyof VersionStopped$EnumInterface, unknown>;
	//# sourceMappingURL=version-stopped.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/index.d.ts
declare module '@sage/x3-stock-data/lib/index' {
	export * as enums from '@sage/x3-stock-data/lib/enums/index';
	export * as menuItems from '@sage/x3-stock-data/lib/menu-items/index';
	export * as nodeExtensions from '@sage/x3-stock-data/lib/node-extensions/index';
	export * as nodes from '@sage/x3-stock-data/lib/nodes/index';
	export * as serviceOptions from '@sage/x3-stock-data/lib/service-options/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/menu-items/index.d.ts
declare module '@sage/x3-stock-data/lib/menu-items/index' {
	export * from '@sage/x3-stock-data/lib/menu-items/lpn';
	export * from '@sage/x3-stock-data/lib/menu-items/other';
	export * from '@sage/x3-stock-data/lib/menu-items/picking';
	export * from '@sage/x3-stock-data/lib/menu-items/receipt';
	export * from '@sage/x3-stock-data/lib/menu-items/stock-control';
	export * from '@sage/x3-stock-data/lib/menu-items/stock-identifier';
	export * from '@sage/x3-stock-data/lib/menu-items/transfer';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/menu-items/lpn.d.ts
declare module '@sage/x3-stock-data/lib/menu-items/lpn' {
	import type { RootMenuItem } from '@sage/xtrem-shared';
	export const lpn: RootMenuItem;
	//# sourceMappingURL=lpn.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/menu-items/other.d.ts
declare module '@sage/x3-stock-data/lib/menu-items/other' {
	import type { RootMenuItem } from '@sage/xtrem-shared';
	export const other: RootMenuItem;
	//# sourceMappingURL=other.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/menu-items/picking.d.ts
declare module '@sage/x3-stock-data/lib/menu-items/picking' {
	import type { RootMenuItem } from '@sage/xtrem-shared';
	export const picking: RootMenuItem;
	//# sourceMappingURL=picking.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/menu-items/receipt.d.ts
declare module '@sage/x3-stock-data/lib/menu-items/receipt' {
	import type { RootMenuItem } from '@sage/xtrem-shared';
	export const receipt: RootMenuItem;
	//# sourceMappingURL=receipt.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/menu-items/stock-control.d.ts
declare module '@sage/x3-stock-data/lib/menu-items/stock-control' {
	import type { RootMenuItem } from '@sage/xtrem-shared';
	export const stockControl: RootMenuItem;
	//# sourceMappingURL=stock-control.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/menu-items/stock-identifier.d.ts
declare module '@sage/x3-stock-data/lib/menu-items/stock-identifier' {
	import type { RootMenuItem } from '@sage/xtrem-shared';
	export const stockByIdentifier: RootMenuItem;
	//# sourceMappingURL=stock-identifier.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/menu-items/transfer.d.ts
declare module '@sage/x3-stock-data/lib/menu-items/transfer' {
	import type { RootMenuItem } from '@sage/xtrem-shared';
	export const transfer: RootMenuItem;
	//# sourceMappingURL=transfer.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/node-extensions/index.d.ts
declare module '@sage/x3-stock-data/lib/node-extensions/index' {
	export * from '@sage/x3-stock-data/lib/node-extensions/product-category-extension';
	export * from '@sage/x3-stock-data/lib/node-extensions/product-extension';
	export * from '@sage/x3-stock-data/lib/node-extensions/product-site-extension';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/node-extensions/product-category-extension.d.ts
declare module '@sage/x3-stock-data/lib/node-extensions/product-category-extension' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { NodeExtension, Collection } from '@sage/xtrem-core';
	import * as sageX3StockData from '@sage/x3-stock-data/lib/index';
	export class ProductCategoryExtension extends NodeExtension<sageX3MasterData.nodes.ProductCategory> {
	    readonly lotManagementMode: Promise<sageX3StockData.enums.LotManagementMode | null>;
	    readonly traceabilityManagementMode: Promise<sageX3StockData.enums.TraceabilityManagementMode | null>;
	    readonly traceabilityLevel: Promise<sageX3StockData.enums.TraceabilityLevel | null>;
	    readonly reorderingManagementMode: Promise<sageX3StockData.enums.ReorderingManagementMode | null>;
	    readonly stockVersionMode: Promise<sageX3StockData.enums.StockVersionMode | null>;
	    readonly defaultLocations: Collection<sageX3StockData.nodes.ProductCategoryDefaultLocations>;
	}
	declare module '@sage/x3-master-data/lib/nodes/product-category' {
	    interface ProductCategory extends ProductCategoryExtension {
	    }
	}
	//# sourceMappingURL=product-category-extension.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/node-extensions/product-extension.d.ts
declare module '@sage/x3-stock-data/lib/node-extensions/product-extension' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3StockData from '@sage/x3-stock-data/lib/index';
	import { NodeExtension } from '@sage/xtrem-core';
	export class ProductExtension extends NodeExtension<sageX3MasterData.nodes.Product> {
	    readonly stockManagementMode: Promise<sageX3MasterData.enums.StockManagement | null>;
	    readonly lotManagementMode: Promise<sageX3StockData.enums.LotManagementMode | null>;
	    readonly materialCostGroup: Promise<sageX3StockData.enums.MaterialCostGroup | null>;
	    readonly traceabilityManagementMode: Promise<sageX3StockData.enums.TraceabilityManagementMode | null>;
	    readonly traceabilityLevel: Promise<sageX3StockData.enums.TraceabilityLevel | null>;
	    readonly expirationTimeUnit: Promise<sageX3StockData.enums.ExpirationLeadTimeUnits | null>;
	    readonly recontrolTimeUnit: Promise<sageX3StockData.enums.ExpirationLeadTimeUnits | null>;
	    readonly stockVersionMode: Promise<sageX3StockData.enums.StockVersionMode | null>;
	}
	declare module '@sage/x3-master-data/lib/nodes/product' {
	    interface Product extends ProductExtension {
	    }
	}
	//# sourceMappingURL=product-extension.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/node-extensions/product-site-extension.d.ts
declare module '@sage/x3-stock-data/lib/node-extensions/product-site-extension' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { NodeExtension, Reference, Collection } from '@sage/xtrem-core';
	import * as sageX3StockData from '@sage/x3-stock-data/lib/index';
	export class ProductSiteExtension extends NodeExtension<sageX3MasterData.nodes.ProductSite> {
	    readonly reorderingManagementMode: Promise<sageX3StockData.enums.ReorderingManagementMode | null>;
	    readonly recontrolTimeUnit: Promise<sageX3StockData.enums.ExpirationLeadTimeUnits | null>;
	    readonly defaultInternalContainer: Reference<sageX3StockData.nodes.Container | null>;
	    readonly defaultLocations: Collection<sageX3StockData.nodes.ProductSiteDefaultLocations>;
	    readonly internalContainers: Collection<sageX3StockData.nodes.ProductSiteInternalContainers>;
	}
	declare module '@sage/x3-master-data/lib/nodes/product-site' {
	    interface ProductSite extends ProductSiteExtension {
	    }
	}
	//# sourceMappingURL=product-site-extension.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/nodes/container.d.ts
declare module '@sage/x3-stock-data/lib/nodes/container' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference, decimal, integer } from '@sage/xtrem-core';
	export class Container extends Node {
	    readonly code: Promise<string>;
	    readonly containerType: Promise<sageX3MasterData.enums.InternalContainerType | null>;
	    readonly isActive: Promise<boolean>;
	    readonly description: Promise<string>;
	    readonly shortDescription: Promise<string>;
	    readonly sizeUnit: Reference<sageX3MasterData.nodes.UnitOfMeasure | null>;
	    readonly weightUnit: Reference<sageX3MasterData.nodes.UnitOfMeasure | null>;
	    readonly tareWeight: Promise<decimal | null>;
	    readonly maxWeight: Promise<decimal | null>;
	    readonly length: Promise<decimal | null>;
	    readonly width: Promise<decimal | null>;
	    readonly height: Promise<decimal | null>;
	    readonly volumeUnit: Reference<sageX3MasterData.nodes.UnitOfMeasure | null>;
	    readonly volume: Promise<decimal | null>;
	    readonly usableVolume: Promise<decimal | null>;
	    readonly twentyFootEquivalentUnit: Promise<integer | null>;
	    readonly isRefrigerated: Promise<boolean>;
	    readonly isInternal: Promise<boolean>;
	    readonly isFreight: Promise<boolean>;
	    readonly isSingleProduct: Promise<boolean>;
	    readonly isSingleLot: Promise<boolean>;
	    readonly labelFormat: Reference<sageX3System.nodes.GenericPrintReport | null>;
	}
	//# sourceMappingURL=container.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/nodes/index.d.ts
declare module '@sage/x3-stock-data/lib/nodes/index' {
	export * from '@sage/x3-stock-data/lib/nodes/container';
	export * from '@sage/x3-stock-data/lib/nodes/license-plate-number';
	export * from '@sage/x3-stock-data/lib/nodes/location';
	export * from '@sage/x3-stock-data/lib/nodes/lot';
	export * from '@sage/x3-stock-data/lib/nodes/lots-sites';
	export * from '@sage/x3-stock-data/lib/nodes/major-version-status';
	export * from '@sage/x3-stock-data/lib/nodes/mobile-settings';
	export * from '@sage/x3-stock-data/lib/nodes/product-category-default-locations';
	export * from '@sage/x3-stock-data/lib/nodes/product-site-default-locations';
	export * from '@sage/x3-stock-data/lib/nodes/product-site-internal-containers';
	export * from '@sage/x3-stock-data/lib/nodes/serial-number';
	export * from '@sage/x3-stock-data/lib/nodes/stock-journal';
	export * from '@sage/x3-stock-data/lib/nodes/stock-management-rules';
	export * from '@sage/x3-stock-data/lib/nodes/stock-status';
	export * from '@sage/x3-stock-data/lib/nodes/stock';
	export * from '@sage/x3-stock-data/lib/nodes/warehouse';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/nodes/license-plate-number.d.ts
declare module '@sage/x3-stock-data/lib/nodes/license-plate-number' {
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference, date, Collection } from '@sage/xtrem-core';
	import * as sageX3StockData from '@sage/x3-stock-data/lib/index';
	export class LicensePlateNumber extends Node {
	    readonly code: Promise<string>;
	    readonly stockSite: Reference<sageX3System.nodes.Site | null>;
	    readonly warehouse: Reference<sageX3StockData.nodes.Warehouse | null>;
	    readonly locationType: Promise<string>;
	    readonly location: Reference<sageX3StockData.nodes.Location | null>;
	    readonly container: Reference<sageX3StockData.nodes.Container | null>;
	    readonly isActive: Promise<boolean>;
	    readonly isSingleProduct: Promise<boolean>;
	    readonly isSingleLot: Promise<boolean>;
	    readonly firstDateOfUse: Promise<date | null>;
	    readonly lastDateOfUse: Promise<date | null>;
	    readonly masterLicensePlateNumber: Reference<sageX3StockData.nodes.LicensePlateNumber | null>;
	    readonly status: Promise<sageX3StockData.enums.ContainerStatus | null>;
	    readonly isPrinted: Promise<boolean>;
	    readonly documentEntryType: Promise<sageX3StockData.enums.EntryTypeEnum | null>;
	    readonly documentEntry: Promise<string>;
	    readonly stock: Collection<sageX3StockData.nodes.Stock>;
	}
	//# sourceMappingURL=license-plate-number.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/nodes/location.d.ts
declare module '@sage/x3-stock-data/lib/nodes/location' {
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference, Collection } from '@sage/xtrem-core';
	import * as sageX3StockData from '@sage/x3-stock-data/lib/index';
	export class Location extends Node {
	    readonly stockSite: Reference<sageX3System.nodes.Site>;
	    readonly code: Promise<string>;
	    readonly warehouse: Reference<sageX3StockData.nodes.Warehouse | null>;
	    readonly availability: Promise<sageX3StockData.enums.StorageLocationCode | null>;
	    readonly type: Promise<string>;
	    readonly category: Promise<sageX3StockData.enums.LocationCategory | null>;
	    readonly isSingleProduct: Promise<boolean>;
	    readonly isDedicated: Promise<boolean>;
	    readonly authorizedSubstatus: Promise<string>;
	    readonly isBlocked: Promise<boolean>;
	    readonly isBeingCounted: Promise<boolean>;
	    readonly stock: Collection<sageX3StockData.nodes.Stock>;
	}
	//# sourceMappingURL=location.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/nodes/lot.d.ts
declare module '@sage/x3-stock-data/lib/nodes/lot' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { Node, Reference, integer, decimal, date, Collection } from '@sage/xtrem-core';
	import * as sageX3StockData from '@sage/x3-stock-data/lib/index';
	export class Lot extends Node {
	    readonly product: Reference<sageX3MasterData.nodes.Product>;
	    readonly code: Promise<string>;
	    readonly sublot: Promise<string>;
	    readonly documentType: Promise<sageX3StockData.enums.EntryTypeEnum | null>;
	    readonly documentId: Promise<string>;
	    readonly documentLine: Promise<integer | null>;
	    readonly supplierLot: Promise<string>;
	    readonly lotCustomField1: Promise<string>;
	    readonly lotCustomField2: Promise<string>;
	    readonly lotCustomField3: Promise<decimal | null>;
	    readonly lotCustomField4: Promise<date | null>;
	    readonly lotCreationDate: Promise<date | null>;
	    readonly expirationReferenceDate: Promise<date | null>;
	    readonly shelfLife: Promise<integer | null>;
	    readonly expirationDate: Promise<date | null>;
	    readonly potency: Promise<decimal | null>;
	    readonly internationalUnitPotency: Promise<decimal | null>;
	    readonly supplier: Reference<sageX3MasterData.nodes.Supplier | null>;
	    readonly expirationTimeUnit: Promise<sageX3StockData.enums.ExpirationLeadTimeUnits | null>;
	    readonly recontrolTimeUnit: Promise<sageX3StockData.enums.ExpirationLeadTimeUnits | null>;
	    readonly checkLeadTime: Promise<integer | null>;
	    readonly recontrolDate: Promise<date | null>;
	    readonly useByDateCoefficient: Promise<decimal | null>;
	    readonly useByDate: Promise<date | null>;
	    readonly controlDate: Promise<date | null>;
	    readonly exportNumber: Promise<integer | null>;
	    readonly majorVersion: Reference<sageX3StockData.nodes.MajorVersionStatus | null>;
	    readonly minorVersion: Promise<string>;
	    readonly stock: Collection<sageX3StockData.nodes.Stock>;
	}
	//# sourceMappingURL=lot.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/nodes/lots-sites.d.ts
declare module '@sage/x3-stock-data/lib/nodes/lots-sites' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference, decimal, date, integer, Collection } from '@sage/xtrem-core';
	import * as sageX3StockData from '@sage/x3-stock-data/lib/index';
	export class LotsSites extends Node {
	    readonly product: Reference<sageX3MasterData.nodes.Product>;
	    readonly lot: Promise<string>;
	    readonly sublot: Promise<string>;
	    readonly storageSite: Reference<sageX3System.nodes.Site>;
	    readonly acceptedQuantityAStatus: Promise<decimal | null>;
	    readonly qcQStatus: Promise<decimal | null>;
	    readonly rejectedQuantityRStatus: Promise<decimal | null>;
	    readonly averageCost: Promise<decimal | null>;
	    readonly aucBaseQuantity: Promise<decimal | null>;
	    readonly aucBaseAmount: Promise<decimal | null>;
	    readonly mapSubConCost: Promise<decimal | null>;
	    readonly invoicingElement: Promise<decimal | null>;
	    readonly mapMaterialOh: Promise<decimal | null>;
	    readonly mapMachineOh: Promise<decimal | null>;
	    readonly mapLaborOh: Promise<decimal | null>;
	    readonly mapSubConOh: Promise<decimal | null>;
	    readonly mapSubConCost1: Promise<decimal | null>;
	    readonly invoicingElement1: Promise<decimal | null>;
	    readonly mapMaterialOh1: Promise<decimal | null>;
	    readonly mapMachineOh1: Promise<decimal | null>;
	    readonly mapLaborOh1: Promise<decimal | null>;
	    readonly mapSubConOh1: Promise<decimal | null>;
	    readonly lastReceiptDate: Promise<date | null>;
	    readonly lastIssueDate: Promise<date | null>;
	    readonly lastCountDate: Promise<date | null>;
	    readonly exportNumber: Promise<integer | null>;
	    readonly stock: Collection<sageX3StockData.nodes.Stock>;
	}
	//# sourceMappingURL=lots-sites.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/nodes/major-version-status.d.ts
declare module '@sage/x3-stock-data/lib/nodes/major-version-status' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { Node, Reference, date, integer, Collection } from '@sage/xtrem-core';
	export class MajorVersionStatus extends Node {
	    readonly product: Reference<sageX3MasterData.nodes.Product>;
	    readonly code: Promise<string>;
	    readonly description: Promise<string>;
	    readonly shortDescription: Promise<string>;
	    readonly status: Promise<sageX3MasterData.enums.VersionStatus | null>;
	    readonly startDate: Promise<date | null>;
	    readonly endDate: Promise<date | null>;
	    readonly isSubjectToException: Promise<boolean>;
	    readonly exceptionDate: Promise<date | null>;
	    readonly isOnHold: Promise<boolean>;
	    readonly exportNumber: Promise<integer | null>;
	    readonly minorVersions: Collection<sageX3MasterData.nodes.ProductVersion>;
	}
	//# sourceMappingURL=major-version-status.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/nodes/mobile-settings.d.ts
declare module '@sage/x3-stock-data/lib/nodes/mobile-settings' {
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference } from '@sage/xtrem-core';
	import * as sageX3StockData from '@sage/x3-stock-data/lib/index';
	export class MobileSettings extends Node {
	    readonly stockSite: Reference<sageX3System.nodes.Site | null>;
	    readonly flowType: Promise<sageX3StockData.enums.AdcFlowType>;
	    readonly stockField1: Promise<sageX3StockData.enums.StockSearchFilter>;
	    readonly stockField2: Promise<sageX3StockData.enums.StockSearchFilter>;
	    readonly stockField3: Promise<sageX3StockData.enums.StockSearchFilter>;
	    readonly stockField4: Promise<sageX3StockData.enums.StockSearchFilter>;
	    readonly stockField5: Promise<sageX3StockData.enums.StockSearchFilter>;
	    readonly stockField6: Promise<sageX3StockData.enums.StockSearchFilter>;
	    readonly stockField7: Promise<sageX3StockData.enums.StockSearchFilter>;
	    readonly stockField8: Promise<sageX3StockData.enums.StockSearchFilter>;
	}
	//# sourceMappingURL=mobile-settings.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/nodes/product-category-default-locations.d.ts
declare module '@sage/x3-stock-data/lib/nodes/product-category-default-locations' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageX3StockData from '@sage/x3-stock-data/lib/index';
	export class ProductCategoryDefaultLocations extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly stockSite: Promise<string>;
	    readonly code: Promise<string>;
	    readonly _denormalizedParent: Reference<sageX3MasterData.nodes.ProductCategory>;
	    readonly locationNumber: Promise<sageX3StockData.enums.TitleOfLocation | null>;
	    readonly defaultLocationType: Promise<string>;
	    readonly defaultLocation: Promise<string>;
	}
	//# sourceMappingURL=product-category-default-locations.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/nodes/product-site-default-locations.d.ts
declare module '@sage/x3-stock-data/lib/nodes/product-site-default-locations' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageX3StockData from '@sage/x3-stock-data/lib/index';
	export class ProductSiteDefaultLocations extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly product: Promise<string>;
	    readonly stockSite: Promise<string>;
	    readonly _denormalizedParent: Reference<sageX3MasterData.nodes.ProductSite>;
	    readonly locationNumber: Promise<sageX3StockData.enums.TitleOfLocation | null>;
	    readonly defaultLocationType: Promise<string>;
	    readonly defaultLocation: Promise<string>;
	}
	//# sourceMappingURL=product-site-default-locations.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/nodes/product-site-internal-containers.d.ts
declare module '@sage/x3-stock-data/lib/nodes/product-site-internal-containers' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { Node, integer, Reference } from '@sage/xtrem-core';
	import * as sageX3StockData from '@sage/x3-stock-data/lib/index';
	export class ProductSiteInternalContainers extends Node {
	    readonly denormalizedIndex: Promise<integer>;
	    readonly product: Promise<string>;
	    readonly stockSite: Promise<string>;
	    readonly _denormalizedParent: Reference<sageX3MasterData.nodes.ProductSite>;
	    readonly internalContainer: Reference<sageX3StockData.nodes.Container | null>;
	}
	//# sourceMappingURL=product-site-internal-containers.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/nodes/serial-number.d.ts
declare module '@sage/x3-stock-data/lib/nodes/serial-number' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference, integer, date, decimal } from '@sage/xtrem-core';
	import * as sageX3StockData from '@sage/x3-stock-data/lib/index';
	export class SerialNumber extends Node {
	    readonly product: Reference<sageX3MasterData.nodes.Product>;
	    readonly code: Promise<string>;
	    readonly stockSite: Reference<sageX3System.nodes.Site>;
	    readonly documentType: Promise<sageX3StockData.enums.EntryTypeEnum | null>;
	    readonly documentId: Promise<string>;
	    readonly documentLine: Promise<integer | null>;
	    readonly receiptDate: Promise<date | null>;
	    readonly receiptSite: Reference<sageX3System.nodes.Site | null>;
	    readonly receiptDocumentType: Promise<sageX3StockData.enums.EntryTypeEnum | null>;
	    readonly receiptDocumentId: Promise<string>;
	    readonly receiptDocumentLine: Promise<integer | null>;
	    readonly customer: Reference<sageX3MasterData.nodes.Customer | null>;
	    readonly issueDocumentType: Promise<sageX3StockData.enums.EntryTypeEnum | null>;
	    readonly issueDocumentId: Promise<string>;
	    readonly issueDocumentLine: Promise<integer | null>;
	    readonly issueDate: Promise<date | null>;
	    readonly warrantyEndDate: Promise<date | null>;
	    readonly exportNumber: Promise<integer | null>;
	    readonly stockId: Promise<decimal | null>;
	    readonly stockLine: Reference<sageX3StockData.nodes.Stock>;
	}
	//# sourceMappingURL=serial-number.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/nodes/stock-journal.d.ts
declare module '@sage/x3-stock-data/lib/nodes/stock-journal' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3ProjectManagementData from '@sage/x3-project-management-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference, date, integer, decimal } from '@sage/xtrem-core';
	import * as sageX3StockData from '@sage/x3-stock-data/lib/index';
	export class StockJournal extends Node {
	    readonly stockSite: Reference<sageX3System.nodes.Site>;
	    readonly isUpdated: Promise<boolean>;
	    readonly product: Reference<sageX3MasterData.nodes.Product>;
	    readonly effectiveDate: Promise<date | null>;
	    readonly sequence: Promise<integer | null>;
	    readonly index: Promise<integer | null>;
	    readonly lot: Promise<string>;
	    readonly sublot: Promise<string>;
	    readonly supplierLot: Promise<string>;
	    readonly location: Reference<sageX3StockData.nodes.Location | null>;
	    readonly warehouse: Reference<sageX3StockData.nodes.Warehouse | null>;
	    readonly serialNumber: Promise<string>;
	    readonly transactionType: Promise<sageX3StockData.enums.StockTransactionType | null>;
	    readonly movementDescription: Promise<string>;
	    readonly project: Reference<sageX3ProjectManagementData.nodes.ProjectLink | null>;
	    readonly documentType: Promise<sageX3StockData.enums.EntryTypeEnum | null>;
	    readonly documentId: Promise<string>;
	    readonly documentLine: Promise<integer | null>;
	    readonly documentTypeOriginal: Promise<sageX3StockData.enums.EntryTypeEnum | null>;
	    readonly documentIdOriginal: Promise<string>;
	    readonly documentLineOriginal: Promise<integer | null>;
	    readonly documentSequenceOriginal: Promise<integer | null>;
	    readonly lotCustomField1: Promise<string>;
	    readonly lotCustomField2: Promise<string>;
	    readonly lotCustomField3: Promise<decimal | null>;
	    readonly lotCustomField4: Promise<date | null>;
	    readonly packingUnit: Reference<sageX3MasterData.nodes.UnitOfMeasure | null>;
	    readonly quantityInPackingUnit: Promise<decimal | null>;
	    readonly packingUnitToStockUnitConversionFactor: Promise<decimal | null>;
	    readonly quantityInStockUnit: Promise<decimal | null>;
	    readonly stockUnit: Reference<sageX3MasterData.nodes.UnitOfMeasure | null>;
	    readonly expirationDate: Promise<date | null>;
	    readonly status: Reference<sageX3StockData.nodes.StockStatus>;
	    readonly potency: Promise<decimal | null>;
	    readonly internationalUnitPotency: Promise<decimal | null>;
	    readonly activQuantity: Promise<decimal | null>;
	    readonly adjustedMovement: Promise<boolean>;
	    readonly identifier1: Promise<string>;
	    readonly identifier2: Promise<string>;
	    readonly useByDate: Promise<date | null>;
	    readonly majorVersion: Reference<sageX3StockData.nodes.MajorVersionStatus | null>;
	    readonly minorVersion: Promise<string>;
	    readonly startingSerialNumber: Promise<string>;
	    readonly stockCustomField1: Promise<string>;
	    readonly endingSerialNumber: Promise<string>;
	    readonly stockCustomField2: Promise<string>;
	    readonly licensePlateNumber: Reference<sageX3StockData.nodes.LicensePlateNumber | null>;
	}
	//# sourceMappingURL=stock-journal.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/nodes/stock-management-rules.d.ts
declare module '@sage/x3-stock-data/lib/nodes/stock-management-rules' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference } from '@sage/xtrem-core';
	import * as sageX3StockData from '@sage/x3-stock-data/lib/index';
	export class StockManagementRules extends Node {
	    readonly productCategory: Reference<sageX3MasterData.nodes.ProductCategory | null>;
	    readonly stockSite: Reference<sageX3System.nodes.Site | null>;
	    readonly transactionType: Promise<sageX3StockData.enums.StockTransactionType>;
	    readonly stockMovementCode: Reference<sageX3System.nodes.MiscellaneousTable | null>;
	    readonly locationNumber: Promise<sageX3StockData.enums.TitleOfLocationForStockManagementRules | null>;
	    readonly locationNumber2: Promise<sageX3StockData.enums.TitleOfLocationForStockManagementRules | null>;
	    readonly locationNumber3: Promise<sageX3StockData.enums.TitleOfLocationForStockManagementRules | null>;
	    readonly authorizedStatus: Promise<sageX3StockData.enums.QualityFilter1 | null>;
	    readonly authorizedSubstatus: Promise<string>;
	    readonly defaultStatus: Promise<string>;
	    readonly formula: Promise<string>;
	    readonly hasAnalysisRequest: Promise<boolean>;
	    readonly lotEntry: Promise<sageX3StockData.enums.PackingSequence | null>;
	    readonly lotByDefault: Promise<sageX3StockData.enums.DefaultLot | null>;
	    readonly outputLot: Promise<sageX3MasterData.enums.LotIssueExpirationUbd | null>;
	    readonly prototypeVersion: Promise<sageX3StockData.enums.PrototypeOrActiveVersion | null>;
	    readonly activeVersion: Promise<sageX3StockData.enums.PrototypeOrActiveVersion | null>;
	    readonly versionStopped: Promise<sageX3StockData.enums.VersionStopped | null>;
	    readonly isExclusiveEntryVersion: Promise<boolean>;
	    readonly licensePlateNumberEntry: Promise<sageX3StockData.enums.LicensePlateNumberEntry | null>;
	}
	//# sourceMappingURL=stock-management-rules.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/nodes/stock-status.d.ts
declare module '@sage/x3-stock-data/lib/nodes/stock-status' {
	import { Node, Reference } from '@sage/xtrem-core';
	import * as sageX3StockData from '@sage/x3-stock-data/lib/index';
	export class StockStatus extends Node {
	    readonly code: Promise<string>;
	    readonly description: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly shortDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	    readonly expiredQStatus: Reference<sageX3StockData.nodes.StockStatus | null>;
	    readonly expiredRStatus: Reference<sageX3StockData.nodes.StockStatus | null>;
	}
	//# sourceMappingURL=stock-status.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/nodes/stock.d.ts
declare module '@sage/x3-stock-data/lib/nodes/stock' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3ProjectManagementData from '@sage/x3-project-management-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference, decimal, date, integer, Collection } from '@sage/xtrem-core';
	import * as sageX3StockData from '@sage/x3-stock-data/lib/index';
	export class Stock extends Node {
	    readonly stockSite: Reference<sageX3System.nodes.Site>;
	    readonly stockId: Promise<decimal | null>;
	    readonly owner: Promise<string>;
	    readonly product: Reference<sageX3MasterData.nodes.ProductSite>;
	    readonly lot: Promise<string>;
	    readonly sublot: Promise<string>;
	    readonly supplierLot: Promise<string>;
	    readonly identifier1: Promise<string>;
	    readonly identifier2: Promise<string>;
	    readonly status: Reference<sageX3StockData.nodes.StockStatus>;
	    readonly location: Reference<sageX3StockData.nodes.Location | null>;
	    readonly locationType: Promise<string>;
	    readonly locationCategory: Promise<sageX3StockData.enums.LocationCategory | null>;
	    readonly warehouse: Reference<sageX3StockData.nodes.Warehouse | null>;
	    readonly serialNumber: Promise<string>;
	    readonly receiptDate: Promise<date | null>;
	    readonly packingUnit: Reference<sageX3MasterData.nodes.UnitOfMeasure>;
	    readonly packingUnitToStockUnitConversionFactor: Promise<decimal | null>;
	    readonly quantityInPackingUnit: Promise<decimal | null>;
	    readonly quantityInStockUnit: Promise<decimal | null>;
	    readonly activeQuantityInStockUnit: Promise<decimal | null>;
	    readonly originalPackingUnit: Reference<sageX3MasterData.nodes.UnitOfMeasure | null>;
	    readonly originalQuantityInPackingUnit: Promise<decimal | null>;
	    readonly originalQuantityInStockUnit: Promise<decimal | null>;
	    readonly qualityAnalysisRequestId: Promise<string>;
	    readonly allocatedQuantity: Promise<decimal | null>;
	    readonly allocatedActiveQuantity: Promise<decimal | null>;
	    readonly inProcessQuantity: Promise<decimal | null>;
	    readonly inProcessActiveQuantity: Promise<decimal | null>;
	    readonly editedFlag: Promise<integer | null>;
	    readonly lastReceiptDate: Promise<date | null>;
	    readonly lastIssueDate: Promise<date | null>;
	    readonly lastCountDate: Promise<date | null>;
	    readonly isBeingCounted: Promise<boolean>;
	    readonly countWorksheet: Promise<string>;
	    readonly exportNumber: Promise<integer | null>;
	    readonly majorVersion: Reference<sageX3StockData.nodes.MajorVersionStatus | null>;
	    readonly stockCustomField1: Promise<string>;
	    readonly stockCustomField2: Promise<string>;
	    readonly project: Reference<sageX3ProjectManagementData.nodes.ProjectLink | null>;
	    readonly licensePlateNumber: Reference<sageX3StockData.nodes.LicensePlateNumber | null>;
	    readonly productCollection: Collection<sageX3MasterData.nodes.Product>;
	    readonly lotReference: Reference<sageX3StockData.nodes.Lot | null>;
	    readonly availableQuantity: Promise<decimal | null>;
	}
	//# sourceMappingURL=stock.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/nodes/warehouse.d.ts
declare module '@sage/x3-stock-data/lib/nodes/warehouse' {
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference, integer } from '@sage/xtrem-core';
	export class Warehouse extends Node {
	    readonly code: Promise<string>;
	    readonly description: Promise<string>;
	    readonly shortDescription: Promise<string>;
	    readonly stockSite: Reference<sageX3System.nodes.Site>;
	    readonly exportNumber: Promise<integer | null>;
	}
	//# sourceMappingURL=warehouse.d.ts.map
}
// From file: /home/vsts/work/1/s/x3-services/shared/x3-stock-data/build/lib/service-options/index.d.ts
declare module '@sage/x3-stock-data/lib/service-options/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
declare module '@sage/x3-stock-data' {
	export * from '@sage/x3-stock-data/index';
}
