// From file: /home/vsts/work/1/s/platform/shared/xtrem-decimal/build/index.d.ts
declare module '@sage/xtrem-decimal/index' {
	export * from '@sage/xtrem-decimal/lib/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/platform/shared/xtrem-decimal/build/lib/index.d.ts
declare module '@sage/xtrem-decimal/lib/index' {
	export { Decimal, abs, add, ceil, compare, decimal, div, eq, floor, gt, gte, lt, lte, max, min, mul, ne, negated, plus, pow, round, strictEq, strictNe, sub, sum, } from '@sage/xtrem-decimal/lib/types-lib';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /home/vsts/work/1/s/platform/shared/xtrem-decimal/build/lib/types-lib.d.ts
declare module '@sage/xtrem-decimal/lib/types-lib' {
	/**
	Use http://mikemcl.github.io/decimal.js/
	https://github.com/MikeMcl/decimal.js
	*/
	import { Decimal as _Decimal } from 'decimal.js';
	export class Decimal extends _Decimal {
	    static make(v: Decimal | string | number): Decimal;
	    static toNumber(v: Decimal | number): number;
	}
	export type Value = string | number | Decimal;
	export function decimal(s: string): Decimal;
	export function add(a: any, b: any): any;
	export function sub(a: any, b: any): number | _Decimal;
	export function mul(a: any, b: any): number | _Decimal;
	export function div(a: any, b: any): number | _Decimal;
	export function compare(a: any, b: any): number | undefined;
	export function eq(a: any, b: any): boolean;
	export function strictEq(a: any, b: any): boolean;
	export function ne(a: any, b: any): boolean;
	export function strictNe(a: any, b: any): boolean;
	export function lt(a: any, b: any): boolean;
	export function lte(a: any, b: any): boolean;
	export function gt(a: any, b: any): boolean;
	export function gte(a: any, b: any): boolean;
	export function negated(a: any): number | _Decimal;
	export function plus(a: any): any;
	export function abs(value: Value): Decimal | number;
	export function ceil(value: Value): number;
	export function floor(value: Value): number;
	export function pow(base: Value, exponent: Value): Decimal | number;
	export function max(...values: Value[]): Decimal | number;
	export function min(...values: Value[]): Decimal | number;
	export function round(value: Value): number;
	export function sum(...values: Value[]): Decimal | number;
	export function uselessFunctionV3(): void;
	//# sourceMappingURL=types-lib.d.ts.map
}
declare module '@sage/xtrem-decimal' {
	export * from '@sage/xtrem-decimal/index';
}
