import { Command } from '@ckeditor/ckeditor5-core';
import type { HtmlComment } from '@ckeditor/ckeditor5-html-support';
import type { TreeElement } from '@sage/xtrem-shared';
import type { DocumentEditorInsertDialogResult } from '../../../components/insert-list-property-dialog/insert-list-property-dialog';
import type { DataModelProperty, ObjectInsertionDetails } from '../../../context-provider';
import type { Editor } from '@ckeditor/ckeditor5-core';
export interface InsertQueryTableCommandArgument {
    lookupResult: DocumentEditorInsertDialogResult;
    selectedItem: TreeElement<DataModelProperty>;
    remapInfo: ObjectInsertionDetails;
}
export default class InsertQueryTableCommand extends Command {
    private readonly defaultCellAttributes;
    constructor(editor: Editor);
    get htmlCommentPlugin(): HtmlComment;
    private createHiddenRow;
    private writeTableBodyRepeatingRow;
    private writeTableHead;
    private writeTableFooterRows;
    execute({ lookupResult, selectedItem, remapInfo }: InsertQueryTableCommandArgument): void;
    refresh(): void;
}
//# sourceMappingURL=insert-query-table-command.d.ts.map