import type { AppAction } from '../action-types';
import type { UserWidgetDefinition, WidgetEditorState } from '../state';
import type { Reducer } from 'redux';
import type { Dict } from '@sage/xtrem-shared';
export declare const isOpen: (state: boolean | undefined, action: AppAction) => boolean;
export declare const isDirty: (state: boolean | undefined, action: AppAction) => boolean;
export declare const nodeNames: (state: {} | undefined, action: AppAction) => Dict<string>;
export declare const widgetCategories: (state: {} | undefined, action: AppAction) => Dict<string>;
export declare const widgetDefinition: (state: {} | undefined, action: AppAction) => UserWidgetDefinition;
export declare const widgetId: (state: string | undefined, action: AppAction) => string;
export declare const widgetEditor: Reducer<WidgetEditorState, AppAction>;
//# sourceMappingURL=widget-editor.d.ts.map