import { Collection, Node } from '@sage/xtrem-core';
import * as testPackage from '../index';
/** 4GL code: AFCTFCT */
export declare class TestUserFunctionProfile extends Node {
    /** 4GL code: PRFCOD */
    readonly profile: Promise<string>;
    /** 4GL code: INTPRF */
    readonly description: Promise<string>;
    /** 4GL code: ALLACS */
    readonly allAccessAllowed: Promise<boolean | null>;
    /** 4GL code: DIFIMP */
    readonly deferredPrint: Promise<boolean | null>;
    /** 4GL code: FILTRE */
    readonly reportFilters: Promise<string>;
    /** 4GL code: ALLFCT */
    readonly allAuthorizedFunctions: Promise<boolean | null>;
    /** 4GL code: FLGPOR */
    readonly fixedDashboard: Promise<boolean | null>;
    /** 4GL code: C_FCYDEF */
    readonly defaultSites: Collection<testPackage.nodes.TestUserFunctionProfileDefaultSite>;
    /** 4GL code: ASTA */
    readonly reports: Collection<testPackage.nodes.TestUserFunctionProfileReport>;
}
//# sourceMappingURL=test-user-function-profile.d.ts.map