import type { NodeDetails, TreeElement } from '@sage/xtrem-shared';
import type { IconType } from 'carbon-react/esm/components/icon';
export type DefaultPropertyType = TreeElement;
export type BaseTableCols<P extends DefaultPropertyType = DefaultPropertyType> = [
    {
        id: '_id';
        type: string;
    },
    {
        id: 'property';
        type?: P;
    },
    {
        id: 'path';
        type: string;
    },
    {
        id: 'labelPath';
        type?: string;
    }
];
export type DataModelProperty = Omit<NodeDetails, 'type'> & {
    namespace?: string;
    type: NodeDetails['type'];
    iconType?: IconType;
};
//# sourceMappingURL=types.d.ts.map