import type { MenuSeparatorType } from '../component/control-objects';
import type { DropdownActionItem, ErrorHandlerFunction } from '../component/field/traits';
import type { NestedCollectionItemAction, NestedCollectionItemActionGroup } from '../component/ui/table-shared/table-dropdown-actions/table-dropdown-action-types';
import type { XtremActionPopoverItem } from '../component/ui/xtrem-action-popover';
import type { AccessBindings } from '../service/page-definition';
export interface CalculateActionMenuPropsWithSeparator {
    screenId: string;
    accessBindings: AccessBindings;
    rowValue?: any;
    actions?: Array<DropdownActionItem<any> | NestedCollectionItemAction<any> | MenuSeparatorType | NestedCollectionItemActionGroup<any>>;
    onTriggerMenuItem: (eventHandler: (this: any, recordId: string, rowItem: any, level?: number, parentIds?: string[]) => void, errorHandler?: ErrorHandlerFunction<any>) => void;
}
export interface CalculateActionMenuProps {
    screenId: string;
    accessBindings: AccessBindings;
    rowValue?: any;
    actions?: Array<DropdownActionItem<any> | NestedCollectionItemAction<any>>;
    onTriggerMenuItem: (isDisabled: boolean, eventHandler: (this: any, recordId: string, rowItem: any, level?: number, parentIds?: string[]) => void, errorHandler?: ErrorHandlerFunction<any>) => void;
}
export declare function calculateActionMenu(args: CalculateActionMenuPropsWithSeparator): Array<XtremActionPopoverItem>;
//# sourceMappingURL=action-menu-utils.d.ts.map