import type { KeyboardEvent } from 'react';
export declare const KEY_BACKSPACE = 8;
export declare const KEY_SPACE_BAR = 32;
export declare const KEY_DELETE = 46;
export declare const KEY_F2 = 113;
export declare const KEY_ENTER = 13;
export declare const KEY_TAB = 9;
export declare const KEY_ESC = 27;
export declare const SHIFT_TAB = "Shift+Tab";
export declare const TAB = "Tab";
export declare const ENTER = "Enter";
export declare const ESCAPE = "Escape";
export declare const BACKSPACE = "Backspace";
export declare const DELETE = "Delete";
export declare const SPACEBAR = " ";
export declare function getCharCodeFromEvent(event: React.KeyboardEvent): number;
export declare const isModifierKeyPressed: (event: KeyboardEvent) => boolean;
export declare const isUnmodifiedAlphabeticalChar: (event: KeyboardEvent) => boolean;
export declare function isEnter(event: React.KeyboardEvent): boolean;
export declare function isTab(event: React.KeyboardEvent): boolean;
export declare function isEsc(event: React.KeyboardEvent): boolean;
export declare function isDeleteOrBackspace(event: React.KeyboardEvent): boolean;
export declare function isBackspace(event: React.KeyboardEvent): boolean;
export declare function isSpaceBar(event: React.KeyboardEvent): boolean;
//# sourceMappingURL=keyboard-event-utils.d.ts.map