import type { Currency, Locale } from '../../types';
export declare type CurrencyIndicator = {
    amount?: number;
    title?: string;
    value?: number;
};
export declare type SimpleCurrencyIndicatorProps = {
    currencyCode?: Currency;
    description?: string;
    differenceValue?: number;
    indicator: CurrencyIndicator;
    locale?: Locale;
    title?: string;
};
export declare const SimpleCurrencyIndicator: ({ currencyCode, description, differenceValue, indicator, locale, title, }: SimpleCurrencyIndicatorProps) => JSX.Element;
