import { BackgroundProps, BorderProps, ColorProps, FlexboxProps, LayoutProps, PositionProps, ShadowProps, SpaceProps, TypographyProps } from "styled-system";
interface BoxProps extends SpaceProps, LayoutProps, FlexboxProps, PositionProps, ColorProps, TypographyProps, BackgroundProps, BorderProps, ShadowProps {
    textOverflow?: string;
    whiteSpace?: "normal" | "nowrap" | "pre" | "pre-wrap" | "pre-line" | "break-spaces";
    gap?: string;
}
declare const Box: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, BoxProps, never>;
export declare const Row: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, BoxProps, never>;
export declare const Column: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, BoxProps, never>;
export default Box;
