/// <reference types="react" />
type OnSendClick = () => void;
export interface ChatInputProps {
    value: string;
    onChange: React.ChangeEventHandler<HTMLTextAreaElement>;
    onKeyDown: React.KeyboardEventHandler<HTMLTextAreaElement>;
    innerRef: React.RefObject<HTMLTextAreaElement>;
    onSendClick: OnSendClick;
    inputDisabled: boolean;
    sendDisabled: boolean;
}
declare const ChatInput: ({ value, onChange, onKeyDown, innerRef, onSendClick, inputDisabled, sendDisabled, }: ChatInputProps) => import("react/jsx-runtime").JSX.Element;
export default ChatInput;
