import { OnMessageDelete, OnMessageTrace } from "./ChatBubble";
import { SessionMessage, SpeakerType } from "../types/SessionMessage";
interface ChatItemProps {
    message: SessionMessage;
    innerRef?: (instance: HTMLDivElement | null) => void;
    selected: boolean;
    onChatItemSelected?: (selected: boolean) => void;
    onMessageDelete?: OnMessageDelete;
    onMessageTrace?: OnMessageTrace;
    isSkeleton: boolean;
}
declare const ChatItem: ({ message, innerRef, selected, onChatItemSelected, onMessageDelete, onMessageTrace, isSkeleton, }: ChatItemProps) => import("react/jsx-runtime").JSX.Element;
interface ChatLoadingItemProps {
    speaker: SpeakerType;
}
export declare const ChatLoadingItem: ({ speaker }: ChatLoadingItemProps) => import("react/jsx-runtime").JSX.Element;
export default ChatItem;
