import { SetStateAction } from "react";
import { SessionMessage } from "../types/SessionMessage";
import { OnMessageDelete } from "./ChatBubble";
import { OnMessageSend } from "../hooks/messages/useCombinedChatMessage";
interface ChatListProps {
    chatEntryText: string;
    onChatEntryTextChange: (entry: SetStateAction<string>) => void;
    messages: SessionMessage[];
    sessionId: string;
    suggestions: React.ReactNode | null;
    onChatScrollTop: () => void;
    messageHistoryLoading: boolean;
    onMessageDelete: OnMessageDelete;
    onMessageSend: OnMessageSend;
    isMessageInFlight: boolean;
    moreMessageHistoryAvailable: boolean;
}
declare const ChatList: ({ chatEntryText, onChatEntryTextChange, messages, sessionId, suggestions, onChatScrollTop, messageHistoryLoading, onMessageDelete, onMessageSend, isMessageInFlight, moreMessageHistoryAvailable, }: ChatListProps) => import("react/jsx-runtime").JSX.Element;
export default ChatList;
