import React from "react";
import { GmsClient } from "../contexts/BackendContext";
export declare const GmsChatAppGlobalStyle: import("styled-components").GlobalStyleComponent<{}, import("styled-components").DefaultTheme>;
export interface GmsChatAppProps {
    backendUrl: string;
    authToken: string;
    userId: string;
    chatIsVisible: boolean;
    gmsClient: GmsClient;
    showSidebar: boolean | undefined;
    showSuggestions: boolean | undefined;
    showConversationStarter: boolean | undefined;
    showHeading: boolean | undefined;
    roundedCorners: boolean | undefined;
    isPopup: boolean;
}
export declare const GmsChatApp: ({ backendUrl, authToken, userId, children, chatIsVisible, gmsClient, showSidebar, showSuggestions, showConversationStarter, showHeading, roundedCorners, isPopup, }: GmsChatAppProps & {
    children?: React.ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
export default GmsChatApp;
