import React from "react";
export declare const GmsClients: readonly ["base_v2", "excel_v1", "sdmo_v1", "sip_v1", "sna_v1"];
export type GmsClient = (typeof GmsClients)[number];
export interface BackendSettings {
    url: string;
    authToken: string;
    userId: string;
    gmsClient: GmsClient;
}
declare const BackendContext: React.Context<BackendSettings>;
export declare const BackendProvider: React.Provider<BackendSettings>;
export default BackendContext;
