import { SessionIdType } from "../stores/ChatHistoryStore";
import { BackendSettings } from "../contexts/BackendContext";
export type ConversationStarterResponse = {
    message: string;
    session_id: SessionIdType;
};
export declare const fetchConversationStarter: (backendSettings: BackendSettings) => Promise<ConversationStarterResponse>;
export declare const useConversationStarter: (enabled: boolean) => import("@tanstack/react-query").UseQueryResult<ConversationStarterResponse, import("axios").AxiosError<unknown, any>>;
export default useConversationStarter;
